2000-10-06 04:45  ijr

	* base/include/help.h,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	- link the help button on the musicbrowser page to the proper help file html
	
2000-10-06 04:21  ijr

	* help/unix/: freeamphelp.tar.gz, relatablehelp.tar.gz:

	- updated help files for rc2
	
2000-10-06 04:14  ijr

	* base/src/musiccatalog.cpp:

	- blah
	
2000-10-06 03:48  robert

	* lmc/: vorbis/src/vorbislmc.cpp, vorbis/src/lib/vorbisfile.c,
	xingmp3/src/xinglmc.cpp:

	Changed things so the player won't stop on a corrupted track, and
	also prevent vorbis messages to be sent to the client during sigging.
	
2000-10-06 02:49  ijr

	* ui/musicbrowser/win32/src/Event.cpp:

	- and the 75% stuff works on 'doze.  I'm done =)
	
2000-10-06 02:16  ijr

	* CHANGES, base/aps/apsinterface.cpp, base/include/musiccatalog.h,
	base/src/musiccatalog.cpp, base/src/player.cpp,
	lmc/xingmp3/src/sigapp.c,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	- should be just about my final commit for RC2
	
2000-10-05 13:14  ijr

	* base/src/registrar.cpp, base/src/registry.cpp,
	io/local/localfileinput.cpp, lmc/xingmp3/src/xinglmc.cpp:

	- this should fix the seg on exit on linux
	
2000-10-05 10:03  robert

	* lmc/xingmp3/src/xinglmc.cpp:

	Attempting to fix the stream deadlock issue
	
2000-10-05 05:29  ijr

	* ui/: freeamp/win32/res/freeampui.rc,
	freeamp/win32/res/resource.h,
	freeamp/win32/src/Win32PreferenceWindow.cpp,
	musicbrowser/win32/include/Win32MusicBrowser.h,
	musicbrowser/win32/res/musicbrowser.rc,
	musicbrowser/win32/res/resource.h,
	musicbrowser/win32/src/Dialog.cpp,
	musicbrowser/win32/src/Event.cpp:

	- tip popup on win32
	- mirror all the Relatable menu updates to win32 (ie., about menu, learn
	  disabled by default, link to options dialog on menu..)
	- add relatable button to About pane.
	
2000-10-05 04:47  ijr

	* AUTHORS, Makefile.in, base/include/player.h,
	base/include/preferences.h, base/src/player.cpp,
	base/src/preferences.cpp, io/http/httpinput.cpp,
	io/http/httpinput.h, io/include/pmi.h, io/local/localfileinput.cpp,
	io/local/localfileinput.h, io/obs/obsinput.cpp, io/obs/obsinput.h,
	ui/freeamp/unix/src/GTKBitmap.cpp, ui/freeamp/unix/src/ttfont.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- buncha little changes.
	
2000-10-05 02:07  robert

	* ui/freeamp/src/TextControl.cpp:

	Keep the stupid time indicator from marqeeing
	
2000-10-04 17:44  ijr

	* Makefile.in, base/src/musiccatalog.cpp:

	- mem leak closure
	
2000-10-04 17:08  robert

	* io/src/tstream.cpp:

	More title streaming fuss
	
2000-10-04 15:49  ijr

	* configure.in, base/include/utility.h, base/src/utility.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- linux tipper thingie
	
2000-10-04 13:03  ijr

	* base/include/help.h, plm/metadata/id3v2/id3v2.cpp,
	ui/freeamp/win32/res/freeampui.rc,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	- fix the id3v2 stuff
	- fix bugs #1009 and #1039 (minor options dialog changes)
	
2000-10-04 05:29  ijr

	* Makefile.header.in:

	- move OSINC to the end of the Includes line
	
2000-10-04 05:18  ijr

	* ui/musicbrowser/: unix/src/browsertree.cpp, win32/src/Event.cpp:

	- fix a freebsd issue, update some text on a dialog
	
2000-10-03 03:32  robert

	* lmc/xingmp3/src/sigmain.cpp:

	Added a -n (no submit metadata) flag to sigapp
	
2000-10-02 16:53  robert

	* CHANGES:

	Changed from beta 10 to rc1
	
2000-10-02 15:40  ijr

	* plm/metadata/id3v2/id3v2.cpp:

	- this should hopefully fix the id3v2 stuff
	
2000-10-02 12:11  robert

	* configure, configure.in, installer/unix/linux/freeamp-rh6x.spec:

	Tweaking autoconf to be happy
	
2000-10-02 10:28  robert

	* configure, configure.in, installer/unix/linux/freeamp-rh6x.spec:

	The orb/orbit.h check was being done twice...
	
2000-10-02 09:16  sward

	* config/config.win32, help/win32/freeampwin32help.zip,
	help/win32/help.zip, help/win32/relatablewin32help.zip,
	lib/musicbrainz/musicbrainz.dll, lib/musicbrainz/musicbrainz.lib,
	lib/musicbrainz/musicbrainz/mb_c.h,
	lib/musicbrainz/musicbrainz/queries.h,
	plm/metadata/id3v2/id3v2.cpp:

	Updated win32 help files, and fixed id3v2 stuff for windows.
	
2000-10-02 06:56  ijr

	* ChangeLog:

	- a ChangeLog, an actual ChangeLog
	
2000-10-02 06:47  ijr

	* configure, configure.in:

	- update configure to work w/ the last solaris problem
	
2000-10-02 06:45  ijr

	* base/aps/apsinterface.cpp:

	- slightly better fix
	
2000-10-02 06:39  ijr

	* CHANGES, base/aps/aps.h, base/aps/apsinterface.cpp:

	- make the FillMetaData stuff use the proxy, too
	
2000-10-02 06:36  robert

	* lmc/xingmp3/src/sigmain.cpp:

	Added quiet option to sigapp...
	
2000-10-02 06:13  ijr

	* plm/metadata/id3v2/id3v2.cpp:

	- bah
	
2000-10-02 06:01  ijr

	* base/aps/YPClient.cpp, ui/freeamp/unix/src/GTKFont.cpp:

	- fix my silly proxy bug
	
2000-10-02 05:48  robert

	* lmc/xingmp3/src/sigmain.cpp:

	Minor tweaks, but sigapp should be ready to sig the emusic collection.
	
2000-10-02 05:17  ijr

	* CHANGES, Makefile-plugins.in, Makefile.towav.in,
	lmc/xingmp3/src/sigmain.cpp, plm/metadata/id3v1/id3v1.cpp,
	plm/metadata/id3v2/id3v2.cpp, plm/metadata/misc/misc.cpp:

	- fix up sigapp some more
	
2000-10-02 02:31  ijr

	* io/soundcard/unix/solaris/src/soundcardpmo.cpp:

	- one more try
	
2000-10-02 02:28  ijr

	* io/soundcard/unix/solaris/include/soundcardpmo.h:

	- blah
	
2000-10-02 02:24  ijr

	* io/soundcard/unix/solaris/src/soundcardpmo.cpp:

	- and that..
	
2000-10-02 02:17  ijr

	* lmc/vorbis/include/vorbis/os_types.h:

	- try that.
	
2000-10-02 01:17  ijr

	* ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- fix some of the silly rh7 stuff
	
2000-10-02 01:03  ijr

	* aclocal.m4, configure, configure.in, base/aps/comsocket.cpp,
	base/include/downloadmanager.h, config/config.h.in,
	io/cd/unix/src/cdaudio.cpp, io/obs/obsinput.cpp,
	io/src/tstream.cpp, lib/http/src/Http.cpp,
	plm/metadata/cddb/cddb_proto.cpp, ui/freeamp/src/Headlines.cpp,
	ui/freeamp/src/ThemeZip.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp:

	- better socklen_t stuff
	
2000-10-01 11:45  ijr

	* plm/metadata/id3v2/id3v2.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/freeamp/win32/src/Win32Window.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp:

	- fixes segfault when changing from a winamp skin to a normal theme
	- remove debugging messageboxes i committed last time
	- fix smallish memleak in win32preference dialog..
	
	I'm attempting to track down the winamp skin problem, but am having absolutely
	no luck.
	
2000-09-29 09:04  ijr

	* ui/: freeamp/win32/src/Win32PreferenceWindow.cpp,
	musicbrowser/win32/src/Dialog.cpp,
	musicbrowser/win32/src/PlaylistView.cpp:

	- think this fixes the column resize issues
	
2000-09-29 07:47  ijr

	* ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	- fix the crash on open
	
2000-09-29 07:21  sward

	* base/aps/wincomsocket.cpp, lib/musicbrainz/musicbrainz.dll,
	lib/musicbrainz/musicbrainz.lib,
	lib/musicbrainz/musicbrainz/mb_c.h,
	lib/musicbrainz/musicbrainz/queries.h:

	Fix for last stuff
	
2000-09-29 07:13  robert

	* Makefile.towav.in, lmc/xingmp3/src/sigmain.cpp,
	plm/metadata/id3v2/id3v2.cpp:

	The sigapp is almost working...
	
2000-09-29 06:56  ijr

	* CHANGES, README.qnx:

	- some info about the QNX stuff
	
2000-09-29 06:10  ijr

	* base/src/player.cpp:

	- there's bug 1019
	
2000-09-29 06:06  sward

	* base/aps/YPClient.cpp, base/aps/comhttpsocket.cpp,
	base/aps/comhttpsocket.h, base/win32/prj/fabaselib.dsp,
	base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	ftc/winamp/res/winamp.rc, io/cd/win32/res/cdoutput.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/signature/win32/res/signature.rc,
	io/soundcard/win32/res/soundcard.rc, io/wavout/win32/res/wavout.rc,
	lmc/cd/win32/res/cdlmc.rc, lmc/vorbis/win32/res/vorbis.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/cddb/res/cddb.rc,
	plm/metadata/id3v1/res/id3v1.rc, plm/metadata/id3v2/res/id3v2.rc,
	plm/metadata/misc/res/misc.rc, plm/metadata/vorbis/res/vorbis.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc, ui/dde/win32/res/dde.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	Fix to comhttpsocket, and 2.1.1.0 version numbers
	
2000-09-29 05:46  ijr

	* help/unix/: freeamphelp.tar.gz, relatablehelp.tar.gz:

	- update help files again
	
2000-09-29 05:44  robert

	* lmc/xingmp3/src/: sigapp.c, sigmain.cpp:

	Checking the latest changes
	
2000-09-29 05:28  ijr

	* help/unix/: freeamphelp.tar.gz, relatablehelp.tar.gz:

	- updated help
	
2000-09-29 05:13  ijr

	* Makefile.in, base/aps/YPClient.cpp, base/aps/YPClient.h,
	base/aps/aps.h, base/aps/apsinterface.cpp,
	base/aps/comhttpsocket.cpp, base/aps/comhttpsocket.h,
	base/src/player.cpp, io/signature/src/signaturepmo.cpp:

	- comhttpsocket updates
	
2000-09-29 02:59  robert

	* Makefile.towav.in:

	And the makefile changes
	
2000-09-29 02:59  robert

	* lmc/xingmp3/src/: sigapp.c, sigmain.cpp:

	Working on the id3 support in sigapp
	
2000-09-29 02:00  robert

	* io/src/tstream.cpp:

	Quick fix to icecast style title streaming
	
2000-09-28 17:34  robert

	* ui/freeamp/src/TextControl.cpp:

	So much for going to bed.... This will keep Time and TimeRemaining
	text fields from marqueeing.
	
2000-09-28 12:57  ijr

	* base/: include/musiccatalog.h, src/musiccatalog.cpp:

	- don't send tons of TrackAdded messages on startup..
	
2000-09-28 11:43  ijr

	* io/soundcard/unix/irix/: include/soundcardpmo.h,
	src/soundcardpmo.cpp:

	- don't have the slightest idea if this will work or not
	
2000-09-28 07:41  ijr

	* Makefile.in:

	- silly typo
	
2000-09-28 07:17  ijr

	* config/config.h.in, io/src/tstream.cpp:

	- yet more irix stuff
	
2000-09-28 06:21  ijr

	* configure, configure.in, base/unix/src/bootstrap.cpp:

	- fix that
	
2000-09-28 06:13  ijr

	* base/src/metadata.cpp:

	file metadata.cpp was initially added on branch charstore-patch.
	
2000-09-28 06:13  ijr

	* base/include/charstore.h:

	file charstore.h was initially added on branch charstore-patch.
	
2000-09-28 06:13  ijr

	* nulltracer.h:

	file nulltracer.h was initially added on branch charstore-patch.
	
2000-09-28 06:13  ijr

	* base/src/charstore.cpp:

	file charstore.cpp was initially added on branch charstore-patch.
	
2000-09-28 06:13  ijr

	* tracer.h:

	file tracer.h was initially added on branch charstore-patch.
	
2000-09-28 05:11  ijr

	* base/unix/src/bootstrap.cpp:

	- doh!
	
2000-09-28 04:33  ijr

	* Makefile.in, base/src/thread.cpp, base/src/timer.cpp,
	base/unix/src/bootstrap.cpp, config/config.h.in:

	- irix stuff
	
2000-09-28 04:16  ijr

	* Makefile-plugins.in, configure, configure.in:

	- few small fixes
	
2000-09-28 02:37  robert

	* base/include/help.h:

	Changed the preferences_relatable define to be consistent with the others.
	
2000-09-28 02:22  ijr

	* io/soundcard/unix/qnx/include/soundcardpmo.h,
	io/soundcard/unix/qnx/src/soundcardpmo.cpp,
	ui/freeamp/src/Window.cpp:

	- forgot to add the soundcard driver
	
2000-09-28 01:54  ijr

	* configure, configure.in, base/aps/comsocket.cpp:

	- blah
	
2000-09-28 01:08  ijr

	* Makefile-plugins.in, Makefile.in, configure, configure.in,
	base/aps/comsocket.cpp, base/src/downloadmanager.cpp,
	base/src/player.cpp, base/src/playlist.cpp,
	base/src/preferences.cpp, base/src/registrar.cpp,
	base/src/thread.cpp, base/src/timer.cpp, base/src/utility.cpp,
	base/unix/src/bootstrap.cpp, base/unix/src/win32impl.cpp,
	config/config.guess, config/config.h.in, config/config.sub,
	ftc/kjofol/kjofol.cpp, lib/http/src/Http.cpp,
	lib/xml/src/Parse.cpp, lmc/cd/include/cdlmc.h,
	lmc/cd/src/cdlmc.cpp, lmc/include/lmc.h,
	lmc/vorbis/include/vorbislmc.h,
	lmc/vorbis/include/vorbis/os_types.h, lmc/vorbis/src/vorbislmc.cpp,
	lmc/xingmp3/include/xinglmc.h, lmc/xingmp3/src/xinglmc.cpp,
	plm/metadata/id3v1/id3v1.cpp, plm/metadata/id3v2/id3v2.cpp,
	plm/metadata/misc/misc.cpp, plm/metadata/vorbis/vorbis.cpp,
	plm/playlist/m3u/m3u.cpp, plm/playlist/pls/pls.cpp,
	ui/download/unix/src/gtkdownloadui.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Headlines.cpp,
	ui/freeamp/src/TextControl.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/src/ThemeZip.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/unix/src/GTKFont.cpp,
	ui/freeamp/unix/src/ThemeManager.cpp, ui/irman/src/irio.c,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/fileselector.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- QNX port.  everything works except: bordeless main window, cd audio,
	  streams xml downloading.
	
2000-09-27 05:16  elrod

	* io/cd/win32/src/cdpmo.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp:

	* Init m_volume to NULL in contructor of cd PMO. Should not matter but I
	  was getting crash and wanted to cover all bases.
	* Fix bug which caused crash on drag and drop bc code to get stream items
	  was still trying to find wiredplanet and icecast stuff from old days...
	* You can now correctly drag streams bc of above fix.
	
2000-09-27 04:29  elrod

	* base/aps/apsinterface.cpp, base/win32/prj/fabaselib.dsp,
	base/win32/prj/fabaselib.mak, base/win32/prj/freeamp.dsp,
	base/win32/prj/freeamp.mak, dlm/rmp/prj/rmp.dsp,
	dlm/rmp/prj/rmp.mak, ftc/winamp/prj/winamp.dsp,
	ftc/winamp/prj/winamp.mak, installer/win32/Component
	Definitions/Default.cdf, installer/win32/Setup Files/Compressed
	Files/0009-English/OS Independent/license.txt,
	io/cd/win32/prj/cdoutput.dsp, io/cd/win32/prj/cdoutput.mak,
	io/dsound/win32/prj/dsoundcard.dsp,
	io/dsound/win32/prj/dsoundcard.mak,
	io/http/win32/prj/httpinput.dsp, io/http/win32/prj/httpinput.mak,
	io/local/win32/prj/fileinput.dsp, io/local/win32/prj/fileinput.mak,
	io/obs/win32/prj/obsinput.dsp, io/obs/win32/prj/obsinput.mak,
	io/signature/win32/prj/signature.dsp,
	io/soundcard/win32/prj/soundcard.dsp,
	io/soundcard/win32/prj/soundcard.mak,
	io/wavout/win32/prj/wavout.dsp, lib/gdbm/prj/gdbm.dsp,
	lib/gdbm/prj/gdbm.mak, lib/unzip/prj/unzip.dsp,
	lib/unzip/prj/unzip.mak, lib/zlib/prj/zlib.dsp,
	lib/zlib/prj/zlib.mak, lmc/cd/win32/prj/cdlmc.dsp,
	lmc/cd/win32/prj/cdlmc.mak, lmc/vorbis/win32/prj/vorbis.dsp,
	lmc/vorbis/win32/prj/vorbislib.dsp, lmc/xingmp3/win32/prj/xing.dsp,
	lmc/xingmp3/win32/prj/xing.mak, plm/metadata/cddb/prj/cddb.dsp,
	plm/metadata/cddb/prj/cddb.mak, plm/metadata/id3v1/prj/id3v1.dsp,
	plm/metadata/id3v1/prj/id3v1.mak, plm/metadata/id3v2/prj/id3v2.dsp,
	plm/metadata/id3v2/prj/id3v2.mak, plm/metadata/misc/prj/misc.dsp,
	plm/metadata/misc/prj/misc.mak,
	plm/metadata/vorbis/prj/vorbismdf.dsp,
	plm/playlist/m3u/prj/m3u.dsp, plm/playlist/m3u/prj/m3u.mak,
	plm/playlist/pls/prj/pls.dsp, plm/playlist/pls/prj/pls.mak,
	plm/portable/pmp300/prj/pmp300.dsp,
	plm/portable/pmp300/prj/pmp300.mak,
	plm/portable/pmp300/sba/prj/riolib.dsp,
	plm/portable/pmp300/sba/prj/riolib.mak, ui/dde/win32/prj/dde.dsp,
	ui/dde/win32/prj/dde.mak, ui/download/win32/prj/download.dsp,
	ui/freeamp/src/Equalizer.cpp, ui/freeamp/tools/win32/MakeTheme.dsp,
	ui/freeamp/tools/win32/MakeTheme.mak,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/prj/freeampui.mak,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/simple/win32/prj/simple.dsp, ui/simple/win32/prj/simple.mak,
	ui/toolbar/win32/prj/toolbar.dsp, ui/toolbar/win32/prj/toolbar.mak,
	update/win32/prj/update.dsp, update/win32/prj/update.mak:

	* Add project for compiling using the MS STL although the hashtable is
	  keeping it from working.... need to figure work around.
	* Fix several misspellings and grammar bugs in the installer.
	* Fix a few warnings.
	
2000-09-26 11:32  elrod

	* io/http/httpinput.cpp:

	* Ooops.. i need a field width of 2 for characters like 0a and 0d...
	
2000-09-26 03:53  ijr

	* CHANGES:

	- update changes ahead of time this time =)
	
2000-09-26 03:39  ijr

	* AUTHORS, Makefile-plugins.in, Makefile.header.in, Makefile.in,
	README.corbaui, configure, configure.in, ui/corba/Freeamp.idl,
	ui/corba/corba.c, ui/corba/corba.h, ui/corba/corbaUI.cpp,
	ui/corba/corbaUI.h:

	- completely optional corba ui.  blech.
	
2000-09-26 01:54  ijr

	* base/unix/src/bootstrap.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- the rest of the playlist header changes for linux
	- make the permissions on the shm segment/semaphore we use more strict
	
2000-09-25 05:52  ijr

	* dlm/rmp/rmp.cpp, lib/http/src/Http.cpp, lib/xml/src/Parse.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/musicbrowser/src/FreeAmpStreams.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp:

	- http download fixes, more playlist header stuff
	
2000-09-25 01:41  ijr

	* ui/musicbrowser/unix/: include/gtkmusicbrowser.h,
	src/browserlist.cpp, src/browsermenu.cpp, src/gtkmusicbrowser.cpp:

	- the musicbrowser portion of the linux column headers patch port
	
2000-09-24 12:57  ijr

	* base/win32/prj/freeamp.dsp, io/cd/win32/src/cdpmo.cpp,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/win32/include/ColumnInfo.h,
	ui/musicbrowser/win32/src/PlaylistView.cpp:

	- fix a few things that were broken.
	
2000-09-24 12:26  ijr

	* AUTHORS, base/include/playlist.h, base/include/preferences.h,
	base/src/playlist.cpp, base/src/preferences.cpp,
	ui/freeamp/win32/include/Win32PreferenceWindow.h,
	ui/freeamp/win32/res/freeampui.rc, ui/freeamp/win32/res/resource.h,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/win32/include/ColumnInfo.h,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	- merge the win32 playlist column stuff to HEAD, untested
	
2000-09-22 09:42  sward

	* base/aps/YPClient.cpp:

	Fixes stupid nOffset= 0 bug
	
2000-09-22 08:03  robert

	* installer/unix/linux/: emusic-rh6x.spec, freeamp-rh6x.spec,
	relatable-rh6x.spec:

	Removed the spec files no longer needed. The main spec file can now handle
	co-branding. Yeah!
	
2000-09-22 07:50  sward

	* base/win32/prj/freeamp.dsp, base/win32/res/freeamp.rc,
	dlm/rmp/res/rmp.rc, ftc/winamp/res/winamp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/signature/win32/res/signature.rc,
	io/soundcard/win32/res/soundcard.rc, io/wavout/win32/res/wavout.rc,
	lmc/cd/win32/res/cdlmc.rc, lmc/vorbis/win32/res/vorbis.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/cddb/res/cddb.rc,
	plm/metadata/id3v1/res/id3v1.rc, plm/metadata/id3v2/res/id3v2.rc,
	plm/metadata/misc/res/misc.rc, plm/metadata/vorbis/res/vorbis.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc, ui/dde/win32/res/dde.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	Beta 9 version numbers and a project path fix.
	
2000-09-22 07:42  sward

	* lib/musicbrainz/: musicbrainz.dll, musicbrainz.lib,
	musicbrainz/mb_c.h, musicbrainz/queries.h:

	Updated musicbrainz dll for sig null terminal bug.
	
2000-09-22 03:49  ijr

	* base/aps/: YPClient.cpp, apsinterface.cpp:

	- fix up stuff
	
2000-09-22 03:49  robert

	* installer/unix/linux/freeamp-rh6x.spec:

	First attempt at the new rpm script
	
2000-09-22 03:37  sward

	* base/aps/: YPClient.cpp, YPClient.h:

	Updated YPClient for sounds like and get streams
	
2000-09-22 02:51  ijr

	* Makefile.in:

	- update the DIRECTORIES hack
	
2000-09-22 02:49  ijr

	* Makefile-plugins.in:

	- add the vorbis stuff to the clean and depends lists
	
2000-09-22 02:38  robert

	* lmc/vorbis/: include/vorbislmc.h, include/vorbis/os_types.h,
	src/vorbislmc.cpp:

	If this compiles under linux we're set.
	
2000-09-22 02:25  robert

	* lib/musicbrainz/: musicbrainz.dll, musicbrainz.lib,
	musicbrainz/mb_c.h, musicbrainz/queries.h:

	Update mb_client for release
	
2000-09-22 00:58  ijr

	* base/win32/prj/fabaselib.dsp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/Event.cpp:

	- fix the SoundsLike stuff on Win32
	
2000-09-22 00:23  ijr

	* CHANGES:

	- update my changes
	
2000-09-22 00:12  ijr

	* Makefile.in, base/aps/YPClient.cpp, base/aps/YPClient.h,
	base/aps/aps.h, base/aps/apsinterface.cpp, base/aps/slclient.cpp,
	base/aps/slclient.h, base/include/musiccatalog.h,
	base/src/musiccatalog.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/src/Event.cpp:

	- remove my hackish soundslike stuff, waiting for sean to finish up the
	  YpClient soundslike stuff
	
2000-09-21 14:47  robert

	* CHANGES:

	Updated the changes file
	
2000-09-21 14:39  robert

	* base/src/player.cpp, lmc/vorbis/src/vorbislmc.cpp:

	Vorbis now updated the bitrate indicator every three seconds.
	
2000-09-21 14:23  robert

	* lmc/vorbis/include/vorbis/os_types.h:

	hack hack hack
	
2000-09-21 14:18  robert

	* lmc/vorbis/include/vorbis/os_types.h:

	Missing file? New file? You decide...
	
2000-09-21 13:46  robert

	* lmc/vorbis/: include/vorbis/backends.h,
	include/vorbis/codebook.h, include/vorbis/codec.h,
	include/vorbis/internal.h, include/vorbis/mode_A.h,
	include/vorbis/mode_B.h, include/vorbis/mode_C.h,
	include/vorbis/mode_D.h, include/vorbis/mode_E.h,
	include/vorbis/modes.h, include/vorbis/vorbisfile.h,
	include/vorbis/book/lsp12_0.vqh, include/vorbis/book/lsp30_0.vqh,
	include/vorbis/book/res0_1024a_128_1.vqh,
	include/vorbis/book/res0_1024a_128_2.vqh,
	include/vorbis/book/res0_1024a_128_3.vqh,
	include/vorbis/book/res0_1024a_128_4.vqh,
	include/vorbis/book/res0_1024a_128_5.vqh,
	include/vorbis/book/res0_1024a_128_6.vqh,
	include/vorbis/book/res0_1024a_128_7.vqh,
	include/vorbis/book/res0_1024a_128_8.vqh,
	include/vorbis/book/res0_1024a_128_9.vqh,
	include/vorbis/book/res0_1024a_160_1.vqh,
	include/vorbis/book/res0_1024a_160_2.vqh,
	include/vorbis/book/res0_1024a_160_3.vqh,
	include/vorbis/book/res0_1024a_160_4.vqh,
	include/vorbis/book/res0_1024a_160_5.vqh,
	include/vorbis/book/res0_1024a_160_6.vqh,
	include/vorbis/book/res0_1024a_160_7.vqh,
	include/vorbis/book/res0_1024a_160_8.vqh,
	include/vorbis/book/res0_1024a_160_9.vqh,
	include/vorbis/book/res0_1024a_192_1.vqh,
	include/vorbis/book/res0_1024a_192_2.vqh,
	include/vorbis/book/res0_1024a_192_3.vqh,
	include/vorbis/book/res0_1024a_192_4.vqh,
	include/vorbis/book/res0_1024a_192_5.vqh,
	include/vorbis/book/res0_1024a_256_1.vqh,
	include/vorbis/book/res0_1024a_256_2.vqh,
	include/vorbis/book/res0_1024a_256_3.vqh,
	include/vorbis/book/res0_1024a_256_4.vqh,
	include/vorbis/book/res0_1024a_256_5.vqh,
	include/vorbis/book/res0_1024a_350_1.vqh,
	include/vorbis/book/res0_1024a_350_2.vqh,
	include/vorbis/book/res0_1024a_350_3.vqh,
	include/vorbis/book/res0_1024a_350_4.vqh,
	include/vorbis/book/res0_1024a_350_5.vqh,
	include/vorbis/book/res0_128a_128_1.vqh,
	include/vorbis/book/res0_128a_128_2.vqh,
	include/vorbis/book/res0_128a_128_3.vqh,
	include/vorbis/book/res0_128a_128_4.vqh,
	include/vorbis/book/res0_128a_128_5.vqh,
	include/vorbis/book/res0_128a_160_1.vqh,
	include/vorbis/book/res0_128a_160_2.vqh,
	include/vorbis/book/res0_128a_160_3.vqh,
	include/vorbis/book/res0_128a_160_4.vqh,
	include/vorbis/book/res0_128a_160_5.vqh,
	include/vorbis/book/res0_128a_192_1.vqh,
	include/vorbis/book/res0_128a_192_2.vqh,
	include/vorbis/book/res0_128a_192_3.vqh,
	include/vorbis/book/res0_128a_192_4.vqh,
	include/vorbis/book/res0_128a_192_5.vqh,
	include/vorbis/book/res0_128a_256_1.vqh,
	include/vorbis/book/res0_128a_256_2.vqh,
	include/vorbis/book/res0_128a_256_3.vqh,
	include/vorbis/book/res0_128a_256_4.vqh,
	include/vorbis/book/res0_128a_256_5.vqh,
	include/vorbis/book/res0_128a_350_1.vqh,
	include/vorbis/book/res0_128a_350_2.vqh,
	include/vorbis/book/res0_128a_350_3.vqh,
	include/vorbis/book/res0_128a_350_4.vqh,
	include/vorbis/book/res0_128a_350_5.vqh,
	include/vorbis/book/resaux0_1024a_128.vqh,
	include/vorbis/book/resaux0_1024a_160.vqh,
	include/vorbis/book/resaux0_1024a_192.vqh,
	include/vorbis/book/resaux0_1024a_256.vqh,
	include/vorbis/book/resaux0_1024a_350.vqh,
	include/vorbis/book/resaux0_128a_128.vqh,
	include/vorbis/book/resaux0_128a_160.vqh,
	include/vorbis/book/resaux0_128a_192.vqh,
	include/vorbis/book/resaux0_128a_256.vqh,
	include/vorbis/book/resaux0_128a_350.vqh, src/lib/analysis.c,
	src/lib/barkmel.c, src/lib/bitwise.c, src/lib/bitwise.h,
	src/lib/block.c, src/lib/bookinternal.h, src/lib/codebook.c,
	src/lib/envelope.c, src/lib/envelope.h, src/lib/floor0.c,
	src/lib/framing.c, src/lib/iir.c, src/lib/iir.h, src/lib/info.c,
	src/lib/lpc.c, src/lib/lpc.h, src/lib/lsp.c, src/lib/lsp.h,
	src/lib/mapping0.c, src/lib/masking.h, src/lib/mdct.c,
	src/lib/mdct.h, src/lib/misc.c, src/lib/misc.h, src/lib/os.h,
	src/lib/psy.c, src/lib/psy.h, src/lib/psytune.c,
	src/lib/registry.c, src/lib/registry.h, src/lib/res0.c,
	src/lib/scales.h, src/lib/sharedbook.c, src/lib/sharedbook.h,
	src/lib/smallft.c, src/lib/smallft.h, src/lib/spectrum.h,
	src/lib/synthesis.c, src/lib/time0.c, src/lib/vorbisfile.c,
	src/lib/window.c, src/lib/window.h:

	new vorbis stuff
	
2000-09-21 13:43  ijr

	* ui/musicbrowser/unix/src/infoeditor.cpp:

	- silly gtk, threads are for real toolkits
	
2000-09-21 13:19  robert

	* plm/metadata/vorbis/: vorbis.cpp, vorbis.h:

	New and improved vorbis comment stuff...
	
2000-09-21 12:15  ijr

	* ui/freeamp/win32/res/freeampui.rc:

	- fix #1010
	
2000-09-21 11:11  robert

	* ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	Increased the max input buffer input field size from 4 to 6 digits.
	
2000-09-21 10:31  robert

	* ui/cmdline/cmdlineUI.cpp:

	Fixed bug 899 (failed assertion in skip ahead)
	
2000-09-21 09:34  robert

	* io/http/httpinput.cpp, lmc/xingmp3/src/xinglmc.cpp:

	Removed some debug statements.
	
2000-09-21 09:32  robert

	* Makefile.towav.in, io/http/httpinput.cpp,
	lmc/xingmp3/src/sigapp.c, lmc/xingmp3/src/towave.c,
	lmc/xingmp3/src/xinglmc.cpp:

	Created the first incarnation of sigapp, an command line app to
	generate sigs from mp3 files. So far no ID3 support, but that's next.
	
2000-09-21 07:21  robert

	* base/win32/prj/freeamp.dsw, lmc/vorbis/win32/prj/vorbis.dsp,
	lmc/vorbis/win32/prj/vorbislib.dsp,
	plm/metadata/vorbis/prj/vorbismdf.dsp:

	And here are the changes for the Vorbis MDF Object
	
2000-09-21 07:03  robert

	* ui/freeamp/src/FreeAmpTheme.cpp:

	Fixed bug 961 (preamp and eq sliders now work without having to release them)
	
2000-09-21 06:04  robert

	* plm/metadata/vorbis/prj/: vorbismdf.def, vorbismdf.dsp,
	vorbismdf.dsw:

	Tweaking msvc project files is fun.... NOT!
	
2000-09-21 06:03  robert

	* lib/musicbrainz/musicbrainz.dll, lib/musicbrainz/musicbrainz.lib,
	lib/musicbrainz/musicbrainz/mb_c.h,
	lib/musicbrainz/musicbrainz/queries.h,
	plm/metadata/vorbis/prj/vorbis.def,
	plm/metadata/vorbis/prj/vorbis.dsp,
	plm/metadata/vorbis/prj/vorbis.dsw,
	plm/metadata/vorbis/prj/vorbismdf.def,
	plm/metadata/vorbis/prj/vorbismdf.dsp,
	plm/metadata/vorbis/prj/vorbismdf.dsw,
	ui/freeamp/win32/include/Win32Window.h,
	ui/freeamp/win32/src/Win32Window.cpp:

	Did I mention that I hate windows? Well....
	
2000-09-21 05:44  robert

	* Makefile-plugins.in, plm/metadata/vorbis/vorbis.cpp,
	plm/metadata/vorbis/vorbis.h, plm/metadata/vorbis/prj/vorbis.def,
	plm/metadata/vorbis/prj/vorbis.dsp,
	plm/metadata/vorbis/prj/vorbis.dsw,
	plm/metadata/vorbis/res/resource.h,
	plm/metadata/vorbis/res/vorbis.rc, ui/freeamp/src/FreeAmpTheme.cpp:

	Added the Vorbis metadata plugin
	
2000-09-20 14:31  ijr

	* base/: aps/apsinterface.cpp, src/player.cpp:

	- fix long startup time when not connected to the net and a profile is
	  enabled (SyncLog took awhile to timeout) by not calling SyncLog on startup
	  and increasing the frequency of the (non-blocking) timer-called SyncLogs
	
2000-09-20 05:59  robert

	* io/local/localfileinput.cpp:

	Fixed bug 994 (crash on load of playlist due to missing file)
	
2000-09-20 05:51  robert

	* ui/freeamp/src/FreeAmpTheme.cpp:

	This should fix bug 974 (two options dialogs)
	
2000-09-20 05:00  robert

	* io/cd/win32/src/cdpmo.cpp, ui/freeamp/include/FreeAmpTheme.h,
	ui/freeamp/include/Theme.h, ui/freeamp/include/Window.h,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/win32/include/Win32Window.h,
	ui/freeamp/win32/src/Win32Window.cpp:

	You can now control the volume of FreeAmp with the wheel on your mouse.
	This feature fixes bug 996 and should get me on my way to pay off the
	MusicBrainz website design with Phester. :-)
	
2000-09-20 04:10  robert

	* base/src/player.cpp, io/cd/win32/src/cdpmo.cpp,
	io/include/win32volume.h, io/soundcard/win32/src/soundcardpmo.cpp,
	ui/freeamp/src/Control.cpp:

	Fixed a random cdpmo crash on windows
	
2000-09-20 04:03  ijr

	* Makefile.in, base/aps/apsinterface.cpp, base/include/hashtable.h,
	base/include/player.h, base/src/player.cpp, base/src/registrar.cpp,
	base/src/registry.cpp, base/unix/include/unixprefs.h,
	base/unix/src/bootstrap.cpp, base/unix/src/unixprefs.cpp,
	base/win32/prj/freeamp.dsp, ui/freeamp/win32/prj/freeampui.dsp,
	ui/irman/include/irmanui.h, ui/irman/src/irmanui.cpp:

	- fix s'more stuff, including the removal of the old HashTable class
	
2000-09-20 03:17  robert

	* io/: include/win32volume.h,
	soundcard/win32/include/soundcardpmo.h,
	soundcard/win32/src/soundcardpmo.cpp, src/win32volume.cpp:

	Fixed the windows sound volume control leak
	
2000-09-19 14:57  ijr

	* Makefile.header.in, base/aps/apsinterface.cpp,
	ui/musicbrowser/unix/src/infoeditor.cpp:

	- check libmusicbrainz returns before setting metadata
	- small gtk warning fix for cases when no categorized tracks exist
	- remove musicbrainz include paths from Makefile.header.in
	
2000-09-19 10:28  robert

	* io/signature/src/signaturepmo.cpp,
	lib/musicbrainz/musicbrainz.dll, lib/musicbrainz/musicbrainz.lib,
	lib/musicbrainz/musicbrainz/mb_c.h:

	The signature stuff now works properly under win32 with musicbrainz.dll
	
2000-09-19 10:15  robert

	* io/signature/src/signaturepmo.cpp:

	Changed the interface to the musicbrainz library since windows cannot
	handle freeing memory that was allocated in another DLL.
	
2000-09-19 09:48  robert

	* base/win32/prj/freeamp.dsp, io/src/pmo.cpp:

	Added the build step under windows the copies the musicbrainz.dll to the
	right place and added a couple of checks in pmo.cpp to make sure that the
	cdpmo does not die when m_pLmc and m_pPmi are NULL.
	
2000-09-19 09:41  robert

	* lmc/xingmp3/src/cupl3.c, ui/freeamp/src/FreeAmpTheme.cpp:

	Fix bug 1002: Fix the decoder crash fixes
	Fix bug  959: Eq values shown inconsistently
	
2000-09-19 08:43  robert

	* ui/freeamp/src/FreeAmpTheme.cpp:

	Fixed bug 960 (Preamp value not shown)
	
2000-09-19 08:20  robert

	* base/aps/apsinterface.cpp, base/win32/prj/fabaselib.dsp,
	base/win32/prj/freeamp.dsp, base/win32/prj/freeamp.dsw,
	io/http/win32/prj/httpinput.dsp,
	io/signature/include/signaturepmo.h,
	io/signature/src/signaturepmo.cpp,
	io/signature/win32/prj/signature.dsp,
	lib/musicbrainz/musicbrainz.dll, lib/musicbrainz/musicbrainz.lib,
	lib/musicbrainz/musicbrainz/mb_c.h,
	lib/musicbrainz/musicbrainz/queries.h,
	plm/metadata/cddb/prj/cddb.dsp, ui/dde/win32/prj/dde.dsp,
	ui/download/win32/prj/download.dsp,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.dsp:

	Finished the mb_client integration in windows and moved the sig pmo to use
	the C interface as well.
	
2000-09-19 07:03  robert

	* README.solaris, base/aps/apsinterface.cpp:

	Changed freeamp to use the C interface to musicbrainz, instead of the C++
	interface because windows DLLs are *braindead*.
	
2000-09-19 04:12  ijr

	* Makefile.in, base/aps/apsinterface.cpp, base/include/eventdata.h,
	base/src/musiccatalog.cpp, base/src/player.cpp,
	base/src/playlist.cpp, base/unix/src/unixprefs.cpp,
	base/unix/src/win32impl.cpp, io/include/eventbuffer.h,
	io/soundcard/unix/linux/src/soundcardpmo.cpp,
	io/src/eventbuffer.cpp, io/src/pmo.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/unix/src/GTKFont.cpp,
	ui/freeamp/unix/src/GTKUtility.cpp,
	ui/freeamp/unix/src/ThemeManager.cpp,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- fix a buncha leaks.. only 2 major ones - stopping playback would leak
	  all PMO_Events in the queue, and the unix implementation of FindFirstFile()
	  had a huge ol' hole in it.
	
2000-09-19 00:31  ijr

	* lmc/vorbis/src/vorbislmc.cpp, ui/freeamp/src/ButtonControl.cpp,
	ui/freeamp/unix/src/GTKBitmap.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	- fix the leak in VorbisLMC::CalculateSongLength()
	- futz around trying to find the theme leak
	
2000-09-18 13:10  ijr

	* AUTHORS, ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- commit Chris K's., cosmetic patch..
	
2000-09-18 12:54  ijr

	* base/aps/aps.h, base/aps/apsinterface.cpp, base/aps/audiosig.h,
	base/aps/sigclient.cpp, base/aps/sigclient.h, base/aps/sigxdr.cpp,
	base/aps/sigxdr.h, base/src/musiccatalog.cpp,
	io/signature/include/sigcomplex.h, io/signature/include/sigfft.h,
	io/signature/src/sigfft.cpp, io/signature/src/signaturepmo.cpp:

	... and the final linux fixes for the libmusicbrainz conversion.
	
	FreeAmp SHRUNK!  wow..  less lines of code for once.
	
2000-09-18 07:21  ijr

	* Makefile-plugins.in, Makefile.in, configure, configure.in,
	base/aps/aps.h, base/aps/apsinterface.cpp,
	base/include/eventdata.h, base/src/musiccatalog.cpp,
	io/signature/include/signaturepmo.h,
	io/signature/src/signaturepmo.cpp:

	- linux changes for libmusicbrainz..  still need to remove files, but this
	  all works w/ the client lib.
	
2000-09-16 04:47  elrod

	* ui/musicbrowser/win32/include/DropTarget.h:

	* Hopefully a fix for bug 647. Thanks to "Gunnar Roth" <Gunnar.Roth@gmx.de>
	  for the hint!
	
	"The reason for the bug, is the custom window messages used for drag and
	drop handling are in a range not useable under win98 (above 65535) simply
	change it to lower values and it will work."
	
	I don't know why this works under some versions of win98 and not others...
	
2000-09-15 04:12  ijr

	* ftc/winamp/prj/winamp.dsp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/EditTrackInfoDialog.cpp:

	- and the extra button on the windows info editor
	
2000-09-15 03:11  ijr

	* ui/musicbrowser/unix/: include/infoeditor.h, src/infoeditor.cpp:

	- update the gtk infoeditor to have a button-link to musicbrainz
	
2000-09-15 02:42  ijr

	* ui/musicbrowser/unix/src/browsermenu.cpp:

	- apply 'nother patch from mail list
	
2000-09-15 02:30  ijr

	* ui/musicbrowser/unix/src/browsertree.cpp:

	- remove debugging cout
	
2000-09-15 02:28  ijr

	* base/aps/apsinterface.cpp, base/src/musiccatalog.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp:

	- catalog wasn't getting sorted if 'watch this directory' was off.
	
2000-09-15 01:11  ijr

	* base/src/musiccatalog.cpp:

	- make GUIDs persist if the user re-searches for music
	
2000-09-14 07:21  robert

	* base/aps/uuid.cpp:

	Oh, if only I had a brain
	
2000-09-14 07:06  robert

	* base/aps/uuid.cpp:

	Fixed the 38 vs 36 uid length problem
	
2000-09-14 04:00  ijr

	* AUTHORS, Makefile-plugins.in, Makefile.header.in, configure,
	configure.in, plm/metadata/misc/misc.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmessagedialog.cpp:

	- build vorbis.lmc on linux (#999)
	- merge in track # patch, gtkmessagedialog accelerator patch
	
2000-09-11 16:21  ijr

	* ui/freeamp/src/: SliderControl.cpp, VSliderControl.cpp:

	- sliders weren't being initialized properly (evidenced by the equalizer
	  sliders popping to the +20dB if they were saved at -20dB).. fixes someone's
	  bug.
	
2000-09-11 15:14  ijr

	* base/src/undomanager.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/include/DropTarget.h,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/DropTarget.cpp,
	ui/musicbrowser/win32/src/EditTrackInfoDialog.cpp,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	- add another initializer to the sig status dot (fixes #986)
	
	went through elrod's buglist, fixed what I could figure out in the win32
	musicbrowser =)
	
	notably:
	- fix playlist reorganization bug (970, 944)
	- fix tab order in info editor and options dialog (901, 909, 887)
	- dragging to last item in playlist was difficult (945)
	- drag indicator would not always appear at top of playlist (874)
	- clicking twice on the + could sometimes be interpreted as a dbl click
	  (868)
	- make the MyMusic item modify the toolbar/menu like the All Tracks item
	  (814)
	
2000-09-11 11:28  ijr

	* base/src/musiccatalog.cpp:

	- on watch these directories, don't read the id3 tags every time (bug 979)
	
2000-09-11 11:17  ijr

	* configure, configure.in:

	- futz w/ configure to attempt to fix #976 (netbsd support)
	
2000-09-11 11:11  ijr

	* base/src/playlist.cpp:

	- futz with the random number generator to get slightly better numbers.
	  (bug #975)
	
2000-09-11 01:04  ijr

	* base/win32/prj/fabaselib.dsp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/DropTarget.cpp,
	ui/musicbrowser/win32/src/Event.cpp:

	- adding the soundslike client stuff to windows
	- foreground a couple more of the relatable status dialogs -- don't want em
	  getting lost behind the player window
	
2000-09-10 23:41  ijr

	* base/aps/apsinterface.cpp:

	- whoops, don't use 127.0.0.1 as the sig server ip =)
	
2000-09-10 23:39  ijr

	* .cvsignore, AUTHORS, Makefile.in, base/aps/aps.h,
	base/aps/apsinterface.cpp, base/aps/slclient.cpp,
	base/aps/slclient.h, base/include/musiccatalog.h,
	base/src/.cvsignore, base/src/musiccatalog.cpp,
	base/src/player.cpp, base/src/timer.cpp, io/src/.cvsignore,
	lib/http/.cvsignore, lib/unzip/.cvsignore,
	lmc/xingmp3/src/.cvsignore,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- update the .cvsignore files
	- merge in patch from "Chris Kuklewicz" <chrisk@mit.edu>
	- linux soundslike testing functionality, to be removed before beta 9
	
2000-09-02 11:35  elrod

	* io/http/httpinput.cpp:

	* Hey look elrod has a checkin!
	* I added a function to encode the urlbefore it is requested from the
	  web server in case the url contains non legal characters. I was running
	  into this with a few of my urls.
	
2000-09-01 09:45  sward

	* ui/musicbrowser/win32/src/IntroductionWizard.cpp:

	Fixed pooled string bug
	
2000-09-01 09:21  sward

	* base/win32/res/freeamp.rc, ui/dde/win32/res/dde.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, plm/metadata/cddb/res/cddb.rc,
	plm/metadata/id3v1/res/id3v1.rc, plm/metadata/id3v2/res/id3v2.rc,
	plm/metadata/misc/res/misc.rc, plm/playlist/m3u/res/m3u.rc,
	plm/playlist/pls/res/pls.rc, plm/portable/pmp300/res/pmp300.rc,
	update/win32/res/update.rc, lmc/cd/win32/res/cdlmc.rc,
	lmc/vorbis/win32/res/vorbis.rc, lmc/xingmp3/win32/res/xing.rc,
	io/cd/win32/res/cdoutput.rc, io/dsound/win32/res/dsound.rc,
	io/http/win32/res/http.rc, io/local/win32/res/local.rc,
	io/obs/win32/res/obs.rc, io/signature/win32/res/signature.rc,
	io/soundcard/win32/res/soundcard.rc, io/wavout/win32/res/wavout.rc,
	dlm/rmp/res/rmp.rc, ftc/winamp/res/winamp.rc:

	Version numbers
	
2000-09-01 09:20  sward

	* ui/musicbrowser/win32/src/Dialog.cpp:

	Hack to fix win 98  dissappearing Music tree
	
2000-09-01 07:20  elrod

	* base/win32/prj/freeamp.mak, ui/dde/win32/prj/dde.dsp,
	ui/dde/win32/prj/dde.mak:

	* Add winmm.lib so DDE.ui will compile.
	
2000-09-01 05:54  ijr

	* ui/musicbrowser/win32/res/musicbrowser.rc:

	whee
	
2000-09-01 03:57  ijr

	* base/src/downloadmanager.cpp, base/src/player.cpp,
	base/src/updatemanager.cpp, io/http/httpinput.cpp,
	lib/http/src/Http.cpp, lmc/xingmp3/src/xinglmc.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- add back all the \r's
	- fix the poll cd check box
	- fix changing songs in the playlist
	
2000-09-01 00:53  ijr

	* CHANGES, README.win32:

	- update some docs
	
2000-08-31 02:38  ijr

	* io/http/httpinput.cpp:

	- fix streams not playing at all on win32
	
2000-08-31 01:56  ijr

	* ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	- fix bug #962, cd audio tree item disappearing after a music search
	
2000-08-30 13:00  ijr

	* base/include/player.h, base/src/player.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- finish up the cd audio mods..  no longer polls the cd by default on linux,
	  too many problems w/ this..  user has to explicitly turn on polling in the
	  options dialog.  add an item to the cd context menu to force an update of
	  the CD tree.
	
2000-08-30 07:56  ijr

	* io/cd/unix/src/cdaudio.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	- s'more junk
	
2000-08-30 06:45  ijr

	* base/include/preferences.h, base/src/preferences.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/GTKUtility.cpp,
	ui/musicbrowser/unix/include/gtkmessagedialog.h,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/gtkmessagedialog.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/src/Dialog.cpp:

	- fix random bugs
	
2000-08-30 02:20  ijr

	* Makefile-plugins.in, Makefile.header.in, Makefile.in, configure,
	configure.in, base/aps/comsocket.cpp, base/aps/sigxdr.cpp,
	base/include/downloadmanager.h, base/src/thread.cpp,
	base/src/timer.cpp, base/unix/src/bootstrap.cpp,
	io/soundcard/unix/linux/src/soundcardpmo.cpp,
	lib/http/src/Http.cpp, plm/metadata/id3v2/id3v2.cpp:

	- more freebsd support
	
2000-08-29 12:46  ijr

	* lmc/xingmp3/src/cupl3.c:

	- don't abort (or seg) on bad mp3s. yay.
	
2000-08-29 06:10  ijr

	* base/aps/apsinterface.cpp, base/src/musiccatalog.cpp,
	base/src/player.cpp, ui/musicbrowser/unix/src/introwizard.cpp:

	- fclose() profiles.txt, else profiles get lost on segs
	- radio button wasn't showing up on linux introwizard
	
2000-08-25 06:40  sward

	* ui/musicbrowser/win32/src/IntroductionWizard.cpp:

	word change
	
2000-08-25 06:35  ijr

	* ui/musicbrowser/win32/src/IntroductionWizard.cpp:

	- fix text
	
2000-08-25 04:19  sward

	* base/aps/apsinterface.cpp, base/win32/res/freeamp.rc,
	dlm/rmp/res/rmp.rc, ftc/winamp/res/winamp.rc,
	installer/win32/FreeAmp.ipr, installer/win32/Component
	Definitions/Default.cdf, installer/win32/Component
	Definitions/Default.fgl, installer/win32/File Groups/CDDB
	MetaData.fgl, installer/win32/File Groups/Default Plugins.fgl,
	installer/win32/File Groups/Default Theme.fgl, installer/win32/File
	Groups/Default.fdf, installer/win32/File Groups/Direct Sound
	Output.fgl, installer/win32/File Groups/HTTP Input.fgl,
	installer/win32/File Groups/Help Files.fgl, installer/win32/File
	Groups/ID3v1 MetaData.fgl, installer/win32/File Groups/ID3v2
	MetaData.fgl, installer/win32/File Groups/M3U Playlist.fgl,
	installer/win32/File Groups/OBS Input.fgl, installer/win32/File
	Groups/PLS Playlist.fgl, installer/win32/File Groups/Program
	Executable Files.fgl, installer/win32/File Groups/Soundcard
	Output.fgl, installer/win32/File Groups/System DLLs.fgl,
	installer/win32/File Groups/Theme Tools.fgl, installer/win32/File
	Groups/Wave File Output.fgl, installer/win32/File Groups/WinAmp
	Skin Support.fgl, installer/win32/Registry Entries/default.rge,
	installer/win32/Shell Objects/Default.shl, installer/win32/String
	Tables/0009-English/value.shl, installer/win32/Text
	Substitutions/Build.tsb, io/cd/win32/res/cdoutput.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/signature/win32/res/signature.rc,
	io/soundcard/win32/res/soundcard.rc, io/wavout/win32/res/wavout.rc,
	lmc/cd/win32/res/cdlmc.rc, lmc/vorbis/win32/res/vorbis.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/cddb/res/cddb.rc,
	plm/metadata/id3v1/res/id3v1.rc, plm/metadata/id3v2/res/id3v2.rc,
	plm/metadata/misc/res/misc.rc, plm/playlist/m3u/res/m3u.rc,
	plm/playlist/pls/res/pls.rc, plm/portable/pmp300/res/pmp300.rc,
	ui/dde/win32/res/dde.rc, ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	2.1.0.7 Version numbers, and installshield 2k project files for windows.
	
2000-08-25 03:40  ijr

	* AUTHORS:

	- forgot to update this
	
2000-08-25 03:39  ijr

	* configure, configure.in, base/src/utility.cpp,
	base/unix/src/unixprefs.cpp:

	- some branding updates
	- merge in first frisbee patch from "Roger Hardiman" <roger@cs.strath.ac.uk>
	
2000-08-25 03:07  robert

	* CHANGES:

	Adding my changes for beta7 and beta6
	
2000-08-25 00:42  ijr

	* io/http/httpinput.cpp:

	- oops, broke streams in linux
	
2000-08-25 00:09  ijr

	* base/unix/src/unixprefs.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- quick fix for bug #863 (can't fix this fully until the unixprefs crap
	  gets totally rewritten)
	
2000-08-24 23:50  ijr

	* ui/freeamp/unix/src/GTKUtility.cpp:

	- seems to fix bug #807 (clicking on freeamp URL gets errors... but only if
	  freeamp is NOT already running) here
	
2000-08-24 19:33  sward

	* lmc/xingmp3/src/cupl3.c:

	For debug builds, added asset lines to catch corrupt layer 2 sideband sections (or at least some of it) Anyone have a better thought with this one?
	
2000-08-24 16:41  sward

	* base/src/player.cpp:

	Fixed double delete of PMO in case of http streams (when accessed under the file menu or the command line).
	
2000-08-24 14:39  sward

	* io/http/httpinput.cpp:

	Fixed random WS_32 crash on windows with GetHostByName (the asynchronous GetHostByName was writing to the hostent structure after the busy wait ended and the hostent went off the stack, causing a seg fault)
	
2000-08-24 13:37  ijr

	* base/src/player.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- don't turn on the eq when signaturing.. silly me
	- forgot to commit the learn playlist error dialog from this box
	
2000-08-24 12:11  robert

	* lmc/xingmp3/include/protos.h:

	file protos.h was initially added on branch reentrant_branch.
	
2000-08-24 12:11  ijr

	* io/http/httpinput.cpp, ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/src/IntroductionWizard.cpp:

	- polish off that last bugfix, as well as the win32 intro wizard again
	
2000-08-24 11:19  ijr

	* io/http/httpinput.cpp, ui/musicbrowser/unix/src/introwizard.cpp,
	ui/musicbrowser/unix/src/missingfileui.cpp,
	ui/musicbrowser/win32/src/MissingFileDialog.cpp:

	- fixes for bugs #857 and #781
	
2000-08-24 10:40  ijr

	* AUTHORS, CHANGES, INSTALL, README, base/include/help.h,
	base/src/database.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/introwizard.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/IntroductionWizard.cpp:

	- small updates to the docs
	- introwizard/signature dialog changes as by request
	- fix bug #864 (Audio plugin setting is forgotten)
	
2000-08-24 09:18  robert

	* ui/freeamp/src/ButtonControl.cpp:

	This time 837 is actually fixed.
	
2000-08-24 07:37  robert

	* base/include/eventdata.h, base/include/player.h,
	base/src/player.cpp, base/src/timer.cpp, lmc/cd/include/cdlmc.h,
	lmc/cd/src/cdlmc.cpp, lmc/include/lmc.h,
	lmc/vorbis/include/vorbislmc.h, lmc/xingmp3/include/xinglmc.h,
	lmc/xingmp3/src/cupl3.c, lmc/xingmp3/src/xinglmc.cpp,
	themes/FreeAmp.fat, themes/Relatable.fat,
	ui/freeamp/include/Equalizer.h, ui/freeamp/src/Equalizer.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp:

	Fixed the equalizer bugs #837 - 839 and implemented the preamp
	
2000-08-24 06:08  ijr

	* ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	- fix #693 (Theme Pref not set correctly)
	
2000-08-24 05:25  ijr

	* ui/download/win32/: include/downloadui.h, res/download.rc,
	res/resource.h, src/downloadui.cpp:

	- fixes bugs #681 and #810 (win32 download manager revisions)
	
2000-08-24 01:51  ijr

	* plm/metadata/id3v2/id3v2.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/infoeditor.cpp:

	- fix bug #947 (yup, was in my code, not id3v[12] =)
	
2000-08-23 15:45  ijr

	* Makefile.in:

	- fixing broken patch
	
2000-08-23 15:25  robert

	* AUTHORS, Makefile.in:

	Applied makefile patch from Mo DeJong
	
2000-08-23 10:15  robert

	* base/src/downloadmanager.cpp, io/http/httpinput.cpp,
	lib/http/src/Http.cpp:

	Un fixing some HTTP bugs to fix bug 888 (CRLF issue)
	
2000-08-22 12:29  ijr

	* ui/musicbrowser/win32/src/Event.cpp:

	- fixup some dialogs, fix the learn algo to include currently selected
	  playlist tracks before the entire playlist
	
2000-08-21 09:52  sward

	* base/aps/apsinterface.cpp:

	Fixed Profiles with spaces in them corruption bug. TODO: check if files names open properly on every platform
	
2000-08-21 07:09  sward

	* io/src/tstream.cpp:

	ANSI C++? Whats that says M$. Fixed _snprintf difference on win32
	
2000-08-21 06:45  ijr

	* ui/musicbrowser/win32/: res/musicbrowser.rc, res/resource.h,
	src/IntroductionWizard.cpp:

	- Relatable introwizard updates: bold the captions, make opting in the
	  default, and change the web button text
	
2000-08-21 06:35  sward

	* ui/dde/win32/prj/dde.dsp:

	Fixed missing lib for release build
	
2000-08-21 06:10  sward

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	ftc/winamp/res/winamp.rc, io/cd/win32/res/cdoutput.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/signature/win32/res/signature.rc,
	io/soundcard/win32/res/soundcard.rc, io/wavout/win32/res/wavout.rc,
	lmc/cd/win32/res/cdlmc.rc, lmc/vorbis/win32/res/resource.h,
	lmc/vorbis/win32/res/vorbis.rc, lmc/xingmp3/win32/res/xing.rc,
	plm/metadata/cddb/res/cddb.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc, ui/dde/win32/res/dde.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	Fix the version numbers to 2.1.0.6
	
2000-08-21 06:07  robert

	* AUTHORS, io/src/tstream.cpp:

	Fixed icecast titlestreaming. Thanks for Alex Havang for the patch!
	
2000-08-21 05:41  ijr

	* base/src/musiccatalog.cpp:

	- Successfully generating sigs wasn't deleting the track from the
	  'to be signatured' set
	
2000-08-21 05:26  ijr

	* base/include/player.h, base/src/player.cpp,
	base/win32/prj/fabaselib.dsp, base/win32/prj/freeamp.dsp,
	dlm/rmp/prj/rmp.dsp, ftc/winamp/prj/winamp.dsp,
	io/cd/win32/prj/cdoutput.dsp, io/dsound/win32/prj/dsoundcard.dsp,
	io/http/win32/prj/httpinput.dsp, io/local/win32/prj/fileinput.dsp,
	io/obs/win32/prj/obsinput.dsp,
	io/signature/win32/prj/signature.dsp,
	io/soundcard/win32/prj/soundcard.dsp,
	io/wavout/win32/prj/wavout.dsp, lib/gdbm/prj/gdbm.dsp,
	lib/unzip/prj/unzip.dsp, lib/zlib/prj/zlib.dsp,
	lmc/cd/win32/prj/cdlmc.dsp, lmc/vorbis/win32/prj/vorbis.dsp,
	lmc/xingmp3/win32/prj/xing.dsp, plm/metadata/cddb/prj/cddb.dsp,
	plm/metadata/id3v1/prj/id3v1.dsp, plm/metadata/id3v2/prj/id3v2.dsp,
	plm/metadata/misc/prj/misc.dsp, plm/playlist/m3u/prj/m3u.dsp,
	plm/playlist/pls/prj/pls.dsp, plm/portable/pmp300/prj/pmp300.dsp,
	plm/portable/pmp300/sba/prj/riolib.dsp, ui/dde/win32/prj/dde.dsp,
	ui/download/win32/prj/download.dsp,
	ui/freeamp/tools/win32/MakeTheme.dsp,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/simple/win32/prj/simple.dsp, ui/toolbar/win32/prj/toolbar.dsp,
	update/win32/prj/update.dsp:

	- definately fix bug #917
	- commit the NOMINMAX thingie
	
2000-08-21 04:23  robert

	* plm/metadata/id3v2/id3v2.cpp:

	Fixed bug 924 (ID3v2 doesn't read artist from some MP3s)
	
2000-08-21 04:05  robert

	* io/http/httpinput.cpp:

	Fixed bug #912. HTTP streams send local hostname, not remote hostname
	
2000-08-21 02:21  ijr

	* ui/: freeamp/unix/src/GTKPreferenceWindow.cpp,
	musicbrowser/unix/include/gtkmusicbrowser.h,
	musicbrowser/unix/src/gtkmusicbrowser.cpp,
	musicbrowser/win32/include/Win32MusicBrowser.h,
	musicbrowser/win32/src/Event.cpp:

	- when a user tries to submit or generate a playlist, check to see if all the
	  tracks are signatured.  If not, pop up a dialog telling them that freeamp
	  needs to signature tracks still, and don't try to do the submit/generate.
	
2000-08-21 01:52  ijr

	* ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	- windows version wasn't doing the AskSignature dialog after the first time
	  a profile was created. fixed.
	
2000-08-21 01:05  ijr

	* base/aps/apsinterface.cpp, base/include/event.h,
	base/include/eventdata.h, base/include/player.h,
	base/src/musiccatalog.cpp, base/src/player.cpp,
	io/include/pmoevent.h, io/signature/src/signaturepmo.cpp,
	lmc/xingmp3/src/xinglmc.cpp, ui/freeamp/src/Theme.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/src/Event.cpp:

	- fixed #915 (signaturing annoyances on bad mp3s) by not sending the dialog
	  boxes to the user telling them that the file/stream is corrupted and
	  storing "BAD_MP3" in the GUID field in the database so as to not signature
	  the file again.
	- should fix #917 (deadlock in signature stop/start code) need to test this
	  on windows some more
	- write profiles.txt after any op that changes the info contained in it.
	  should fix some problems.
	- fixed #919 (coca cola themes crash freeamp) work around broken themes
	  w/o <Control> tags.
	
2000-08-19 05:46  sward

	* base/aps/apsinterface.cpp:

	Fixed dealock if signaturing when musicbrainz is down...
	
2000-08-18 06:29  robert

	* themes/: Minimalist.fat, Visions.fat, panel.fat:

	These themes do not need to be in CVS.
	
2000-08-18 06:26  robert

	* themes/Relatable.fat:

	Ok, done.
	
2000-08-18 06:22  ijr

	* base/src/musiccatalog.cpp:

	- "fix" the double delete
	
2000-08-18 05:32  robert

	* themes/Relatable.fat:

	Added the newly tweaked Relatable theme. As per Pat's request it uses
	the old background.
	
2000-08-18 05:13  ijr

	* ui/musicbrowser/win32/src/IntroductionWizard.cpp:

	- finish off the win32 introwizard
	
2000-08-18 05:04  sward

	* lib/http/src/Http.cpp:

	Fixed final recv loop bug
	
2000-08-18 04:47  ijr

	* ui/musicbrowser/: unix/include/introwizard.h,
	unix/src/introwizard.cpp, win32/src/IntroductionWizard.cpp:

	iterim commit
	- linux introwizard is done, win32 copy still needs updating
	
2000-08-18 04:26  robert

	* themes/FreeAmp.fat, ui/freeamp/include/FreeAmpTheme.h,
	ui/freeamp/src/FreeAmpTheme.cpp:

	Updated with visual signature indicator.
	
2000-08-18 03:53  sward

	* plm/portable/pmp300/pmp300.cpp:

	Fix for SGI stl on WIN32
	
2000-08-18 02:48  ijr

	* base/aps/aps.h, base/aps/apsconvert.cpp,
	base/aps/apsinterface.cpp, base/aps/sigclient.cpp,
	base/aps/sigclient.h, ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/IntroductionWizard.cpp:

	- merge in sean's second patch..
	- iterim commit of the win32 intro wizard
	- update the ask signature dialog on linux + doze
	
2000-08-18 01:36  robert

	* Makefile-plugins.in, base/aps/apsinterface.cpp,
	base/aps/uuid.cpp, base/aps/uuid.h, plm/portable/pmp300/pmp300.cpp:

	Applied Sean's first set of patches
	
2000-08-17 14:47  robert

	* base/aps/apsinterface.cpp, base/aps/uuid.h,
	base/win32/prj/fabaselib.dsp, io/http/win32/prj/httpinput.dsp,
	plm/metadata/cddb/prj/cddb.dsp, ui/dde/win32/prj/dde.dsp,
	ui/download/win32/prj/download.dsp:

	Windows finally compiles -- I can't test it since it keeps crashing while
	trying to create a profile.
	
2000-08-17 14:09  robert

	* base/aps/: apsinterface.cpp, uuid.cpp, uuid.h:

	New uuid code...
	
2000-08-17 13:03  robert

	* Makefile.in:

	And some more minor fuss
	
2000-08-17 12:18  robert

	* Makefile.in:

	Moving some files around to make windows happy
	
2000-08-17 11:03  robert

	* Makefile.header.in, Makefile.in, base/aps/apsinterface.cpp,
	base/aps/uuid.cpp, base/aps/uuid.h:

	This should complete the linux changes for beta 6. I still need to
	bring the staging server up to date and then compile this stuff under
	windows.
	
2000-08-16 11:55  ijr

	* base/include/help.h, ui/freeamp/win32/res/freeampui.rc,
	ui/freeamp/win32/res/resource.h,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	- merge in the win32 ease-of-use-ification changes... note: largely untested,
	  since i'm having problems creating profiles in win32, but this is a fairly
	  straight port of the linux code, so it should all work perfectly.
	
2000-08-16 11:33  ijr

	* ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	- fix a deadlock
	
2000-08-15 13:53  ijr

	* base/aps/aps.h, base/aps/apsinterface.cpp, base/include/event.h,
	base/include/musiccatalog.h, base/include/player.h,
	base/src/musiccatalog.cpp, base/src/player.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- most of the linux changes, w/ placeholder text for now..  on to 'doze.
	
2000-08-10 13:49  ijr

	* base/src/player.cpp, base/unix/include/semaphore.h,
	base/win32/include/semaphore.h, lmc/xingmp3/src/xinglmc.cpp:

	- this should fix the signaturing code's interaction w/ playing tracks..
	  basically, work around the fact that the Semaphore class counts differently
	  on linux and windows, by defining SEM_LOCK and SEM_UNLOCKED to use when
	  initializing a semaphore's count..  since things default to SEM_LOCKED, only
	  SEM_UNLOCKED is really useful.
	
2000-08-10 08:01  ijr

	* base/src/musiccatalog.cpp:

	- fix elrod's nasty stl error -- his set<> apparently doesn't have an
	  insert(iterator, iterator) operator
	
2000-08-09 12:44  robert

	* installer/unix/linux/: erradicate_freeamp, freeamp-rh5x.spec,
	freeamp-rh6x.spec, relatable-rh6x.spec:

	Updates for building beta6 and adding relatable files
	
2000-08-09 12:36  robert

	* io/http/httpinput.cpp:

	Removing debugs
	
2000-08-09 12:25  ijr

	* base/aps/comsocket.cpp:

	- define SHUT_RDWR for boxen without it
	
2000-08-09 10:55  ijr

	* base/src/musiccatalog.cpp,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	- fix stuff
	
2000-08-09 10:28  robert

	* ui/cmdline/cmdlineUI.cpp:

	The cmdling ui now plays ogg files.
	
2000-08-09 08:44  ijr

	* base/include/eventdata.h, base/include/musiccatalog.h,
	base/include/player.h, base/src/musiccatalog.cpp,
	base/src/player.cpp, ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- attempting to fix the signaturing problem
	- fix it for bad mp3s, at least...
	
2000-08-08 21:04  ijr

	* plm/metadata/id3v2/id3v2.cpp:

	- id3v2 seems to store song length in milliseconds, so we need to divide that
	  by 1000 before setting the time in the metadata
	
2000-08-08 20:51  ijr

	* base/src/: musiccatalog.cpp, player.cpp:

	- fix the segfault in ~PlaylistManager caused by sharing data w/ the signature
	  thread
	
2000-08-08 19:52  ijr

	* io/soundcard/win32/src/soundcardpmo.cpp:

	- don't delete the Win32Volume instance in the soundcard.pmo, or bad
	  voodoo will ensue
	
2000-08-08 17:45  ijr

	* base/include/musiccatalog.h, base/src/musiccatalog.cpp,
	base/src/player.cpp, lmc/xingmp3/src/xinglmc.cpp:

	- add some music browser messages for the signaturing..
	- fix the storage of GUIDs on 'doze..
	- update tracks in the tree and playlists w/ new GUIDs when necessary
	
2000-08-08 16:05  ijr

	* base/src/player.cpp:

	- fix bug #870
	
2000-08-08 15:34  robert

	* base/aps/hosttonet.cpp, io/http/httpinput.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Panel.cpp:

	Fixed bugs: 813 825 826 841 845
	
2000-08-08 15:30  ijr

	* base/src/playlist.cpp:

	- remove s'more cruft from the merge..
	
2000-08-08 15:06  ijr

	* ui/freeamp/include/Panel.h:

	- remove crufty function body
	
2000-08-08 14:04  robert

	* ui/freeamp/src/: Control.cpp, Panel.cpp, SliderControl.cpp,
	Window.cpp:

	Fixed slider bug 836
	
2000-08-08 11:43  robert

	* ui/ncurses/ncursesUI.cpp:

	ncurses now plays ogg files ok.
	
2000-08-08 11:37  robert

	* io/soundcard/win32/src/soundcardpmo.cpp:

	Vorbis now shows time smoothly in win32
	
2000-08-08 09:05  ijr

	* base/aps/apsinterface.cpp, base/src/player.cpp,
	base/src/playlist.cpp, lmc/xingmp3/src/xinglmc.cpp,
	ui/freeamp/src/Panel.cpp, ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp:

	- merge in fixes from Sean
	- add a semaphore to protect the xing decoder..
	- fix the streams recommendation stuff on linux (re-recommending things didn't
	  work properly)
	
2000-08-04 18:25  ijr

	* base/: aps/apsinterface.cpp, src/player.cpp:

	- minor changes to make the profile log files live in FreeampDir()
	
2000-08-04 16:28  ijr

	* base/include/playlist.h, base/src/player.cpp,
	base/src/playlist.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/src/Event.cpp:

	- remove some playlist generation cruft from playlist.cpp
	- add handling of track skip events
	- don't stop playing when generating a playlist off of the currently playing
	  item (both win32 and linux)
	- flip the position of the Help and Relatable menu items in win32
	
2000-08-04 10:54  ijr

	* base/: aps/aps.h, aps/apsinterface.cpp, src/player.cpp:

	- properly save the profile data locally
	
2000-08-04 08:19  ijr

	* base/: aps/YPClient.cpp, src/musiccatalog.cpp, src/player.cpp:

	- fixing things..
	
2000-08-03 15:52  robert

	* ui/mpg123/: Mpg123UI.cpp, Mpg123UI.h:

	Added vorbis info support to mpg123
	
2000-08-03 14:26  robert

	* Makefile-plugins.in, lmc/vorbis/src/vorbislmc.cpp,
	ui/mpg123/Mpg123UI.cpp:

	Get linux to use the included vorbis sources
	
2000-08-03 13:09  robert

	* base/src/musiccatalog.cpp, base/src/player.cpp,
	base/win32/prj/freeamp.dsw,
	io/soundcard/win32/src/soundcardpmo.cpp,
	lmc/vorbis/win32/prj/vorbis.dsp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/MissingFileDialog.cpp,
	ui/musicbrowser/win32/src/OpenSavePlaylists.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp:

	Updated the vorbis stuff. Basic support now works under windows.
	
2000-08-03 10:09  robert

	* base/win32/prj/freeamp.dsw, lmc/vorbis/include/vorbis/backends.h,
	lmc/vorbis/include/vorbis/codebook.h,
	lmc/vorbis/include/vorbis/codec.h,
	lmc/vorbis/include/vorbis/internal.h,
	lmc/vorbis/include/vorbis/modes.h,
	lmc/vorbis/include/vorbis/vorbisfile.h,
	lmc/vorbis/src/vorbislmc.cpp, lmc/vorbis/win32/prj/vorbis.dsp:

	Adding the vorbis source -- this is unfortunately the easiest thing to
	do at the moment. Once Vorbis goes 1.0 there will be shared libs and
	we will switch to them at that point.
	
2000-08-02 08:24  ijr

	* base/src/playlist.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/src/Event.cpp:

	- fix a couple APSGetPlaylist() calls to use an empty input list instead of
	  NULL
	
2000-08-02 08:01  ijr

	* base/: aps/apsinterface.cpp, include/player.h, src/player.cpp:

	- add the SyncLog() to the APSInterface constructor, and have a timer do it
	  every 30 minutes after that
	
2000-08-01 18:47  ijr

	* ui/musicbrowser/win32/: include/Win32MusicBrowser.h,
	src/Event.cpp, src/MusicTree.cpp:

	- hopefully, a working recommended streams ui for 'doze
	
2000-08-01 15:05  ijr

	* base/src/musiccatalog.cpp:

	- don't generate a signature unless there's no GUID stored
	
2000-08-01 10:29  ijr

	* ui/musicbrowser/unix/: include/gtkmusicbrowser.h,
	src/browsertree.cpp:

	- first go at relatable 'my streams' subtree
	
2000-08-01 08:29  ijr

	* base/win32/prj/fabaselib.dsp:

	- missed removing an obsolete file
	
2000-07-31 20:46  ijr

	* base/aps/aps.h:

	- typo in the signature server ip.
	
2000-07-31 14:32  ijr

	* base/: aps/apsinterface.cpp, win32/prj/fabaselib.dsp:

	- compile on windows
	
2000-07-31 12:51  ijr

	* Makefile-plugins.in, Makefile.header.in, Makefile.in, configure,
	configure.in, base/aps/FAMetaUnit.cpp, base/aps/FAMetaUnit.h,
	base/aps/YPClient.cpp, base/aps/YPClient.h, base/aps/aps.h,
	base/aps/apsconvert.cpp, base/aps/apsconvert.h,
	base/aps/apsinterface.cpp, base/aps/apsmetadata.h,
	base/aps/apsplaylist.cpp, base/aps/apsplaylist.h,
	base/aps/apsutility.h, base/aps/audiosig.h, base/aps/automutex.h,
	base/aps/comsocket.cpp, base/aps/comsocket.h, base/aps/gencrc.cpp,
	base/aps/hosttonet.cpp, base/aps/nettohost.cpp,
	base/aps/sigclient.cpp, base/aps/sigclient.h, base/aps/sigxdr.cpp,
	base/aps/sigxdr.h, base/aps/wincomsocket.cpp,
	base/aps/wincomsocket.h, base/include/errors.h,
	base/include/event.h, base/include/eventdata.h,
	base/include/facontext.h, base/include/metadata.h,
	base/include/musiccatalog.h, base/include/player.h,
	base/include/playlist.h, base/src/musiccatalog.cpp,
	base/src/player.cpp, base/src/playlist.cpp, base/src/registrar.cpp,
	base/win32/prj/fabaselib.dsp, base/win32/prj/freeamp.dsp,
	base/win32/prj/freeamp.dsw, io/esound/src/esoundpmo.cpp,
	io/http/httpinput.cpp, io/local/localfileinput.cpp,
	io/signature/include/sigcomplex.h, io/signature/include/sigfft.h,
	io/signature/include/signaturepmo.h, io/signature/src/sigfft.cpp,
	io/signature/src/signaturepmo.cpp,
	io/signature/win32/prj/signature.def,
	io/signature/win32/prj/signature.dsp,
	io/signature/win32/res/resource.h,
	io/signature/win32/res/signature.rc,
	io/soundcard/unix/linux/src/soundcardpmo.cpp, io/src/pipeline.cpp,
	io/src/pmi.cpp, io/src/pmo.cpp, io/src/pullbuffer.cpp,
	io/src/tstream.cpp, lmc/cd/include/cdlmc.h, lmc/cd/src/cdlmc.cpp,
	lmc/include/lmc.h, lmc/vorbis/include/vorbislmc.h,
	lmc/vorbis/src/vorbislmc.cpp, lmc/xingmp3/include/xinglmc.h,
	lmc/xingmp3/src/cupl3.c, lmc/xingmp3/src/xinglmc.cpp,
	plm/metadata/cddb/prj/cddb.dsp, plm/metadata/misc/misc.cpp,
	ui/cmdline/cmdlineUI.cpp, ui/cmdline/win32/src/consoleCIO.cpp,
	ui/cmdline/win32/src/consoleCOO.cpp,
	ui/download/win32/src/main.cpp, ui/freeamp/src/ForeignTheme.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Panel.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/win32/include/Win32PreferenceWindow.h,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/res/freeampui.rc, ui/freeamp/win32/res/resource.h,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/freeamp/win32/src/freeampui.cpp, ui/irman/src/irmanui.cpp,
	ui/lcd/src/lcdui.cpp, ui/mpg123/Mpg123UI.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/include/infoeditor.h,
	ui/musicbrowser/unix/include/introwizard.h,
	ui/musicbrowser/unix/res/relatable.xpm,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/infoeditor.cpp,
	ui/musicbrowser/unix/src/introwizard.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/relatable.bmp,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/EditTrackInfoDialog.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/IntroductionWizard.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp,
	ui/ncurses/ncursesUI.cpp, ui/simple/win32/src/main.cpp,
	ui/simple/win32/src/simpleui.cpp:

	- fairly tiny commit.  Probably won't compile on 'doze, but I'll fix that soon.
	- Initial commit of the Relatable YourPlay client-side support.  Most
	  likely broken.
	
2000-07-27 10:35  robert

	* base/include/waveconsumer.h:

	file waveconsumer.h was initially added on branch vis-branch.
	
2000-07-25 11:22  robert

	* Makefile-plugins.in:

	A quick vorbis fix.
	
2000-07-17 16:19  hiro

	* ui/musicbrowser/beos/: include/Separator.h, src/Separator.cpp:

	- uses BCursor, BView::SetViewCursor API instead of BApplication::SetCursor.
	
2000-07-17 15:31  hiro

	* ui/musicbrowser/beos/: include/BeOSMusicBrowser.h,
	src/BeOSMusicBrowser.cpp, src/MusicBrowserUI.cpp,
	src/MusicTreeView.cpp, src/PlaylistView.cpp:

	- implemented drag&drop from Tracker, fixed bugs associated with it.
	
2000-07-12 21:20  hiro

	* ui/musicbrowser/beos/: include/BeOSMusicBrowser.h,
	res/add_file.png, res/add_track.png, res/down_pic.png,
	res/edit_pic.png, res/import_pic.png, res/new_pic.png,
	res/save_pic.png, res/trash_pic.png, res/up_pic.png,
	res/wizard.png, src/BeOSMusicBrowser.cpp, src/MusicBrowserUI.cpp,
	src/ToolBarButton.cpp:

	- fixed the alpha channels.
	- fixed the PlaylistItemsUpdated event handling.
	
2000-07-12 16:02  hiro

	* Makefile-plugins.in,
	ui/freeamp/beos/src/BeOSPreferenceWindow.cpp,
	ui/freeamp/beos/src/PrefWindow.cpp:

	- one last change. It really now builds clean on BeOS.
	
2000-07-12 13:10  hiro

	* ui/freeamp/beos/: include/BeOSBitmap.h, include/BeOSCanvas.h,
	src/BeOSBitmap.cpp, src/BeOSCanvas.cpp, src/BeOSWindow.cpp:

	- woohoo, panel stuff is now working.
	
2000-07-11 09:00  hiro

	* io/soundcard/beos/include/soundcardpmo.h,
	io/soundcard/beos/src/soundcardpmo.cpp, lmc/include/lmc.h,
	ui/freeamp/beos/include/PrefView.h,
	ui/freeamp/beos/include/PrefViews.h,
	ui/freeamp/beos/src/PrefView.cpp,
	ui/freeamp/beos/src/PrefViews.cpp:

	- forgot these. It now builds cleanly on BeOS.
	
2000-07-10 09:26  hiro

	* ui/freeamp/src/: FreeAmpTheme.cpp, Window.cpp:

	- Making gcc happy on BeOS, where int32 is typedef'd long.
	
2000-07-09 21:27  hiro

	* ui/musicbrowser/beos/src/: BeOSMusicBrowser.cpp,
	MusicBrowserUI.cpp:

	- Catching up with the unix/win32 ports.
	- Updated for R5, which exposed the bug where the PNG bitmap resources had wrong alpha values. Need to fix later.
	
2000-07-09 21:23  hiro

	* ui/freeamp/beos/: include/BeOSBitmap.h, include/PrefView.h,
	include/PrefWindow.h, include/Prefs.h, src/BeOSBitmap.cpp,
	src/BeOSCanvas.cpp, src/BeOSPreferenceWindow.cpp, src/PrefView.cpp,
	src/PrefWindow.cpp, src/Prefs.cpp:

	- Catching up with the unix/win32 ports.
	- Started implementing netscape-like prefefence panel (like unix/win32).
	
2000-07-09 21:19  hiro

	* base/beos/: include/beosthread.h, src/beosprefs.cpp,
	src/beosthread.cpp, src/utility.cpp:

	- catching up with the unix/win32 ports, minor changes.
	
2000-07-08 09:18  robert

	* themes/iCast.fat:

	file iCast.fat was initially added on branch proto-branch.
	
2000-07-08 07:23  robert

	* ui/freeamp/include/SocketLink.h:

	file SocketLink.h was initially added on branch proto-branch.
	
2000-07-08 07:20  robert

	* ui/freeamp/src/SocketLink.cpp:

	file SocketLink.cpp was initially added on branch proto-branch.
	
2000-06-29 23:29  ijr

	* AUTHORS, io/soundcard/unix/linux/src/soundcardpmo.cpp,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp:

	- A compile fix patch from Michael Jennings <mej@valinux.com>
	
2000-06-26 02:53  elrod

	* CHANGES:

	* 2.0.8
	
2000-06-23 00:21  ijr

	* io/alsa/unix/linux/src/alsapmo.cpp, io/esound/src/esoundpmo.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- make the linux build compile again
	
2000-06-22 12:32  elrod

	* ui/musicbrowser/win32/: include/Win32MusicBrowser.h,
	src/Dialog.cpp, src/MusicTree.cpp:

	* Add check for CD when My Music window created.
	
2000-06-22 12:05  elrod

	* base/unix/src/utility.cpp, io/cd/unix/src/cdpmo.cpp,
	io/soundcard/unix/linux/src/soundcardpmo.cpp:

	* Fix some messed up stuff on Linux side of things.
	
2000-06-22 11:53  elrod

	* base/include/preferences.h, base/src/preferences.cpp,
	io/cd/win32/src/cdpmo.cpp, io/dsound/win32/src/dsoundcardpmo.cpp,
	io/soundcard/win32/src/soundcardpmo.cpp, io/src/win32volume.cpp,
	io/wavout/src/wavoutpmo.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/Theme.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/win32/src/Win32Window.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Fix all the issues with the pref change over on win32. There may be some
	  issues still on Linux.
	
2000-06-22 09:09  elrod

	* base/src/player.cpp:

	* Oops, accidentally replaced Get/SetVolume calls in Player object.
	
2000-06-22 09:03  elrod

	* base/: include/preferences.h, src/preferences.cpp:

	* Remove declarations of convenience functions now that they aren't used...
	  They were munged anyway by the global search and replace!
	
2000-06-22 08:27  elrod

	* base/beos/src/bootstrap.cpp, base/beos/src/utility.cpp,
	base/src/downloadmanager.cpp, base/src/player.cpp,
	base/src/preferences.cpp, base/src/utility.cpp,
	base/unix/src/utility.cpp, base/win32/src/main.cpp,
	base/win32/src/win32prefs.cpp, ftc/winamp/winamp.cpp,
	io/http/httpinput.cpp, io/local/localfileinput.cpp,
	io/obs/obsinput.cpp, plm/portable/pmp300/pmp300.cpp,
	ui/freeamp/beos/src/PrefView.cpp,
	ui/freeamp/beos/src/ThemeManager.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/unix/src/GTKFont.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/ThemeManager.cpp,
	ui/freeamp/win32/src/ThemeManager.cpp,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/freeamp/win32/src/Win32Window.cpp,
	ui/freeamp/win32/src/freeampui.cpp,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/OpenSavePlaylists.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp,
	ui/simple/win32/src/prefdialog.cpp,
	ui/simple/win32/src/simpleui.cpp, ui/toolbar/win32/Toolbar.cpp,
	ui/toolbar/win32/src/Toolbar.cpp:

	* Change all the pref calls to use the base functions and not the
	  specialized ones.
	
2000-06-22 08:13  elrod

	* base/beos/src/volume.cpp, base/src/downloadmanager.cpp,
	base/src/musiccatalog.cpp, base/src/player.cpp,
	base/src/playlist.cpp, base/src/preferences.cpp,
	base/src/updatemanager.cpp, base/unix/src/bootstrap.cpp,
	base/win32/src/main.cpp, io/alsa/unix/linux/src/alsapmo.cpp,
	io/cd/unix/src/cdpmo.cpp, io/cd/win32/src/cdpmo.cpp,
	io/dsound/win32/src/dsoundcardpmo.cpp,
	io/dsound/win32/src/dsoundvolume.cpp, io/esound/src/esoundpmo.cpp,
	io/soundcard/beos/src/soundcardpmo.cpp,
	io/soundcard/unix/linux/src/soundcardpmo.cpp,
	io/soundcard/unix/solaris/src/soundcardpmo.cpp,
	io/soundcard/win32/src/soundcardpmo.cpp, io/src/win32volume.cpp,
	io/wavout/src/wavoutpmo.cpp, lib/http/src/Http.cpp,
	lmc/vorbis/src/vorbislmc.cpp, lmc/xingmp3/src/xinglmc.cpp,
	plm/metadata/cddb/cddb_proto.cpp, plm/metadata/id3v2/id3v2.cpp,
	plm/metadata/misc/misc.cpp, ui/download/unix/src/downloadui.cpp,
	ui/download/unix/src/gtkdownloadui.cpp,
	ui/freeamp/beos/src/PrefView.cpp,
	ui/freeamp/beos/src/ThemeManager.cpp, ui/freeamp/src/Equalizer.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/GTKUtility.cpp,
	ui/freeamp/unix/src/ThemeManager.cpp,
	ui/freeamp/win32/src/ThemeManager.cpp,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/freeamp/win32/src/freeampui.cpp,
	ui/musicbrowser/beos/src/MusicBrowserUI.cpp,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/MissingFileDialog.cpp,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/OpenSavePlaylists.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp,
	ui/simple/win32/src/prefdialog.cpp:

	* Change all the pref calls to use the base functions and not the
	  specialized ones.
	
2000-06-21 12:03  ijr

	* base/include/utility.h, base/src/utility.cpp,
	ftc/kjofol/kjofol.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/PixSliderControl.cpp, ui/freeamp/src/Theme.cpp:

	- fix stuff
	
2000-06-21 06:51  elrod

	* ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* fix 687
	
2000-06-21 06:34  ijr

	* base/include/downloadformat.h, base/include/eventdata.h,
	base/include/metadata.h, base/include/player.h,
	base/include/playlistformat.h, base/include/portabledevice.h,
	base/src/downloadmanager.cpp, base/src/player.cpp,
	base/src/utility.cpp, dlm/rmp/rmp.cpp, dlm/rmp/rmp.h,
	ftc/kjofol/kjofol.cpp, ftc/kjofol/kjofol.h, ftc/winamp/winamp.cpp,
	ftc/winamp/winamp.h, io/esound/src/esoundpmo.cpp,
	io/http/httpinput.cpp, io/src/pullbuffer.cpp, lib/gdbm/falloc.c,
	lib/gdbm/gdbmseq.c, lib/gdbm/gdbmstore.c, lib/gdbm/hash.c,
	lib/gdbm/update.c, lib/http/src/Http.cpp,
	plm/metadata/cddb/cddb.cpp, plm/metadata/cddb/cddb.h,
	plm/metadata/id3v1/id3v1.cpp, plm/metadata/id3v1/id3v1.h,
	plm/metadata/id3v2/id3v2.cpp, plm/metadata/id3v2/id3v2.h,
	plm/metadata/misc/misc.cpp, plm/metadata/misc/misc.h,
	plm/playlist/m3u/m3u.cpp, plm/playlist/m3u/m3u.h,
	plm/playlist/pls/pls.cpp, plm/playlist/pls/pls.h,
	plm/portable/pmp300/pmp300.cpp, plm/portable/pmp300/pmp300.h,
	ui/freeamp/include/themeformat.h, ui/freeamp/src/Theme.cpp,
	ui/freeamp/unix/src/GTKUtility.cpp, ui/lcd/src/sockets.c:

	- fix a bunch of unsigned/unsigned and unused parameter warnings
	- dock mode works properly under enlightenment now
	
2000-06-21 06:28  elrod

	* base/src/player.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp:

	* Added support for using windows CD nitification messages. This might not
	  work under NT 4.0. I need to test this when i get home.
	
2000-06-21 01:12  ijr

	* ftc/kjofol/kjofol.cpp, ftc/kjofol/kjofol.h,
	ui/freeamp/include/Types.h, ui/freeamp/include/Window.h,
	ui/freeamp/src/Theme.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/unix/include/GTKUtility.h,
	ui/freeamp/unix/include/GTKWindow.h,
	ui/freeamp/unix/src/GTKUtility.cpp,
	ui/freeamp/unix/src/GTKWindow.cpp:

	- support for the kjofol dock mode..  this is rather annoying, but it works,
	  mostly.  I don't really see the attraction of having a mp3 player jump
	  around the screen, following the focused window...  easy code, though.
	
2000-06-20 01:24  ijr

	* ui/freeamp/src/FreeAmpTheme.cpp:

	- can now change themes by dnd a themefile onto the player
	
2000-06-19 23:54  elrod

	* ui/musicbrowser/win32/: res/resource.h, src/Event.cpp:

	* Add ability to add a stream that is in your playlist directly to your
	  favorites folder.
	
2000-06-19 13:40  elrod

	* ui/: freeamp/win32/prj/freeampui.dsp,
	freeamp/win32/prj/freeampui.mak,
	musicbrowser/win32/include/Win32MusicBrowser.h,
	musicbrowser/win32/prj/musicbrowser.dsp,
	musicbrowser/win32/prj/musicbrowser.mak,
	musicbrowser/win32/res/musicbrowser.rc,
	musicbrowser/win32/res/resource.h,
	musicbrowser/win32/src/Event.cpp,
	musicbrowser/win32/src/MusicTree.cpp,
	musicbrowser/win32/src/PerformDBCheckDialog.cpp:

	* Streams folder now properly builds heirarchy.
	* Added a checkbox to the DB check request dialog so users can tell us to
	  stop annoying them each time they open the My Music window.
	* Added needed files to the project to get things compiling under win32.
	
2000-06-18 11:24  robert

	* lmc/vorbis/win32/prj/: vorbis.dsp, vorbis.dsw:

	Changed to vorbis from xing.
	
2000-06-18 11:23  robert

	* lmc/vorbis/win32/: prj/vorbis.def, prj/vorbis.dsp,
	prj/vorbis.dsw, res/resource.h, res/vorbis.rc:

	Added the skeleton win32 project files for vorbis support
	
2000-06-18 11:14  robert

	* lmc/vorbis/: include/vorbislmc.h, src/vorbislmc.cpp:

	Updated for use with the latest and greatest vorbis stuff
	
2000-06-14 03:51  ijr

	* base/unix/include/pthreadthread.h,
	base/unix/src/pthreadthread.cpp, ftc/kjofol/kjofol.cpp,
	ftc/kjofol/kjofol.h, ftc/winamp/winamp_theme.xml,
	ui/freeamp/src/PixFontControl.cpp,
	ui/freeamp/src/PixSliderControl.cpp:

	- remove broken last commit to pthread class =)
	- test w/ more kjofol themes, and fix a bunch of little graphical issues...
	
2000-06-14 02:05  ijr

	* base/: include/musiccatalog.h, src/musiccatalog.cpp,
	src/player.cpp, src/playlist.cpp, unix/include/pthreadthread.h,
	unix/src/pthreadthread.cpp:

	- make sure that the watch directory thread is exclusive to itself..
	- fix the segfault on exit -- plm didn't like the plf plugins handling more than
	  one file extension
	- detach the metadata write thread
	- and another synchronization semaphore to the pthread class
	
2000-06-14 00:02  ijr

	* ui/musicbrowser/unix/src/musicbrowser.cpp:

	- fix a race in closing the music search dialog
	
2000-06-13 14:33  ijr

	* ftc/kjofol/kjofol.cpp, ftc/kjofol/kjofol.h,
	ui/freeamp/src/PixSliderControl.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/unix/src/GTKBitmap.cpp:

	- support one of the two types of volume sliders...
	- fix a segfault just introduced in GTKBitmap
	
2000-06-13 13:24  ijr

	* Makefile-plugins.in, configure, configure.in,
	ftc/kjofol/kjofol.cpp, ftc/kjofol/kjofol.h,
	ftc/winamp/winamp_theme.xml, plm/playlist/m3u/m3u.cpp,
	ui/freeamp/include/Bitmap.h, ui/freeamp/include/Control.h,
	ui/freeamp/include/PixSliderControl.h, ui/freeamp/include/Theme.h,
	ui/freeamp/src/Control.cpp, ui/freeamp/src/ForeignTheme.cpp,
	ui/freeamp/src/PixFontControl.cpp,
	ui/freeamp/src/PixSliderControl.cpp,
	ui/freeamp/src/PixTimeControl.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/unix/include/GTKBitmap.h,
	ui/freeamp/unix/src/GTKBitmap.cpp,
	ui/freeamp/win32/include/Win32Bitmap.h,
	ui/freeamp/win32/src/Win32Bitmap.cpp:

	I bet he's going to steam that...
	
	- basic k-jofol skin converter.  No eq, volume control, shademode, playlist,
	  or dock mode so far, but everything else works just great (I think)
	
	  The Win32 side needs Win32Bitmap::GetColor() filled in for this to work.
	
	- add .gqmpeg to the handled extensions of the m3u plugin.
	- work around text glitches in some broken winamp skins.
	
2000-06-12 17:13  elrod

	* installer/win32/: FreeAmp.ipr, File Groups/Default.fdf, File
	Groups/ID3v2 MetaData.fgl, File Groups/Program Executable
	Files.fgl, File Groups/System DLLs.fgl, File Groups/WinAmp Skin
	Support.fgl, Media/32bit/default.mda:

	* Final installer tweaks.
	
2000-06-12 16:47  elrod

	* base/win32/prj/freeamp.mak,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak:

	* A few changes to the project files.
	
2000-06-12 16:44  elrod

	* installer/win32/String Tables/: default.shl,
	0009-English/value.shl:

	* Update verson info.
	
2000-06-12 16:43  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	ftc/winamp/res/winamp.rc, io/cd/win32/res/cdoutput.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, io/wavout/win32/res/wavout.rc,
	lib/portio/portio.rc, lmc/cd/win32/res/cdlmc.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/cddb/res/cddb.rc,
	plm/metadata/id3v1/res/id3v1.rc, plm/metadata/id3v2/res/id3v2.rc,
	plm/metadata/misc/res/misc.rc, plm/playlist/m3u/res/m3u.rc,
	plm/playlist/pls/res/pls.rc, plm/portable/pmp300/res/pmp300.rc,
	ui/dde/win32/res/dde.rc, ui/download/win32/res/download.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* Update version info.
	
2000-06-12 16:38  elrod

	* ui/musicbrowser/win32/: include/Win32MusicBrowser.h,
	src/Event.cpp, src/MusicTree.cpp, src/Win32MusicBrowser.cpp:

	* Almost there with the streams stuff. Trying to track a bug.
	
2000-06-12 12:02  ijr

	* help/unix/freeamphelp.tar.gz:

	- working help files! yay
	
2000-06-12 12:01  robert

	* help/win32/help.zip:

	Here are Julie's mods
	
2000-06-12 11:43  robert

	* base/include/help.h:

	Fixed one type. This should be it for me Isaac. Its all up to you...
	
2000-06-12 11:41  robert

	* base/src/utility.cpp:

	Ooops. Got a define wrong.
	
2000-06-12 11:28  elrod

	* base/src/playlist.cpp, ui/freeamp/src/Panel.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp:

	* Removed unneeded code from panel.cpp which was causing warning.
	* Metadata is now written to files when you do in place editing.
	* Moved writing of metadata to a new thread so UI does not hang when
	  updating albums & artists.
	
2000-06-12 11:21  robert

	* help/win32/help.zip, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	Some small updates...
	
2000-06-12 11:07  robert

	* base/include/utility.h, base/src/utility.cpp,
	ui/download/unix/src/gtkdownloadui.cpp,
	ui/freeamp/include/FreeAmpTheme.h, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp:

	This should fix the unix build. Sorry Isaac. :-0
	
2000-06-12 10:03  robert

	* base/: src/utility.cpp, win32/prj/freeamp.dsp:

	Windows help files are now working.
	
2000-06-12 09:47  elrod

	* installer/win32/Component Definitions/Default.cdf,
	installer/win32/File Groups/Default.fdf, installer/win32/File
	Groups/Help Files.fgl, installer/win32/File Groups/ID3v2
	MetaData.fgl, installer/win32/File Groups/Program Executable
	Files.fgl, lib/gdbm/bucket.c, lib/gdbm/falloc.c:

	* Add installer files for HTML help.
	
2000-06-12 09:44  robert

	* base/src/utility.cpp, ui/download/win32/include/downloadui.h,
	ui/download/win32/src/downloadui.cpp:

	This should unbreak the build. The windows help stuff doesn't work yet.
	
2000-06-12 09:13  robert

	* configure, base/include/help.h, base/include/utility.h,
	base/src/utility.cpp, base/unix/include/help.h,
	base/win32/include/help.h, ui/download/win32/include/downloadui.h,
	ui/download/win32/src/downloadui.cpp,
	ui/freeamp/include/FreeAmpTheme.h, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/win32/include/Win32PreferenceWindow.h,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/win32/include/EditTrackInfoDialog.h,
	ui/musicbrowser/win32/include/FavoriteDialog.h,
	ui/musicbrowser/win32/include/MissingFileDialog.h,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/EditTrackInfoDialog.cpp,
	ui/musicbrowser/win32/src/FavoriteDialog.cpp,
	ui/musicbrowser/win32/src/MissingFileDialog.cpp,
	ui/musicbrowser/win32/src/MusicSearchDialog.cpp:

	New help file changes...
	
2000-06-12 09:08  robert

	* help/win32/: INETWH32.dll, freeamp.cnt, freeamp.hlp, help.zip,
	roboex32.dll:

	Removed the old help stuff and replaced it with the new.
	
2000-06-12 08:24  elrod

	* ftc/winamp/prj/: winamp.dsp, winamp.mak:

	* Copy winamp xml file to plugins dir now instead of root dir.
	
2000-06-12 08:18  elrod

	* installer/win32/: FreeAmp.ipr, Component Definitions/Default.cdf,
	File Groups/CDDB MetaData.fgl, File Groups/Default Plugins.fgl,
	File Groups/Default.fdf, File Groups/Program Executable Files.fgl,
	File Groups/Wave File Output.fgl, File Groups/WinAmp Skin
	Support.fgl, Media/32bit/default.mda, Script Files/setup.ins,
	Script Files/setup.rul:

	* Add CDDB, Wave, and WinAmp groups so you can leave them out with a
	  custom install.
	* Add code to make RMP datatype shared by RealJukebox.
	
2000-06-12 08:07  ijr

	* ui/musicbrowser/unix/: include/gtkmusicbrowser.h,
	src/browserlist.cpp, src/gtkmusicbrowser.cpp:

	- bug #820, a context menu for adding streams to favs from the playlist.
	
2000-06-12 06:25  robert

	* base/win32/include/help.h:

	Adding new HTML help entry points
	
2000-06-12 06:13  ijr

	* Makefile-plugins.in, Makefile.header.in, configure, configure.in,
	config/config.h.in, ftc/winamp/winamp.cpp,
	ui/freeamp/unix/include/GTKBitmap.h,
	ui/freeamp/unix/src/GTKBitmap.cpp:

	- change default place for winamp_theme.xml
	- if the user has gdk-pixbuf installed, use that to load bitmaps instead of
	  our native loader -- also means we can handle just about every other image
	  format..
	
2000-06-12 05:11  robert

	* ui/freeamp/src/: ButtonControl.cpp, Control.cpp, DialControl.cpp,
	MultiStateControl.cpp, SliderControl.cpp, TextControl.cpp,
	VSliderControl.cpp:

	Trying to fix the mysterious problem where the tops of the F and A were
	getting cut off
	
2000-06-12 03:25  elrod

	* base/win32/prj/freeamp.dsw:

	* waveout.pmo was not being built.
	
2000-06-12 03:08  elrod

	* ui/musicbrowser/win32/: include/Win32MusicBrowser.h,
	res/musicbrowser.rc, src/Event.cpp, src/MultiSelectTreeView.cpp,
	src/MusicTree.cpp, src/Win32MusicBrowser.cpp:

	* Make the double-clicking for editing an item better... we now use
	  the system setting for double click time rather than 1/2 second.
	* Found bug causing problem with editing in place vs. adding track # to
	  track lists.
	
2000-06-11 11:55  ijr

	* Makefile-plugins.in, Makefile.header.in, configure, configure.in,
	config/config.h.in, ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp:

	- fix bug 819 (Track numbers in MyMusic tree)
	- fix dnd again.
	- mess 'round w/ the configure file abit
	
2000-06-11 03:38  robert

	* ui/freeamp/: src/FreeAmpTheme.cpp, win32/res/freeampui.rc:

	Fixes bugs 812, 813, 815 (minor text changes)
	
2000-06-10 11:52  robert

	* ui/musicbrowser/unix/src/browsertree.cpp:

	And now cleaning up my last check in. I hope this takes care of this. Phew.
	
2000-06-10 11:47  robert

	* Makefile-plugins.in, themes/EMusic.fat, themes/FreeAmp.fat,
	themes/panel.fat, ui/freeamp/include/Bitmap.h,
	ui/freeamp/include/ButtonControl.h, ui/freeamp/include/Canvas.h,
	ui/freeamp/include/Control.h, ui/freeamp/include/DialControl.h,
	ui/freeamp/include/Panel.h, ui/freeamp/include/Theme.h,
	ui/freeamp/include/Window.h, ui/freeamp/src/ButtonControl.cpp,
	ui/freeamp/src/Canvas.cpp, ui/freeamp/src/Control.cpp,
	ui/freeamp/src/Equalizer.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/MultiStateControl.cpp, ui/freeamp/src/Panel.cpp,
	ui/freeamp/src/TextControl.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/src/VSliderControl.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/unix/include/GTKBitmap.h,
	ui/freeamp/unix/src/GTKBitmap.cpp,
	ui/freeamp/unix/src/GTKCanvas.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/GTKWindow.cpp,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/res/freeampui.rc,
	ui/freeamp/win32/src/Win32Bitmap.cpp,
	ui/freeamp/win32/src/Win32Canvas.cpp,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/freeamp/win32/src/Win32Window.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp:

	This is the panels-yet-again-branch merged in. The pre-amp does not work
	yet, the theme how to is not updated, and the theme is also not complete.
	
2000-06-10 04:07  ksteinbe

	* io/cd/win32/: include/cdpmo.h, src/cdpmo.cpp:

	Header files are good to check in with source changes ;-)  Also .cpp changes
	to follow coding standards.
	
2000-06-09 07:26  ksteinbe

	* io/soundcard/win32/: include/soundcardpmo.h,
	src/soundcardpmo.cpp:

	Oops.  Checking in the header is a good thing.  Also renamed a member
	to comform to naming standards.
	
2000-06-09 06:29  robert

	* base/src/downloadmanager.cpp:

	Removing the debugging stuff...
	
2000-06-09 06:15  robert

	* base/src/downloadmanager.cpp:

	Moved the download manager fixes (bugs 803 and 817) to the main branch
	from the panels-yet-again-branch (where it didn't belong)
	
2000-06-08 05:53  ijr

	* base/src/utility.cpp, ui/freeamp/unix/src/GTKWindow.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- fix the FindMusicFiles to recurse properly on unix..
	- fix a minor typo in GTKWindow.cpp
	- enable d'n'd into the playlist from external apps.  This sucked.
	- Fix the 'Clear Playlist' menu item to always work, not just after the
	  playlist's been clicked on once.
	
2000-06-07 06:01  elrod

	* base/win32/include/help.h,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/win32/res/musicbrowser.rc:

	* Add folder pane help topic mapping
	* Rearrange code order to reduce potential flicker when switching between
	  pref panels (bug 776)
	* Reduce size of splitter in My Music window to be a little more like other
	  windows apps.
	
2000-06-07 03:24  ijr

	* ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- fix bug #808
	
2000-06-06 09:00  ijr

	* ui/musicbrowser/unix/: include/gtkmusicbrowser.h,
	src/gtkmusicbrowser.cpp, src/musicbrowser.cpp:

	- attempt to fix bug #805
	
2000-06-06 08:03  ksteinbe

	* io/cd/win32/prj/cdoutput.dsp:

	Added Win32Volume.cpp
	
2000-06-06 08:01  ksteinbe

	* io/soundcard/win32/src/soundcardpmo.cpp:

	Changes to use Win32Volume class.
	
2000-06-06 07:59  ksteinbe

	* io/cd/win32/src/cdpmo.cpp:

	Changes to use Win32VOlume class and fixes for bug 755
	
2000-06-06 07:53  ksteinbe

	* io/soundcard/win32/prj/soundcard.dsp:

	Added win32volume.cpp
	
2000-06-06 07:51  ksteinbe

	* io/include/win32volume.h:

	Inital Revision.  Class for consolidation of win32 mixer/volume
	control.  Used by soundcardpmo and cdpmo.
	
2000-06-06 07:50  ksteinbe

	* io/src/win32volume.cpp:

	Initial Revision.  Class for consolidation of win32 mixer/volume
	control code.  Used by cdpmo and soundcardpmo.
	
2000-06-06 05:47  elrod

	* base/src/downloadmanager.cpp:

	* Update head rev with changes from 2-0-8 download fix.
	
2000-06-06 05:45  ijr

	* base/include/preferences.h, base/src/preferences.cpp,
	ui/download/unix/include/downloadui.h,
	ui/download/unix/src/downloadui.cpp,
	ui/download/unix/src/gtkdownloadui.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	- do the unix side of bug #681 (Need checkbox option 'close this window when
	  dl finished') -- added a preference to store the state of the toggle.
	- fix a typo in the options dialog that prevented the convert underscores option
	  from getting changed
	
2000-06-06 04:56  ijr

	* ui/ncurses/ncursesUI.cpp:

	- make the ncurses ui work (#699)
	
2000-06-06 04:07  ijr

	* base/src/downloadmanager.cpp:

	- tiny change..
	
2000-06-06 04:01  ijr

	* ui/musicbrowser/unix/: include/gtkmusicbrowser.h,
	src/browserlist.cpp, src/browsermenu.cpp, src/browsertree.cpp,
	src/gtkmusicbrowser.cpp:

	- add multiselect to the playlist, fixing #608
	
2000-06-06 03:30  robert

	* plm/metadata/id3v2/: id3v2.cpp, id3v2.h:

	Fixes bug 791 (tack num and genre not saved)
	
2000-06-06 03:21  ijr

	* base/src/musiccatalog.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- this _should_ fix bug #680, the duplicate track items showing up..
	- more work on the music browser..
	
2000-06-06 03:00  elrod

	* base/src/playlist.cpp, plm/metadata/id3v2/id3v2.cpp,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/MissingFileDialog.cpp:

	* Added code to id3v2 plugin to add track info. Not sure if i did it right
	  though it works. Rob still needs to add genre though.
	* Changed the way we are saving window position for My Music window. It
	  should work better now.
	* Added a call to CMD_STOP if you press cancel in MissingFileDialog but it
	  still calls me several times.
	
2000-06-06 02:47  ijr

	* ui/musicbrowser/unix/: include/infoeditor.h, src/infoeditor.cpp:

	- this more closely matches the win32 edit track info dialog
	
2000-06-05 16:35  elrod

	* installer/win32/String Tables/: default.shl,
	0009-English/value.shl:

	* Update for beta 4
	
2000-06-05 16:30  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	ftc/winamp/res/winamp.rc, io/cd/win32/res/cdoutput.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, io/wavout/win32/res/wavout.rc,
	lib/portio/portio.rc, lmc/cd/win32/res/cdlmc.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/cddb/res/cddb.rc,
	plm/metadata/id3v1/res/id3v1.rc, plm/metadata/id3v2/res/id3v2.rc,
	plm/metadata/misc/res/misc.rc, plm/playlist/m3u/res/m3u.rc,
	plm/playlist/pls/res/pls.rc, plm/portable/pmp300/res/pmp300.rc,
	ui/dde/win32/res/dde.rc, ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* Update version info for beta 4
	
2000-06-05 14:55  ijr

	* ui/musicbrowser/unix/src/: browsermenu.cpp, browsertree.cpp,
	fileselector.cpp, gtkmusicbrowser.cpp:

	- fix #799, #800, #801
	
2000-06-05 14:35  robert

	* lmc/xingmp3/src/msis.c:

	Fixed bug 696 (mp3 file crashes decoder) Thanks to Jamie Gordon for coming
	up and checking it out.
	
2000-06-05 12:41  ijr

	* ui/musicbrowser/unix/src/browsertree.cpp:

	- fix dnd in the musicbrowser.
	
2000-06-05 12:19  ijr

	* base/src/: musiccatalog.cpp, player.cpp:

	- fix someone's change to Player::GetExtension() that made everything get
	  added to the music catalog
	
2000-06-05 10:47  ijr

	* base/src/player.cpp, ui/mpg123/Mpg123UI.cpp,
	ui/mpg123/Mpg123UI.h,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/include/infoeditor.h,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/infoeditor.cpp:

	- fix the mpg123 plugin again
	- mostly full support for multiselect in the music tree..  not in the playlist
	  pane yet.
	
2000-06-05 09:43  robert

	* base/include/player.h, base/src/player.cpp, themes/EMusic.fat,
	themes/FreeAmp.fat, ui/freeamp/src/Equalizer.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/VSliderControl.cpp:

	Fixed equalizer bugs 793 - 795
	
2000-06-05 07:58  robert

	* ui/freeamp/src/Theme.cpp:

	My last fix didn't fix this one
	
2000-06-05 07:20  robert

	* Makefile-plugins.in, ui/freeamp/include/Bitmap.h,
	ui/freeamp/include/Canvas.h, ui/freeamp/include/Control.h,
	ui/freeamp/include/DialControl.h, ui/freeamp/include/Theme.h,
	ui/freeamp/include/Window.h, ui/freeamp/src/ButtonControl.cpp,
	ui/freeamp/src/Canvas.cpp, ui/freeamp/src/Control.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/unix/include/GTKBitmap.h,
	ui/freeamp/unix/src/GTKBitmap.cpp:

	Fixed my screw-up of not checking the new panel stuff into the intended
	panel branch
	
2000-06-05 06:43  elrod

	* ui/musicbrowser/include/ColumnInfo.h:

	file ColumnInfo.h was initially added on branch release-2-1-column-patch.
	
2000-06-04 08:26  elrod

	* themes/: EMusic.fat, FreeAmp.fat:

	* Updated fonts (hopefully last time) in our themes.
	
2000-06-02 15:04  robert

	* ui/freeamp/: include/Panel.h, src/Panel.cpp:

	And these are needed too
	
2000-06-02 15:03  robert

	* Makefile-plugins.in, ui/freeamp/include/Bitmap.h,
	ui/freeamp/include/Canvas.h, ui/freeamp/include/Control.h,
	ui/freeamp/include/DialControl.h, ui/freeamp/include/Theme.h,
	ui/freeamp/include/Window.h, ui/freeamp/src/ButtonControl.cpp,
	ui/freeamp/src/Canvas.cpp, ui/freeamp/src/Control.cpp,
	ui/freeamp/src/DialControl.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/Theme.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/unix/include/GTKBitmap.h,
	ui/freeamp/unix/src/GTKBitmap.cpp:

	Working on the panels some more
	
2000-06-02 08:47  ijr

	* ui/musicbrowser/unix/src/browsertree.cpp:

	- fix bug #722 (sorting problems)
	
2000-06-02 08:30  ijr

	* ui/: freeamp/unix/src/GTKMessageDialog.cpp,
	musicbrowser/unix/src/gtkmessagedialog.cpp:

	- fix bug #780 (deadlock on d'n'd)
	
2000-06-02 06:37  ijr

	* ui/musicbrowser/unix/src/browsertree.cpp:

	- display s'more info about streams..
	
2000-06-02 06:17  ijr

	* Makefile-plugins.in, base/src/database.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- sync writes to the database..  should hopefully fix the corruption problems
	- basic new streams support..  handles arbitrary nesting of folders, but
	  doesn't display all the info yet.
	
	  Odd bug, too..  I get a parsing error when I download the streams.xml from
	  fa.org, but if I grab it from localhost, it works fine..
	
2000-06-01 15:38  robert

	* ui/musicbrowser/: include/FreeAmpStreams.h,
	src/FreeAmpStreams.cpp:

	Some minor updates after tweaking the DTD a bit
	
2000-06-01 15:14  robert

	* lib/xml/dtd/FreeAmpStreams.dtd:

	Adding the DTD for the FreeAmpStreams XML files
	
2000-06-01 13:32  robert

	* ui/musicbrowser/: include/FreeAmpStreams.h,
	src/FreeAmpStreams.cpp:

	This should supercede Icecast.cpp/.h The interface is virtually the same,
	just the structs that it returns in the vector are a bit different.
	
	Will the last person dealing with Icecast.cpp/.h please remove them?
	
2000-06-01 10:15  elrod

	* ui/musicbrowser/win32/src/Dialog.cpp:

	* Remove unnecessary rect calculation.
	
2000-06-01 10:11  elrod

	* ui/musicbrowser/win32/src/Dialog.cpp:

	* Hopefully a fix for the flickering cursor.
	
2000-06-01 08:56  ksteinbe

	* base/win32/src/main.cpp:

	Fixes for bug #769.  Added a check for the WM_DISPLAYCHANGE message
	in HiddenWndProc.  WHen this message is caught, the current theme is
	reloaded, utilizing the current palette.
	
2000-06-01 08:45  ksteinbe

	* ui/freeamp/src/FreeAmpTheme.cpp:

	Fixes for bug 773.  If the ThemePath in the Registry is empty, and the
	default theme loads successfully, the path to the default theme
	is set in the ThemePath variable.  This prevents the weird "can't load
	theme, using default instead" dialog when closing the Prefs dialog
	
2000-06-01 06:59  robert

	* lmc/xingmp3/src/xinglmc.cpp:

	Fixed bug 777. (Seek slider available during streaming playback)
	
2000-05-31 08:38  robert

	* ui/freeamp/win32/src/Win32Canvas.cpp:

	Fixes bug 737 again.
	
2000-05-30 13:52  elrod

	* CHANGES:

	* Lame update to CHANGES file.
	
2000-05-30 13:38  elrod

	* installer/win32/String Tables/: default.shl,
	0009-English/value.shl:

	* Update version info in installer.
	
2000-05-30 13:36  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	ftc/winamp/res/winamp.rc, io/cd/win32/res/cdoutput.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, io/wavout/win32/res/wavout.rc,
	lmc/cd/win32/res/cdlmc.rc, lmc/xingmp3/win32/res/xing.rc,
	plm/metadata/cddb/res/cddb.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc, ui/dde/win32/res/dde.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/simple/win32/res/simple.rc, ui/toolbar/win32/toolbar.rc,
	update/win32/res/update.rc:

	* Made sure all the copyright info was the same... some said EMusic, some
	  gave a URL to the GPL... now they all have both!
	
2000-05-30 13:27  elrod

	* README.win32, lmc/xingmp3/win32/prj/xing.dsp,
	lmc/xingmp3/win32/prj/xing.mak:

	* Project files now reference NASMW.exe instead of NASM.exe so that people
	  do not have to change the default name in order to compile our app.
	* Updated README.win32 to reflect this change.
	
2000-05-30 13:19  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	ftc/winamp/res/winamp.rc, io/cd/win32/res/cdoutput.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, io/wavout/win32/res/wavout.rc,
	lib/portio/portio.rc, lmc/cd/win32/res/cdlmc.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/cddb/res/cddb.rc,
	plm/metadata/id3v1/res/id3v1.rc, plm/metadata/id3v2/res/id3v2.rc,
	plm/metadata/misc/res/misc.rc, plm/playlist/m3u/res/m3u.rc,
	plm/playlist/pls/res/pls.rc, plm/portable/pmp300/res/pmp300.rc,
	ui/dde/win32/res/dde.rc, ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* Update version info for beta 3.
	
2000-05-30 05:28  elrod

	* base/win32/prj/freeamp.dsw, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Started to add track numbers to music tree and then backed it out bc of
	  renaming issues... need to try some things before committing this feature
	  permanently.
	* Fixed issues with drag and drop on main player window.
	* Add Files button now plays immediately if pressed on main player window
	  but queues in music browser... this allows you to build playlists with
	  files.
	
2000-05-25 11:21  ijr

	* Makefile.header.in, base/include/debug.h,
	base/src/musiccatalog.cpp, base/src/player.cpp, base/src/timer.cpp,
	base/unix/include/pthreadthread.h, base/unix/src/pthreadthread.cpp,
	config/config.h.in, lib/gdbm/systems.h, lib/http/src/Http.cpp,
	lmc/xingmp3/include/L3.h, lmc/xingmp3/include/port.h,
	lmc/xingmp3/src/cupini.c, lmc/xingmp3/src/cupl3.c,
	lmc/xingmp3/src/dec8.c, lmc/xingmp3/src/isbt.c,
	lmc/xingmp3/src/l3dq.c, lmc/xingmp3/src/l3init.c,
	lmc/xingmp3/src/mdct.c, lmc/xingmp3/src/mhead.c,
	lmc/xingmp3/src/uph.c, lmc/xingmp3/src/wcvt.c,
	ui/freeamp/unix/src/ttfont.cpp, ui/lcd/include/sockets.h,
	ui/lcd/src/sockets.c:

	- changed a bunch of // comments in .c files to /* */ so it'd compile w/ -ansi
	- close down any running music searches during the music catalog destructor
	- fixed a race condition in the pthread thread creation code
	  is this _THE_ bug? time will tell
	
2000-05-25 10:25  ksteinbe

	* ui/freeamp/src/FreeAmpTheme.cpp:

	Fix for bug#763 in ReloadTheme()
	
2000-05-25 08:30  robert

	* ui/freeamp/src/Window.cpp:

	Fixed bug 760.
	
2000-05-25 05:58  robert

	* io/http/: httpinput.cpp, httpinput.h:

	Fixed Elrod's favorite bug (440) Now on to Elrod's other pet bugs...
	
2000-05-25 04:45  elrod

	* ui/freeamp/win32/src/: ThemeManager.cpp,
	Win32PreferenceWindow.cpp:

	* You can now select a theme in development by pressing ctrl when hitting
	  the add theme button in the prefs.
	
2000-05-25 03:59  elrod

	* ui/freeamp/src/FreeAmpTheme.cpp:

	* removed use of constant 255 and replaced it with _MAX_PATH.
	
2000-05-25 03:48  elrod

	* base/include/eventdata.h, ui/musicbrowser/win32/src/Dialog.cpp:

	* Column headers now remember their size.
	* Removed const declaration in event. You can't delete a const pointer.
	
2000-05-24 10:08  ijr

	* base/include/database.h, base/include/debug.h,
	base/include/eventdata.h, base/include/log.h,
	base/include/utility.h, base/src/database.cpp, base/src/debug.cpp,
	base/src/downloadmanager.cpp, base/src/log.cpp,
	base/src/player.cpp, base/src/utility.cpp,
	base/unix/include/win32impl.h, base/unix/src/win32impl.cpp,
	dlm/rmp/rmp.cpp, io/http/httpinput.cpp, lib/gdbm/bucket.c,
	lib/gdbm/falloc.c, lib/gdbm/findkey.c, lib/gdbm/gdbm_fa.h,
	lib/gdbm/gdbmdefs.h, lib/gdbm/gdbmdelete.c, lib/gdbm/gdbmerrno.c,
	lib/gdbm/gdbmerrno.h, lib/gdbm/gdbmopen.c, lib/gdbm/gdbmreorg.c,
	lib/gdbm/gdbmseq.c, lib/gdbm/gdbmstore.c, lib/gdbm/global.c,
	lib/gdbm/proto.h, lib/gdbm/update.c, lib/xml/src/Parse.cpp,
	lmc/cd/include/cdlmc.h, lmc/cd/src/cdlmc.cpp, lmc/include/lmc.h,
	lmc/xingmp3/include/xinglmc.h, lmc/xingmp3/src/cdct.c,
	lmc/xingmp3/src/csbt.c, lmc/xingmp3/src/cup.c,
	lmc/xingmp3/src/cupL1.c, lmc/xingmp3/src/cupini.c,
	lmc/xingmp3/src/cupl3.c, lmc/xingmp3/src/dec8.c,
	lmc/xingmp3/src/hwin.c, lmc/xingmp3/src/icdct.c,
	lmc/xingmp3/src/isbt.c, lmc/xingmp3/src/iup.c,
	lmc/xingmp3/src/iupL1.c, lmc/xingmp3/src/iupini.c,
	lmc/xingmp3/src/iwinm.c, lmc/xingmp3/src/l3dq.c,
	lmc/xingmp3/src/l3init.c, lmc/xingmp3/src/mdct.c,
	lmc/xingmp3/src/msis.c, lmc/xingmp3/src/xinglmc.cpp,
	plm/metadata/cddb/cddb.h, plm/metadata/cddb/cddb_proto.cpp,
	plm/metadata/misc/misc.cpp, plm/playlist/m3u/m3u.cpp,
	plm/playlist/pls/pls.cpp, ui/download/unix/src/gtkdownloadui.cpp,
	ui/freeamp/include/Window.h,
	ui/freeamp/unix/include/GTKFileSelector.h,
	ui/freeamp/unix/src/GTKFileSelector.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/GTKUtility.cpp,
	ui/freeamp/unix/src/GTKWindow.cpp,
	ui/freeamp/unix/src/ThemeManager.cpp, ui/irman/src/irmanui.cpp,
	ui/lcd/include/sockets.h, ui/lcd/src/sockets.c,
	ui/mpg123/Mpg123UI.cpp,
	ui/musicbrowser/unix/include/fileselector.h,
	ui/musicbrowser/unix/include/introwizard.h,
	ui/musicbrowser/unix/include/musicsearchui.h,
	ui/musicbrowser/unix/src/fileselector.cpp:

	turned on more warnings, and fixed just about everything it complained
	about.. mostly just adding 'const' to some char*'s, fixing a few
	signed/unsigned issues, and other random things.
	
2000-05-24 09:28  elrod

	* ui/freeamp/src/FreeAmpTheme.cpp:

	* Hopefully fix a drag and drop bug... somehow on some machines the info
	 in the currentinfo update msg is invalid... i just don't use it anymore
	 and bug goes away on my portable.
	
2000-05-24 08:09  elrod

	* ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	* Fix bug 726. Win98 is eating my WM_HELP msg when I send it to my child
	  dialog. So I just defined my own message which gets through just fine.
	  Weird.
	
2000-05-24 07:31  ijr

	* base/src/musiccatalog.cpp, base/unix/src/pthreadthread.cpp,
	ui/freeamp/src/Theme.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- _seem_ to have fixed the crash on startup.  of course, typing that it might
	  be fixed will most likely jinx the thing, and it'll start segfaulting right
	  after I commit...
	- make the unix port compile again.. ie., UpdatePlaylistItems update
	- listen for the EditCurrentPlaylistItemInfo command
	
2000-05-24 06:56  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	ftc/winamp/res/winamp.rc, io/cd/win32/res/cdoutput.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc,
	io/wavout/win32/res/resource.h, io/wavout/win32/res/wavout.rc,
	lmc/cd/win32/res/cdlmc.rc, lmc/xingmp3/win32/res/xing.rc,
	plm/metadata/cddb/res/cddb.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc, ui/dde/win32/res/dde.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* Updated all the version resources to have same versioninfo.
	
2000-05-24 04:28  ijr

	* base/include/thread.h, base/src/downloadmanager.cpp,
	base/src/musiccatalog.cpp, base/src/playlist.cpp,
	base/src/timer.cpp, base/unix/include/pthreadthread.h,
	base/unix/src/pthreadthread.cpp, base/win32/include/win32thread.h,
	base/win32/src/win32thread.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/Headlines.cpp:

	- thread detach stuff.. took way longer than i thought
	
2000-05-23 09:24  elrod

	* base/include/preferences.h, base/src/preferences.cpp,
	ui/musicbrowser/win32/src/Dialog.cpp:

	* Music Browser now remembers size and position of splitter.
	* Created pref for header column sizes... will implement that next.
	
2000-05-23 07:30  elrod

	* base/src/playlist.cpp:

	* Fixed sorting issues.
	
2000-05-23 06:37  elrod

	* base/src/player.cpp, base/src/playlist.cpp,
	ui/musicbrowser/win32/include/EditTrackInfoDialog.h,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/src/EditTrackInfoDialog.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Add support for CMD_EditCurrentPlaylistItemInfo.
	
2000-05-23 03:27  elrod

	* base/src/playlist.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp:

	* Add menu item to locate current playing track in playlist
	* Fix some small display crap in musicbrowser header control
	
2000-05-23 03:23  robert

	* base/include/event.h:

	Added CMD_EditCurrentPlaylistItemInfo
	
2000-05-23 03:22  robert

	* ui/freeamp/: include/Control.h, include/Window.h,
	src/FreeAmpTheme.cpp, src/TextControl.cpp, src/Window.cpp,
	unix/src/GTKWindow.cpp, win32/src/Win32Window.cpp:

	Double clicking now sends the message CMD_EditCurrentPlaylistItemInfo
	
2000-05-23 01:49  elrod

	* base/include/event.h, base/include/eventdata.h,
	base/include/playlist.h, base/src/musiccatalog.cpp,
	base/src/player.cpp, base/src/playlist.cpp, io/http/httpinput.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Change PlaylistItemUpdatedEvent to PlaylistItemsUpdatedEvent and make
	  it use a vector<PLaylistItem*>. This signifigantly speeds up things when
	  adding >1000 items.
	
2000-05-22 14:42  robert

	* base/src/playlist.cpp:

	Changed one Acquire to Release and things look much better. :-)
	
2000-05-22 11:39  elrod

	* installer/win32/String Tables/default.shl, installer/win32/String
	Tables/0009-English/value.shl,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp:

	* change version info
	
2000-05-22 11:37  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, lib/portio/portio.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* update version for 2.1b2
	
2000-05-22 09:55  ijr

	* ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	- typo prevented the watch this dir ui pref from working
	
2000-05-22 09:50  elrod

	* themes/: EMusic.fat, FreeAmp.fat:

	* Updated themes to look good with new win32 font code.
	
2000-05-22 07:05  robert

	* lib/id3/id3lib.dll, lib/id3/id3lib.lib, lib/id3/include/id3.h,
	lib/id3/include/id3/error.h, lib/id3/include/id3/field.h,
	lib/id3/include/id3/flags.h, lib/id3/include/id3/frame.h,
	lib/id3/include/id3/globals.h, lib/id3/include/id3/header.h,
	lib/id3/include/id3/header_frame.h,
	lib/id3/include/id3/header_tag.h,
	lib/id3/include/id3/misc_support.h,
	lib/id3/include/id3/sized_types.h, lib/id3/include/id3/spec.h,
	lib/id3/include/id3/tag.h, lib/id3/include/id3/uint28.h,
	lib/id3/include/id3/utils.h, plm/metadata/id3v2/id3v2.cpp:

	Updated the id3lib to the latest and greatest and compiled as WIN32 Release
	
2000-05-22 06:50  elrod

	* base/src/playlist.cpp, base/src/timer.cpp,
	base/win32/src/win32updatemanager.cpp,
	ui/freeamp/win32/include/Win32PreferenceWindow.h,
	ui/freeamp/win32/res/freeampui.rc,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/DropTarget.cpp:

	* Fixed a race condition in the playlist manager that would crash app if
	  started and stopped it fast.
	* Removed buffer for X seconds pref
	* Fixed formatting of dates in update manager.
	* Commented out join in timer call until ijr fixes it so my machine won't
	  run out of memory <grin>
	
2000-05-22 06:46  robert

	* installer/unix/linux/freeamp-rh6x.spec:

	Made the rpm strip the files before packaging them up and also updated
	for beta 2
	
2000-05-22 06:00  robert

	* base/src/downloadmanager.cpp, io/http/httpinput.cpp,
	lib/http/src/Http.cpp:

	Fixed bug 739 (HTTP headers must use CR LF, not just LF)
	
2000-05-22 04:17  robert

	* ui/freeamp/win32/src/Win32Canvas.cpp:

	Fixes bug 737 -- the p j g and qs are not longer getting cut off. This is
	as close to inside the bounding text rects I am going to be able to get
	the text. Adjust the slashdot theme for these size and send it to me. I'll
	also check out the linux side and make sure the fonts are drawn properly
	there.
	
2000-05-20 05:32  ijr

	* AUTHORS, Makefile.in, configure, configure.in,
	base/unix/src/pthreadthread.cpp,
	ui/download/unix/include/downloadui.h,
	ui/download/unix/src/downloadui.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/ttfont.cpp,
	ui/musicbrowser/unix/include/musicbrowserui.h,
	ui/musicbrowser/unix/res/favorites_pix.xpm,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- remove the streaminterval stuff from the gui
	- remove the shoutcast item
	- clean up some things dmalloc didn't agree with
	- upgrade the dmalloc configure stuff for the latest ver
	- european character fix
	- add favorites pic
	
2000-05-19 09:12  robert

	* ui/freeamp/win32/src/Win32Canvas.cpp:

	This should fix bug 737. Try adjusting the slashdot theme to look right now.
	
2000-05-19 09:02  elrod

	* ui/freeamp/win32/prj/freeampui.dsp:

	[no log message]
	
2000-05-19 09:02  elrod

	* ui/freeamp/win32/: res/freeampui.rc,
	src/Win32PreferenceWindow.cpp:

	* Fix bug 735.
	* Allow multiselect in folder watch pref listview.
	* Show entire path, not truncated path.
	
2000-05-19 08:26  elrod

	* ui/: freeamp/src/Headlines.cpp,
	musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Fix bug 734
	* Get rid of warning in Headlines.cpp
	
2000-05-19 05:58  robert

	* io/: http/httpinput.cpp,
	soundcard/unix/linux/src/soundcardpmo.cpp:

	Removed one debug statement from http and fixed bug 719
	
2000-05-19 02:58  robert

	* lmc/xingmp3/src/cdct.c:

	Fixed one compile bug on non-x86 platforms
	
2000-05-19 02:55  robert

	* ui/freeamp/src/Headlines.cpp:

	Fixed the bug of the headlines not showing up under windows.
	
2000-05-18 07:38  robert

	* io/http/httpinput.cpp:

	This fixes bugs 711 and 725.
	
2000-05-18 03:12  robert

	* ui/freeamp/src/Theme.cpp:

	Themes may now be legal XML. :-)
	
2000-05-17 16:56  robert

	* ui/freeamp/src/Headlines.cpp:

	Improved headline error handling.
	
2000-05-17 09:07  robert

	* base/src/player.cpp:

	It helps to remove all printfs
	
2000-05-17 09:04  robert

	* base/src/player.cpp:

	I found the mysterious crash when trying to play streamed files
	when running from the non-install dir. The GetExtension call in player.cpp
	would return 5:4420 for this url rtp://225.2.1.5:4420. The GetExtension
	call will now return "MP3" for all urls that do not start with file:// .
	This is not perfect either -- for instance when we start streaming vorbis
	files this will be a problem...
	
2000-05-17 07:49  ijr

	* io/cd/win32/: include/cdpmo.h, src/cdpmo.cpp:

	This may fix the cd playing issues..
	
2000-05-17 02:27  robert

	* io/src/pmo.cpp:

	Fixed the on install seg fault
	
2000-05-15 16:09  elrod

	* installer/win32/FreeAmp.pfw, installer/win32/Script
	Files/setup.ins, ui/musicbrowser/win32/src/MusicTree.cpp:

	[no log message]
	
2000-05-15 15:44  elrod

	* ui/musicbrowser/: src/Icecast.cpp, win32/include/FooCast.h,
	win32/prj/musicbrowser.dsp, win32/prj/musicbrowser.mak,
	win32/src/FooCast.cpp, win32/src/MusicTree.cpp:

	* a little clean up
	
2000-05-15 15:38  elrod

	* installer/win32/File Groups/: Default Plugins.fgl, Program
	Executable Files.fgl:

	* Hope I got all the new files...
	
2000-05-15 15:33  elrod

	* installer/win32/: Registry Entries/default.rge, String
	Tables/default.shl, String Tables/0009-English/value.shl:

	* update version to 2.1
	
2000-05-15 15:31  elrod

	* config/config.win32:

	* update version info to 2.1
	
2000-05-15 15:28  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, lib/portio/portio.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* update versoin info to 2.1
	
2000-05-15 15:25  elrod

	* base/include/playlist.h,
	ui/musicbrowser/win32/include/FavoriteDialog.h,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/FavoriteDialog.cpp,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Finished up context menus
	* Add and Remove Favorites works
	
2000-05-15 12:29  ijr

	* Makefile-plugins.in, configure, configure.in:

	- build MakeTheme once again..
	
2000-05-15 10:36  ijr

	* base/src/: player.cpp, timer.cpp:

	- gdb was dying on some random things.. fixed.
	
2000-05-15 09:38  robert

	* CHANGES, README, ui/freeamp/include/Types.h,
	ui/freeamp/include/Window.h, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/Window.cpp, ui/freeamp/unix/src/GTKCanvas.cpp:

	My last set of changes for 2.1 beta 1.
	
2000-05-15 08:42  robert

	* themes/: EMusic.fat, FreeAmp.fat:

	Fixed the overall size of the themes. They were a bit too large...
	
2000-05-15 08:22  elrod

	* ui/musicbrowser/win32/: include/Win32MusicBrowser.h,
	res/musicbrowser.rc, res/resource.h, src/Dialog.cpp, src/Event.cpp:

	* Add context menu for CD Audio.
	
2000-05-15 07:29  robert

	* ui/freeamp/src/: Canvas.cpp, Window.cpp:

	Win32 panels are not completely happy.
	
2000-05-15 06:41  robert

	* ui/freeamp/: src/ButtonControl.cpp, src/Canvas.cpp,
	win32/src/Win32Bitmap.cpp, win32/src/Win32Window.cpp:

	The panels now don't open up by default.
	
2000-05-15 05:52  robert

	* ui/freeamp/: src/Canvas.cpp, src/FreeAmpTheme.cpp, src/Theme.cpp,
	unix/include/GTKCanvas.h, unix/src/GTKCanvas.cpp:

	Inching closer -- more tweaks.
	
2000-05-15 05:24  elrod

	* ui/musicbrowser/win32/: include/Win32MusicBrowser.h,
	prj/musicbrowser.dsp, res/favorites.bmp, res/musicbrowser.rc,
	res/resource.h, src/Dialog.cpp, src/Event.cpp, src/MusicTree.cpp,
	src/Win32MusicBrowser.cpp:

	* Add favorites section to My Streams.
	
2000-05-15 05:17  robert

	* ui/freeamp/src/: FreeAmpTheme.cpp, SliderControl.cpp,
	VSliderControl.cpp:

	More minor tweaks and cleanups
	
2000-05-15 05:14  robert

	* themes/: EMusic.fat, FreeAmp.fat:

	Updated themes that should be ok to release for beta 1. Remember, IANAA!
	
2000-05-15 02:34  robert

	* ui/freeamp/: include/Canvas.h, src/Canvas.cpp,
	src/DialControl.cpp, src/MultiStateControl.cpp,
	src/PixFontControl.cpp, src/PixTimeControl.cpp,
	src/SliderControl.cpp, src/TextControl.cpp, src/VSliderControl.cpp,
	src/Window.cpp, win32/include/Win32Canvas.h,
	win32/src/Win32Bitmap.cpp, win32/src/Win32Canvas.cpp:

	Panels are working correctly under win32 now
	
2000-05-14 16:12  robert

	* ui/freeamp/: src/Canvas.cpp, win32/include/Win32Bitmap.h,
	win32/include/Win32Window.h, win32/src/Win32Bitmap.cpp,
	win32/src/Win32Window.cpp:

	The windows version of the panels is now much better...
	
2000-05-14 16:12  robert

	* themes/panel.fat:

	Updated panel that is a *minor* bit cleaner.
	
2000-05-14 14:35  robert

	* themes/panel.fat:

	Added the panel test theme. This should work under linux -- to expand
	and collapse the eq panel click on the emusic icon. Please note that
	the eq controls don't really align yet....
	
2000-05-14 14:20  robert

	* ui/freeamp/: include/Bitmap.h, include/ButtonControl.h,
	include/Canvas.h, include/Control.h, include/Theme.h,
	include/Window.h, src/Bitmap.cpp, src/ButtonControl.cpp,
	src/Canvas.cpp, src/FreeAmpTheme.cpp, src/Theme.cpp,
	src/Window.cpp, unix/include/GTKBitmap.h, unix/include/GTKWindow.h,
	unix/src/GTKBitmap.cpp, unix/src/GTKWindow.cpp,
	win32/include/Win32Bitmap.h, win32/src/Win32Bitmap.cpp,
	win32/src/Win32Window.cpp:

	Finally merging in the panel-branch.
	
2000-05-12 06:51  elrod

	* base/src/missingfile.cpp:

	* Finish up the AcceptLocation function...
	
2000-05-12 06:30  elrod

	* base/win32/prj/fabaselib.dsp, base/win32/prj/fabaselib.mak,
	ui/musicbrowser/win32/include/MissingFileDialog.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/MissingFileDialog.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* First shot at Missing File Dialog.
	* For some reason I am getting called more than once for each missing file.
	
2000-05-12 02:53  elrod

	* base/include/preferences.h, base/src/preferences.cpp,
	io/cd/win32/src/cdaudio.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp:

	* Music Browser Window remembers size and position.
	* CD Info refreshes correctly.
	* Drag and drop of CD tracks works as expected.
	* CD still has play issue on NT.
	
2000-05-11 23:29  ijr

	* base/include/player.h,
	ui/musicbrowser/unix/include/missingfileui.h,
	ui/musicbrowser/unix/src/missingfileui.cpp:

	- missing file ui works.. stupid bug was preventing the browse button from
	  working.
	- fix bug report 'bout warning in player.h
	
2000-05-11 11:14  ijr

	* ui/musicbrowser/unix/: include/missingfileui.h,
	src/missingfileui.cpp:

	- better ui
	
2000-05-10 13:12  ijr

	* base/src/musiccatalog.cpp,
	ui/musicbrowser/unix/include/missingfileui.h,
	ui/musicbrowser/unix/src/missingfileui.cpp:

	- a more complete missing file ui..
	
2000-05-10 11:40  ijr

	* base/src/musiccatalog.cpp:

	- watch directory pref now handles multiple dirs ';' is the delimiter
	
2000-05-10 11:11  ijr

	* ui/musicbrowser/unix/src/: browsermenu.cpp, gtkmusicbrowser.cpp:

	- fix build
	
2000-05-10 08:47  elrod

	* base/include/playlist.h, base/src/playlist.cpp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Event.cpp:

	* Add ability to sort playlist by filename.
	
2000-05-09 06:22  elrod

	* base/win32/prj/fabaselib.dsp, base/win32/prj/fabaselib.mak,
	base/win32/prj/freeamp.mak, dlm/rmp/prj/rmp.mak,
	io/cd/win32/prj/cdoutput.mak, io/dsound/win32/prj/dsoundcard.mak,
	io/local/win32/prj/fileinput.mak, io/obs/win32/prj/obsinput.mak,
	io/soundcard/win32/prj/soundcard.mak, lib/gdbm/prj/gdbm.mak,
	lib/zlib/prj/zlib.mak, lmc/cd/win32/prj/cdlmc.mak,
	lmc/xingmp3/win32/prj/xing.mak, plm/metadata/id3v1/prj/id3v1.mak,
	plm/metadata/id3v2/prj/id3v2.mak, plm/metadata/misc/prj/misc.mak,
	plm/playlist/m3u/prj/m3u.mak, plm/portable/pmp300/prj/pmp300.mak,
	ui/dde/win32/prj/dde.mak, ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/prj/freeampui.mak,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp,
	ui/simple/win32/prj/simple.mak, ui/toolbar/win32/prj/toolbar.mak,
	update/win32/prj/update.mak:

	* icecast support in win32
	* regenerated makefiles for win32 due to some conflicts.
	
2000-05-09 03:21  elrod

	* AUTHORS, CHANGES, Makefile.towav.in, configure, configure.in,
	base/include/registry.h, base/include/utility.h,
	base/src/updatemanager.cpp, base/src/utility.cpp,
	base/win32/res/freeamp.rc, base/win32/src/main.cpp,
	base/win32/src/win32prefs.cpp,
	base/win32/src/win32updatemanager.cpp, config/config.h.in,
	config/config.win32, dlm/rmp/res/rmp.rc, installer/win32/Script
	Files/setup.rul, installer/win32/String Tables/default.shl,
	installer/win32/String Tables/0009-English/value.shl,
	io/dsound/win32/res/dsound.rc, io/http/httpinput.cpp,
	io/http/win32/res/http.rc, io/local/win32/res/local.rc,
	io/obs/win32/res/obs.rc, io/soundcard/win32/res/soundcard.rc,
	lib/portio/portio.rc, lmc/xingmp3/src/towave.c,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/unix/src/gtkdownloadui.cpp,
	ui/download/win32/res/download.rc,
	ui/download/win32/src/downloadui.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Headlines.cpp,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/prj/freeampui.mak,
	ui/freeamp/win32/res/freeampui.rc,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/freeamp/win32/src/Win32Window.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/fileselector.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/main.cpp,
	update/win32/res/update.rc:

	* Merge changes from 2.0.7 branch into head revision
	* Isaac needs to resolve one conflict in GTK MusicBrowser.
	
2000-05-08 13:29  ijr

	* Makefile-plugins.in,
	ui/musicbrowser/unix/include/missingfileui.h,
	ui/musicbrowser/unix/src/missingfileui.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- skeletal, incomplete, and non-functional
	
2000-05-08 09:39  robert

	* base/include/eventdata.h, base/include/missingfile.h,
	base/src/missingfile.cpp, base/src/player.cpp,
	io/local/localfileinput.cpp, io/local/localfileinput.h,
	ui/freeamp/src/FreeAmpTheme.cpp:

	Updated the missing file stuff to use PlaylistItems instead of urls
	
2000-05-08 08:49  elrod

	* io/: http/win32/prj/httpinput.dsp, http/win32/prj/httpinput.mak,
	obs/win32/prj/obsinput.dsp, obs/win32/prj/obsinput.mak:

	* removed StreamBuffer.cpp from prj.
	
2000-05-08 07:34  robert

	* io/: include/streambuffer.h, src/streambuffer.cpp:

	Gone!
	
2000-05-08 07:08  elrod

	* ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Playing catch up with isaac (as usual)... now using the saved playlist
	  position pref on win32.
	
2000-05-08 06:58  ijr

	* base/include/musiccatalog.h, base/src/musiccatalog.cpp,
	base/src/timer.cpp, ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- update the directory watch and icecast timers
	- fix timer->ticks not getting reset to 0 after a tick.
	
2000-05-08 06:56  robert

	* Makefile.in, base/include/event.h, base/include/eventdata.h,
	base/include/missingfile.h, base/src/missingfile.cpp,
	base/src/player.cpp, io/local/localfileinput.cpp,
	io/local/localfileinput.h, ui/freeamp/src/FreeAmpTheme.cpp:

	First cut of the missing file search stuff
	
2000-05-08 05:59  elrod

	* base/: include/facontext.h, include/player.h, include/timer.h,
	src/player.cpp, src/timer.cpp, win32/include/semaphore.h:

	* Change how the timer stuff works. There is now one timer thread that
	  spawns child threads for the functions when they are called.
	* Add TimerManager to context.
	* Update CD Timer in player to use new interface.
	
2000-05-08 03:49  ijr

	* Makefile.in, base/include/preferences.h,
	base/src/preferences.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- simple little feature -- if we're making the current playlist persistent
	  between runs, save/load the index in the playlist too
	
2000-05-07 14:38  robert

	* io/alsa/unix/linux/: include/alsapmo.h, src/alsapmo.cpp:

	More cleanup and simplification, plus it now plays non 44khz files. Bonus!
	
2000-05-07 10:06  robert

	* io/alsa/unix/linux/src/alsapmo.cpp,
	io/dsound/win32/src/dsoundcardpmo.cpp, io/esound/src/esoundpmo.cpp,
	io/http/httpinput.cpp, io/include/pmo.h, io/include/streambuffer.h,
	io/obs/obsinput.cpp, io/soundcard/unix/linux/src/soundcardpmo.cpp,
	io/soundcard/win32/src/soundcardpmo.cpp, io/src/pmo.cpp,
	lmc/xingmp3/include/xinglmc.h, lmc/xingmp3/src/xinglmc.cpp,
	ui/freeamp/include/FreeAmpTheme.h, ui/freeamp/src/FreeAmpTheme.cpp:

	Moved the streaming buffer up management to the pmo, instead of the lmc.
	This way new LMCs do not have to know anything about streaming, and the
	PMO base class takes care of it for the actual PMO implementations. This
	also means that Vorbis should now be fully streaming capable.
	
2000-05-07 05:48  robert

	* configure, configure.in, io/alsa/unix/linux/include/alsapmo.h,
	io/alsa/unix/linux/src/alsapmo.cpp, plm/metadata/id3v1/id3v1.cpp,
	plm/metadata/id3v2/id3v2.cpp:

	Updated the ALSA pmo for ALSA 0.5.x
	
2000-05-06 14:44  ijr

	* base/src/musiccatalog.cpp, ftc/winamp/winamp.cpp,
	ftc/winamp/winamp_theme.xml, ui/freeamp/include/SliderControl.h,
	ui/freeamp/include/VSliderControl.h,
	ui/freeamp/src/SliderControl.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/src/VSliderControl.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp:

	- fix small mem leak in music catalog generation
	- one liner to make 'My Music' tree item act as 'All Tracks' when drug.
	- support for the balance slider in winamp skins..
	
2000-05-06 11:23  ijr

	* Makefile.in, base/src/musiccatalog.cpp:

	- fix stupid bug
	
2000-05-06 10:53  ijr

	* base/: include/musiccatalog.h, include/playlist.h,
	src/musiccatalog.cpp, src/playlist.cpp:

	fix the music search crashes.  for real, this time.  (i hope)
	
2000-05-06 06:28  ijr

	* Makefile-plugins.in, configure, configure.in,
	base/src/musiccatalog.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- Icecast UI stuff should work once the xml page is up...
	
2000-05-06 05:05  ijr

	* Makefile-plugins.in, Makefile.in, configure, configure.in,
	base/src/musiccatalog.cpp, base/src/thread.cpp, base/src/timer.cpp,
	base/unix/include/mutex.h, base/unix/include/pthreadthread.h,
	base/unix/include/semaphore.h, base/unix/include/utility.h,
	base/unix/src/bootstrap.cpp, base/unix/src/debug.cpp,
	base/unix/src/mutex.cpp, base/unix/src/pthreadthread.cpp,
	base/unix/src/semaphore.cpp, base/unix/src/utility.cpp,
	base/unix/src/win32impl.cpp, config/config.h.in,
	io/cd/unix/src/cdpmo.cpp,
	io/soundcard/unix/solaris/src/soundcardpmo.cpp,
	io/src/pullbuffer.cpp, lib/gdbm/gdbmopen.c,
	plm/metadata/cddb/cddb.h, ui/irman/include/ir.h:

	- merge the solaris-port branch
	- dmalloc configure option
	- fixes to the music catalog, seems to (mostly) fix the random segfaults I was
	  seeing
	- close a few small mem leaks reported by dmalloc
	
2000-05-04 07:20  robert

	* lmc/: include/lmc.h, vorbis/src/vorbislmc.cpp,
	xingmp3/src/xinglmc.cpp:

	Fixed bugs 685, 686, 691, 702
	
2000-05-04 05:03  robert

	* ui/freeamp/: include/FreeAmpTheme.h, src/FreeAmpTheme.cpp:

	Mute now works...
	
2000-05-04 04:30  robert

	* io/cd/unix/: include/cdpmo.h, src/cdpmo.cpp:

	Forgot to update the cd pmo under unix
	
2000-05-04 04:28  robert

	* base/win32/src/semaphore.cpp, io/cd/win32/include/cdpmo.h,
	io/cd/win32/src/cdpmo.cpp, io/dsound/win32/src/dsoundcardpmo.cpp,
	io/soundcard/win32/src/soundcardpmo.cpp:

	Compile fixes after the first balance check-in. Things look good...
	
2000-05-04 03:54  robert

	* base/include/eventdata.h, base/src/player.cpp,
	io/dsound/win32/include/dsoundcardpmo.h,
	io/dsound/win32/src/dsoundcardpmo.cpp,
	io/esound/include/esoundpmo.h, io/esound/src/esoundpmo.cpp,
	io/include/pmo.h, io/soundcard/unix/linux/include/soundcardpmo.h,
	io/soundcard/unix/linux/src/soundcardpmo.cpp,
	io/soundcard/win32/include/soundcardpmo.h,
	io/soundcard/win32/src/soundcardpmo.cpp,
	io/wavout/include/wavoutpmo.h, io/wavout/src/wavoutpmo.cpp,
	ui/freeamp/include/FreeAmpTheme.h, ui/freeamp/src/FreeAmpTheme.cpp:

	Added support for a balance control
	
2000-05-04 03:21  robert

	* ui/musicbrowser/src/Icecast.cpp:

	Turned off the test code
	
2000-05-04 03:19  robert

	* ui/musicbrowser/: include/Icecast.h, src/Icecast.cpp:

	Added the icecast directory parsing stuff
	
2000-05-01 08:21  robert

	* base/win32/: include/semaphore.h, src/semaphore.cpp:

	Added changes for a ms argument to Wait(). Wait() now returns bool if the
	lock was acquired, false if it timed out.
	
2000-04-27 17:42  robert

	* Makefile-plugins.in, configure, configure.in,
	base/include/event.h, base/include/eventdata.h,
	base/src/player.cpp, base/src/registrar.cpp, config/config.h.in,
	io/include/pmi.h, io/include/pullbuffer.h,
	io/local/localfileinput.cpp, io/local/localfileinput.h,
	io/src/pullbuffer.cpp, lmc/vorbis/include/vorbislmc.h,
	lmc/vorbis/src/vorbislmc.cpp, ui/freeamp/include/FreeAmpTheme.h,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Theme.cpp:

	Added support for the vorbis codec. Download the library from www.xiph.org
	and check it out. Linux support for now only, windows is coming soon...
	
2000-04-27 03:14  robert

	* lib/id3/id3lib.dll:

	These new versions of the id3lib fix the windows corruption problem. Looks
	like the id3v2 stuff is done.
	
2000-04-26 11:31  ijr

	* base/src/player.cpp, ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	- fix warning in player.cpp
	- save prefs to disk after modification.
	
2000-04-26 08:20  robert

	* ui/musicbrowser/unix/src/infoeditor.cpp:

	Added support for writing the id3v2 tags to disk.
	
2000-04-26 08:18  robert

	* base/src/registrar.cpp, base/win32/prj/freeamp.dsp,
	base/win32/prj/freeamp.dsw,
	io/soundcard/win32/src/soundcardpmo.cpp,
	plm/metadata/id3v2/prj/id3v2.dsp,
	ui/musicbrowser/win32/src/Event.cpp:

	Finished adding support for id3v2 writeback.
	
	WINDOWS WARNING: Any mp3 files to which the id3v2 stuff adds a new id3v2 tag
	                 will get corrupted! I'll work to get this hammered out.
	                 Linux is fine.
	
2000-04-26 08:15  robert

	* lib/id3/include/id3/: error.h, field.h, frame.h, globals.h,
	header.h, header_frame.h, header_tag.h, int28.h, misc_support.h,
	sized_types.h, spec.h, tag.h:

	And now I'm adding the new headers
	
2000-04-26 08:12  robert

	* lib/id3/: id3lib.dll, id3lib.lib, include/dll.h, include/error.h,
	include/externals.h, include/field.h, include/frame.h,
	include/globals.h, include/header.h, include/header_frame.h,
	include/header_tag.h, include/id3.h, include/int28.h,
	include/misc_support.h, include/sized_types.h, include/tag.h,
	include/types.h, include/version.h:

	The file layout for the id3lib changed, so I'm moving shit around
	
2000-04-26 06:28  robert

	* plm/metadata/id3v2/id3v2.cpp:

	More changes that I need to test on linux. The windows side is now working,
	but the mp3 files that get id3v2 tags attached to them get completely trashed.
	Hmmmm.
	
2000-04-26 06:08  robert

	* plm/metadata/id3v1/id3v1.cpp:

	Removed one assert
	
2000-04-26 06:07  robert

	* plm/metadata/id3v2/: id3v2.cpp, prj/id3lib.lib:

	Some tweaks to get it to work with the id3lib
	
2000-04-25 08:03  elrod

	* ui/freeamp/src/Equalizer.cpp:

	* fix some warnings..
	
2000-04-25 07:58  robert

	* ui/freeamp/: include/Equalizer.h, src/Equalizer.cpp,
	win32/prj/freeampui.dsp:

	Minor win32 tweaks to get a clean compile and added Equalizer.cpp to the project
	
2000-04-25 07:39  robert

	* ui/freeamp/: include/Equalizer.h, src/Equalizer.cpp:

	Things will work better if you check them in...
	
2000-04-25 07:30  robert

	* Makefile-plugins.in, configure, configure.in,
	base/include/eventdata.h, base/include/preferences.h,
	base/src/player.cpp, base/src/preferences.cpp,
	lmc/xingmp3/src/cdct.c, lmc/xingmp3/src/xinglmc.cpp,
	plm/metadata/id3v2/id3v2.cpp, ui/freeamp/include/FreeAmpTheme.h,
	ui/freeamp/src/FreeAmpTheme.cpp:

	First cut at the equalizer and updated id3v2 stuff using the new C interface
	
2000-04-24 17:00  elrod

	* base/: include/playlist.h, src/playlist.cpp:

	* Add parameter to UpdateTrackMetaData to allow for writing the metadata to
	  disk.
	
2000-04-24 16:04  elrod

	* base/include/preferences.h, base/win32/prj/freeamp.dsw,
	ui/freeamp/win32/include/Win32PreferenceWindow.h,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/prj/freeampui.mak,
	ui/freeamp/win32/res/folder.bmp, ui/freeamp/win32/res/freeampui.rc,
	ui/freeamp/win32/res/resource.h,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	* Finished implementing UI for Folders Panel
	* Finished implenting General Panel
	
2000-04-21 14:55  elrod

	* ui/dde/win32/res/: dde.rc, resource.h:

	* ooops forgot these
	
2000-04-18 17:55  ijr

	* lib/http/src/Http.cpp:

	- add a define for min() if it doesn't exist.
	
2000-04-17 23:53  elrod

	* lib/id3/: id3lib.dll, include/dll.h, include/error.h,
	include/externals.h, include/field.h, include/frame.h,
	include/globals.h, include/header.h, include/header_frame.h,
	include/header_tag.h, include/int28.h, include/misc_support.h,
	include/sized_types.h, include/tag.h, include/types.h,
	include/version.h:

	* move id3 stuff to lib dir
	
2000-04-17 23:32  elrod

	* ui/: freeamp/win32/include/Win32PreferenceWindow.h,
	freeamp/win32/res/freeampui.rc, freeamp/win32/res/resource.h,
	freeamp/win32/src/Win32PreferenceWindow.cpp,
	musicbrowser/win32/prj/musicbrowser.dsp,
	musicbrowser/win32/prj/musicbrowser.mak,
	musicbrowser/win32/src/MultiSelectTreeView.cpp:

	* Made CD and Stream items uneditable
	* Tweaks to pref dialog.
	
2000-04-17 19:04  robert

	* Makefile-plugins.in, configure, configure.in,
	base/include/preferences.h, base/src/preferences.cpp,
	config/config.h.in, config/config.win32,
	plm/metadata/id3v1/id3v1.cpp, plm/metadata/id3v2/id3v2.cpp:

	Added ID3lib support
	
2000-04-17 13:48  elrod

	* ui/freeamp/: src/FreeAmpTheme.cpp, win32/res/freeampui.rc,
	win32/src/Win32PreferenceWindow.cpp:

	* WooHoo... Rob found the Bring To Front bug with options dialog...
	
2000-04-17 12:41  elrod

	* base/include/preferences.h, base/src/player.cpp,
	base/src/playlist.cpp, base/src/preferences.cpp,
	base/win32/prj/freeamp.dsw, base/win32/prj/freeamp.mak,
	plm/metadata/cddb/cddb_proto.cpp, ui/dde/win32/include/DDE_UI.h,
	ui/dde/win32/prj/dde.def, ui/dde/win32/prj/dde.dsp,
	ui/dde/win32/prj/dde.mak, ui/dde/win32/src/DDE_UI.cpp:

	* Add DDEUI for win32 that Platzer Wilfried <Wilfried.Platzer@Micronas.com>
	  is working on.
	* Add pref for secondary UI launching
	
2000-04-14 15:45  robert

	* lib/http/src/Http.cpp:

	Fixed one minor problem...
	
2000-04-14 01:40  elrod

	* ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	* bottom buttons in pref dialog work now.
	
2000-04-14 01:28  elrod

	* ui/freeamp/win32/: include/Win32PreferenceWindow.h,
	prj/freeampui.dsp, prj/freeampui.mak, res/freeampui.rc,
	res/resource.h, src/Win32PreferenceWindow.cpp:

	* First run at new pref dialog for 2.1
	* Has a weird focus issue... move the mouse over the player it loses focus,
	  weird.
	* Apply buttons, etc do not work yet...
	
2000-04-10 15:56  elrod

	* lib/http/include/Http.h, lib/http/src/Http.cpp,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/prj/freeampui.mak:

	* minor tweaks to get things compiling under windows
	
2000-04-10 15:51  elrod

	* ui/freeamp/win32/prj/: freeampui.dsp, freeampui.mak:

	* add include path for HTTP lib.
	
2000-04-10 14:03  elrod

	* ui/musicbrowser/win32/: include/FooCast.h,
	include/Win32MusicBrowser.h, src/Event.cpp, src/FooCast.cpp,
	src/MusicTree.cpp:

	* fixed cd items not displaying correctly in music browser
	* "All Tracks" items are now filled by a thread so it does not hang the UI.
	
2000-04-09 13:30  robert

	* Makefile-plugins.in, Makefile.header.in, Makefile.in,
	base/include/downloadmanager.h, base/src/downloadmanager.cpp,
	lib/http/include/Http.h, lib/http/src/Http.cpp,
	ui/freeamp/src/Headlines.cpp:

	Added a library for http requests. This library is now debugged with
	non-blocking sockets and tested proxy support. We should use this
	lib in the future to retrieve files from the net. There are two interfaces:
	get to string and get to file.
	
2000-04-09 11:53  jdw

	* Makefile.towav.in:

	file Makefile.towav.in was initially added on branch release-2-0-7-devel.
	
2000-04-09 10:07  ijr

	* base/src/musiccatalog.cpp:

	oops, compiles now on win32
	
2000-04-07 22:35  ijr

	* ui/: download/unix/src/downloadui.cpp,
	freeamp/src/FreeAmpTheme.cpp, freeamp/unix/src/GTKUtility.cpp,
	freeamp/unix/src/GTKWindow.cpp,
	musicbrowser/unix/src/musicbrowser.cpp:

	- add gtk_set_locale() to all places we init gtk
	- dnd from gmc to the main freeamp window works -- gmc sends data with \r\n
	  for newlines.  odd.  i was right to be afraid of it =)
	
2000-04-06 18:14  ijr

	* base/include/musiccatalog.h, base/src/musiccatalog.cpp,
	base/src/player.cpp, ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	- fix a race condition in the watch this dir startup...
	- updates to the options dialog for the watching stuff
	
2000-04-06 15:36  ijr

	* base/include/musiccatalog.h, base/include/preferences.h,
	base/include/timer.h, base/src/database.cpp,
	base/src/musiccatalog.cpp, base/src/player.cpp,
	base/src/preferences.cpp, base/src/timer.cpp,
	base/unix/src/unixprefs.cpp, base/win32/src/win32prefs.cpp,
	ui/freeamp/src/Window.cpp, ui/freeamp/unix/src/GTKFont.cpp,
	ui/freeamp/unix/src/GTKWindow.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/fileselector.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- 'watch this directory' internals -- added two new prefs to handle this
	- modified the timer class to add a 'sleep first' option, which, well, makes
	  it sleep first before doing the Tick().
	- fix bugs mentioned in email by Man Chi Ly <mly@uclink4.berkeley.edu>
	- fix some issues for people using 'click-to-focus' mode in their wm.  Just
	  needed to check to see if a MouseEnter transition needed to be sent to a
	  control before handling the click.  Closes 4 or 5 bug reports.
	
2000-04-05 08:03  hiro

	* base/beos/src/bootstrap.cpp:

	- updated for R5.
	
2000-04-05 08:03  hiro

	* configure, configure.in:

	- updated for BeOS R5.
	  socklen_t default needs to be int (only if compiling on BeOS)
	
2000-04-05 07:58  hiro

	* ui/: musicbrowser/beos/include/MusicTreeView.h,
	musicbrowser/beos/src/MusicBrowserUI.cpp,
	musicbrowser/beos/src/MusicTreeView.cpp,
	musicbrowser/beos/src/PlaylistView.cpp,
	musicbrowser/beos/src/ResourceManager.cpp,
	musicbrowser/beos/src/TooltipFilter.cpp,
	musicbrowser/beos/src/TrackItem.cpp, freeamp/beos/src/PrefView.cpp:

	- updated for R5.
	
2000-04-03 19:18  ijr

	* io/cd/unix/include/cdpmo.h, io/cd/unix/src/cdpmo.cpp,
	plm/metadata/cddb/cddb.cpp, plm/metadata/cddb/cddb_proto.cpp:

	back to linux =)
	- fix some of the indenting i messed up
	- update the unix cd.pmo
	
2000-04-03 18:55  ijr

	* io/cd/win32/include/cdaudio.h, io/cd/win32/include/cdpmo.h,
	io/cd/win32/src/cdaudio.cpp, io/cd/win32/src/cdpmo.cpp,
	io/cd/win32/src/discids.cpp, plm/metadata/cddb/cddb.cpp,
	plm/metadata/cddb/cddb.h, plm/metadata/cddb/cddb_proto.cpp:

	cddb stuff works in win98 for me, now..
	
2000-03-31 11:21  hiro

	* util/beos/buildresources.pl:

	- added a option to not strip the unnecessary symbols when debugging.
	
2000-03-31 11:16  hiro

	* base/src/timer.cpp:

	- timer support for BeOS.
	
2000-03-31 11:15  hiro

	* base/beos/include/beosthread.h:

	- no more infinite BLocker::Unlock()'ing.
	  Geez, I can't believe this bug went unnoticed for 6 months...
	
2000-03-30 14:40  elrod

	* base/win32/prj/freeamp.dsw, base/win32/prj/freeamp.mak,
	io/cd/win32/include/cdpmo.h, io/cd/win32/prj/cdoutput.dsp,
	io/cd/win32/prj/cdoutput.mak, plm/metadata/cddb/cddb.cpp,
	plm/metadata/cddb/prj/cddb.mak:

	* trying to get the cddb stuff working under win32
	
2000-03-30 12:23  ijr

	* Makefile.in, base/src/timer.cpp,
	ui/musicbrowser/unix/include/musicbrowserui.h,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- updating for the new timer stuff..
	
2000-03-30 00:57  elrod

	* base/include/player.h, base/src/player.cpp,
	base/win32/prj/fabaselib.dsp, base/win32/prj/fabaselib.mak,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/res/cd.bmp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/IntroductionWizard.cpp,
	ui/musicbrowser/win32/src/MusicSearchDialog.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* First shot at CD Audio in win32 Music Browser.
	* Things will probably break on Linux or act wacky since I am creating a
	  timer with a CD.pmo in the player now.
	
2000-03-29 21:48  elrod

	* base/: include/timer.h, src/player.cpp, src/thread.cpp,
	src/timer.cpp, win32/src/main.cpp:

	* first shot at timer class
	
2000-03-29 20:05  ijr

	* io/cd/win32/src/cdaudio.cpp:

	crash 'cause of the colon should be fixed.
	
2000-03-28 03:59  hiro

	* ui/musicbrowser/beos/src/PlaylistView.cpp:

	minor B_MOUSE_MOVED event fix
	
2000-03-28 03:30  hiro

	* ui/musicbrowser/beos/: include/BeOSMusicBrowser.h,
	include/PlaylistView.h, src/BeOSMusicBrowser.cpp,
	src/PlaylistView.cpp:

	- music browser drag&drop mostly functional.
	- drag&dropping playlists doesn't work as I want it to, yet.
	
2000-03-28 00:48  hiro

	* ui/musicbrowser/beos/: include/BeOSMusicBrowser.h,
	include/MusicTreeView.h, include/PlaylistView.h,
	src/BeOSMusicBrowser.cpp, src/MusicTreeView.cpp,
	src/PlaylistView.cpp:

	- started implementing drag-and-drop in music browser, still experimenting.
	- half-baked attempt at InfoEditor dialog.
	
2000-03-27 18:13  ijr

	* base/src/downloadmanager.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/GTKWindow.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	all fixed now, it seems
	
2000-03-27 17:34  elrod

	* CHANGES, base/include/downloadmanager.h, base/include/event.h,
	base/include/updatemanager.h, base/src/downloadmanager.cpp,
	base/src/musiccatalog.cpp, base/src/player.cpp,
	base/src/playlist.cpp, base/src/updatemanager.cpp,
	base/win32/include/win32updatemanager.h, base/win32/res/freeamp.rc,
	base/win32/src/main.cpp, base/win32/src/win32updatemanager.cpp,
	config/config.h.in, config/config.win32, dlm/rmp/res/rmp.rc,
	help/unix/emusichelp.tar.gz, help/unix/freeamphelp.tar.gz,
	installer/win32/String Tables/default.shl, installer/win32/String
	Tables/0009-English/value.shl,
	io/dsound/win32/include/dsoundcardpmo.h,
	io/dsound/win32/res/dsound.rc,
	io/dsound/win32/src/dsoundcardpmo.cpp, io/http/httpinput.cpp,
	io/http/httpinput.h, io/http/win32/prj/httpinput.dsp,
	io/http/win32/prj/httpinput.mak, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc,
	io/soundcard/win32/src/soundcardpmo.cpp, lib/portio/portio.rc,
	lib/xml/include/Parse.h, lib/xml/src/Parse.cpp,
	lmc/xingmp3/src/xinglmc.cpp, lmc/xingmp3/win32/res/xing.rc,
	plm/metadata/id3v1/res/id3v1.rc, plm/metadata/id3v2/res/id3v2.rc,
	plm/metadata/misc/res/misc.rc, plm/playlist/m3u/res/m3u.rc,
	plm/playlist/pls/res/pls.rc, plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/download/win32/src/downloadui.cpp,
	ui/freeamp/src/ButtonControl.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/TextControl.cpp,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/include/GTKUtility.h,
	ui/freeamp/unix/include/GTKWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/GTKUtility.cpp,
	ui/freeamp/unix/src/GTKWindow.cpp,
	ui/freeamp/win32/res/freeampui.rc,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp,
	ui/toolbar/win32/toolbar.rc, update/win32/main.cpp,
	update/win32/prj/update.dsp, update/win32/prj/update.mak,
	update/win32/res/update.rc:

	* merged 2.0.6 changes into trunk.
	* issac will need to fix some issues.
	
2000-03-25 17:36  hiro

	* base/beos/res/freeamp_app.rsrc:

	fixed the .m3u mime type.
	
2000-03-25 11:03  ijr

	* ui/musicbrowser/unix/src/browsertree.cpp:

	- fix segfault
	
2000-03-24 21:59  ijr

	* ui/freeamp/unix/: include/GTKPreferenceWindow.h,
	src/GTKPreferenceWindow.cpp:

	update the preferences for 2.1 a bit..
	
2000-03-24 20:33  ijr

	* base/unix/src/bootstrap.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	- new look for the options dialog.  very netscape-ish.  nifty.
	
2000-03-24 15:12  hiro

	* base/beos/res/: freeamp_addon.rsrc, freeamp_app.rsrc:

	forgot this...
	
2000-03-23 18:28  ijr

	* ui/musicbrowser/unix/src/browsertree.cpp:

	- no soup for you
	
2000-03-23 18:16  ijr

	* lib/unzip/src/zip_header.cpp:

	- it wasn't finding the headers properly on some .zips
	
2000-03-23 17:28  hiro

	* README.beos:

	Need to comment out wavout.pmo when compiling beos version.
	
2000-03-23 17:18  hiro

	* ui/musicbrowser/beos/: include/BeOSMusicBrowser.h,
	include/CatalogItem.h, include/CollectionItem.h,
	include/InfoEditor.h, include/IntroductionWizard.h,
	include/MusicBrowserResources.h, include/MusicBrowserUI.h,
	include/MusicTreeView.h, include/Placard.h,
	include/PlaylistListItem.h, include/PlaylistView.h,
	include/ResourceManager.h, include/SavePlaylistDialog.h,
	include/Separator.h, include/ToolBar.h, include/ToolBarButton.h,
	include/TooltipFilter.h, include/TrackItem.h,
	res/WizardIntroPageText.txt, res/WizardSearchPageText.txt,
	res/add_file.png, res/add_track.png, res/down_pic.png,
	res/edit_pic.png, res/import_pic.png, res/musicbrowser.r,
	res/new_pic.png, res/save_pic.png, res/trash_pic.png,
	res/up_pic.png, res/wizard.png, src/BeOSMusicBrowser.cpp,
	src/CollectionItem.cpp, src/InfoEditor.cpp,
	src/IntroductionWizard.cpp, src/MusicBrowserUI.cpp,
	src/MusicTreeView.cpp, src/Placard.cpp, src/PlaylistListItem.cpp,
	src/PlaylistView.cpp, src/ResourceManager.cpp, src/Separator.cpp,
	src/ToolBar.cpp, src/ToolBarButton.cpp, src/TooltipFilter.cpp,
	src/TrackItem.cpp:

	BeOS Music Browser initial check-in.
	
2000-03-23 17:17  hiro

	* Makefile-plugins.in, configure, configure.in:

	added files for BeOS Music Browser.
	
2000-03-23 04:39  ijr

	* Makefile.in:

	whoops
	
2000-03-23 04:37  ijr

	* Makefile-plugins.in, configure, configure.in,
	base/unix/src/bootstrap.cpp:

	- whee
	
2000-03-22 22:18  ijr

	* Makefile.in, base/include/preferences.h,
	base/src/preferences.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/include/musicbrowserui.h,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- additions to the DIRECTORIES hack by Jimen Ching <jching@flex.com>
	- first hack at the ui for cd burning --> File/Create New Audio CD pops up
	  a new browser, and when you add tracks to the new playlist, they get the
	  right colors depending if they fit into the size given by the
	  AudioCDLength pref.
	
2000-03-22 19:34  ijr

	* ui/musicbrowser/unix/src/: gtkmusicbrowser.cpp, infoeditor.cpp:

	simple little 'Add New Stream' dialog
	
2000-03-22 17:51  ijr

	* base/src/musiccatalog.cpp, base/src/player.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- most of the favorites functionality for the streams junk.
	
2000-03-22 15:02  ijr

	* io/cd/unix/include/cdpmo.h, io/cd/unix/src/cdpmo.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- right click context menus in the tree and playlist work
	- update the menubar with all the 2.1 changes from the spec
	- eject cd code
	
2000-03-22 13:14  ijr

	* ui/musicbrowser/unix/: include/gtkmusicbrowser.h,
	src/browserlist.cpp:

	commiting the stuff i worked on in class.
	
2000-03-22 11:16  elrod

	* base/src/playlist.cpp:

	* Fix not being able to sort playlists you were editing (bug 643).
	
2000-03-22 11:14  elrod

	* ui/musicbrowser/win32/src/: Dialog.cpp, MusicTree.cpp,
	Win32MusicBrowser.cpp:

	* Fixed initialization of Music Tree bug.
	
2000-03-21 22:09  ijr

	* ui/musicbrowser/unix/res/: icecast_pix.xpm, shoutcast_pix.xpm,
	streams_pix.xpm, wiredplanet_pix.xpm:

	- forgot these
	
2000-03-21 22:06  ijr

	* Makefile-plugins.in, plm/metadata/cddb/cddb_proto.cpp,
	ui/musicbrowser/unix/include/browsermenu.h,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/browserlist.cpp,
	ui/musicbrowser/unix/src/browsermenu.c,
	ui/musicbrowser/unix/src/browsermenu.cpp,
	ui/musicbrowser/unix/src/browsertree.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- gtkmusicbrowser.cpp was 111k.. just a tad large, so it's split up now.
	- buncha my streams ui stuff.
	
2000-03-21 16:06  ijr

	* io/cd/win32/src/cdaudio.cpp:

	Try that..
	
2000-03-21 15:40  elrod

	* ui/freeamp/src/FreeAmpTheme.cpp:

	* Fix drag and drop bug
	* get rid of compile warning for bool to int conversion
	
2000-03-21 15:24  elrod

	* base/win32/prj/freeamp.dsw, base/win32/prj/freeamp.mak,
	plm/metadata/cddb/cddb_proto.cpp, plm/metadata/cddb/prj/cddb.def,
	plm/metadata/cddb/prj/cddb.dsp, plm/metadata/cddb/prj/cddb.dsw,
	plm/metadata/cddb/prj/cddb.mak, plm/metadata/cddb/res/cddb.rc,
	plm/metadata/cddb/res/resource.h:

	* create project for cddb metadata plugin
	* try to get stuff to compile... still needs work, seems to have a
	  dependency on the PMO. Isaac?
	
2000-03-21 14:44  ijr

	* io/cd/win32/: include/compat.h, src/cdpmo.cpp:

	- slight cleanup.
	
2000-03-20 14:40  hiro

	* ui/freeamp/beos/src/: BeOSBitmap.cpp, BeOSCanvas.cpp,
	ThemeManager.cpp:

	- minor cleaning up.
	- ThemeManager lists .wsz files as well.
	
2000-03-20 12:50  ijr

	* base/src/preferences.cpp, io/cd/win32/include/cdaudio.h,
	io/cd/win32/include/cdpmo.h, io/cd/win32/include/compat.h,
	io/cd/win32/prj/cdoutput.dsp, io/cd/win32/src/cdaudio.cpp,
	io/cd/win32/src/cdpmo.cpp, io/cd/win32/src/discids.cpp,
	lib/zlib/prj/zlib.dsp, ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/src/ThemeManager.cpp:

	- first hack at a cd.pmo for win32
	- let .wsz and .zip files show up in the win32 ThemeManager, too
	
2000-03-19 03:32  ijr

	* base/include/event.h, base/src/musiccatalog.cpp,
	base/src/player.cpp, ui/freeamp/src/Headlines.cpp,
	ui/freeamp/unix/src/GTKWindow.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- fix moving the window around, which my last commit somehow broke.
	- mad speedup to the 'Regenerating the Music Catalog Database..' stage of a
	  music search.
	
	After a music search, when it sits supposedly regenerating the database, it's
	really not -- the regeneration stuff gets done quickly and the damn thing's
	just processing all the MusicCatalogTrackAdded messages.  Solution was to add
	a pair of messages to tell the UI to ignore Add messages for a time, then
	regenerate the GUI tree all at once.  Instead of taking forever, it's done in
	a second or two =)
	
2000-03-18 23:08  ijr

	* ui/freeamp/unix/src/GTKWindow.cpp:

	- slightly better fix
	
2000-03-18 22:44  ijr

	* ftc/winamp/winamp_theme.xml, ui/freeamp/unix/include/GTKWindow.h,
	ui/freeamp/unix/src/GTKWindow.cpp:

	- trying something...
	
2000-03-17 23:09  hiro

	* io/wavout/src/wavoutpmo.cpp:

	making gcc happy on beos.
	
2000-03-17 23:01  hiro

	* base/: beos/src/beosprefs.cpp, src/utility.cpp:

	minor preference related fixes for beos.
	preferences are now stored in /boot/home/config/settings/freeamp.
	
2000-03-17 22:59  hiro

	* base/include/downloadmanager.h:

	avoid including arpa/inet.h on BeOS, too. It's incorporated in socket.h, grr.
	
2000-03-17 15:19  ijr

	* Makefile-plugins.in, ftc/winamp/winamp_theme.xml,
	ui/freeamp/include/PixTimeControl.h, ui/freeamp/include/Theme.h,
	ui/freeamp/src/PixFontControl.cpp,
	ui/freeamp/src/PixTimeControl.cpp, ui/freeamp/src/Theme.cpp:

	pixmap-based time control
	
2000-03-17 13:47  ijr

	* Makefile-plugins.in, ftc/winamp/winamp_theme.xml,
	ui/freeamp/include/ButtonControl.h, ui/freeamp/include/Control.h,
	ui/freeamp/include/SliderControl.h,
	ui/freeamp/include/VSliderControl.h, ui/freeamp/include/Window.h,
	ui/freeamp/src/ButtonControl.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/SliderControl.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/src/VSliderControl.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/unix/include/GTKWindow.h,
	ui/freeamp/unix/src/GTKWindow.cpp,
	ui/freeamp/win32/src/Win32Window.cpp:

	- winamp titlebar that lights up/darkens according to if the mouse is in the
	  window or not...
	- the seek bar on winamp shade mode.
	
2000-03-17 11:05  ijr

	* ftc/winamp/winamp_theme.xml, ui/freeamp/src/Theme.cpp:

	- fix a segfault when switching from a winamp skin
	- tweak the theme.xml slightly
	
2000-03-17 03:15  hiro

	* lib/zlib/include/zconf.h:

	Info-ZIP support exposed this bug: off_t is 64-bit on BeOS, so
	we need to have a properly defined off_t before zconf.h blindly
	defines off_t as long.
	
2000-03-17 03:08  hiro

	* configure, configure.in:

	added an extra compiler flag (-I) for compiling the winamp ftf plugin on beos.
	
2000-03-16 21:59  tdilliga

	* base/src/downloadmanager.cpp:

	Changed (const sockaddr *) to (sockaddr *). This is to support a slightly
	broken Solaris, and should not affect anyone.
	
2000-03-16 20:22  robert

	* io/wavout/: include/wav.h, include/wavoutpmo.h, src/wav.cpp,
	src/wavoutpmo.cpp:

	Fixed MichAEl's name...
	
2000-03-16 20:15  robert

	* Makefile-plugins.in, Makefile.header.in, Makefile.in,
	io/wavout/include/wav.h, io/wavout/include/wavoutpmo.h,
	io/wavout/src/wav.cpp, io/wavout/src/wavoutpmo.cpp:

	Ported wav output plugin to Linux. I hope this doesn't break the
	windows build.
	
2000-03-16 17:49  elrod

	* io/cd/win32/res/cdoutput.rc:

	* projects are a pain
	
2000-03-16 17:44  elrod

	* AUTHORS:

	* Added Micheal Rich to AUTHORS for AlphaNT work and WAV output plugin.
	
2000-03-16 17:38  elrod

	* base/win32/prj/freeamp.dsw, io/cd/win32/prj/cdoutput.dsp,
	io/cd/win32/prj/cdoutput.mak, io/cd/win32/res/resource.h,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* cd.pmi -> cd.pmo
	
2000-03-16 17:30  elrod

	* io/cd/win32/prj/: cdoutput.def, cdoutput.dsp, cdoutput.dsw:

	[no log message]
	
2000-03-16 17:29  robert

	* base/include/preferences.h, base/src/preferences.cpp,
	base/win32/prj/freeamp.dsw, io/wavout/include/wav.h,
	io/wavout/include/wavoutpmo.h, io/wavout/src/wav.cpp,
	io/wavout/src/wavoutpmo.cpp, io/wavout/win32/prj/wavout.def,
	io/wavout/win32/prj/wavout.dsp, io/wavout/win32/res/resource.h,
	io/wavout/win32/res/wavout.rc:

	Added the WAV output plugin from Micheal Rich. I've cleaned it up and
	writes WAV files to the path specified by the WAVOutputPath preference.
	
2000-03-16 17:24  ijr

	* ftc/winamp/winamp.cpp, ui/freeamp/src/PixFontControl.cpp:

	- misc fixes for the winamp junk
	
2000-03-16 14:11  elrod

	* base/win32/prj/freeamp.mak, ftc/winamp/prj/winamp.dsp,
	ftc/winamp/prj/winamp.mak:

	* add winamp_theme.xml to build process.
	
2000-03-16 13:45  elrod

	* base/win32/prj/freeamp.dsw, io/cd/win32/prj/cdoutput.def,
	io/cd/win32/prj/cdoutput.dsp, lmc/cd/win32/prj/cdlmc.def,
	lmc/cd/win32/prj/cdlmc.dsp, lmc/cd/win32/prj/cdlmc.mak:

	* cleaned up some stuff with the CD projects.
	
2000-03-16 02:56  elrod

	* io/cd/win32/prj/cdoutput.dsp, io/cd/win32/res/cdoutput.rc,
	lmc/cd/win32/res/cdlmc.rc:

	* Updated RC files.
	
2000-03-16 02:52  elrod

	* base/win32/prj/freeamp.dsw, base/win32/prj/freeamp.mak,
	ftc/winamp/prj/winamp.def, ftc/winamp/prj/winamp.dsp,
	ftc/winamp/prj/winamp.dsw, ftc/winamp/prj/winamp.mak,
	ftc/winamp/res/resource.h, ftc/winamp/res/winamp.rc,
	io/cd/win32/prj/cdoutput.def, io/cd/win32/prj/cdoutput.dsp,
	io/cd/win32/prj/cdoutput.dsw, io/cd/win32/res/cdoutput.rc,
	io/cd/win32/res/resource.h, lib/unzip/include/zip_utils.h,
	lib/unzip/prj/unzip.dsp, lib/unzip/prj/unzip.dsw,
	lib/unzip/prj/unzip.mak, lib/unzip/src/zip_header.cpp,
	lib/unzip/src/zip_testcrc.cpp, lib/unzip/src/zip_utils.cpp,
	lmc/cd/win32/prj/cdlmc.def, lmc/cd/win32/prj/cdlmc.dsp,
	lmc/cd/win32/prj/cdlmc.dsw, lmc/cd/win32/prj/cdlmc.mak,
	lmc/cd/win32/res/cdlmc.rc, lmc/cd/win32/res/resource.h,
	ui/freeamp/src/ThemeZip.cpp, ui/freeamp/tools/win32/MakeTheme.dsp,
	ui/freeamp/tools/win32/MakeTheme.mak,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/prj/freeampui.mak:

	* Made vc++ updates for Isaac
	* Made some changes to unzip stuff to get it compiling under win32
	* Made MakeTheme use libs instead of recompiling the zlib and unzip stuff
	  a second time. save a few seconds...
	
2000-03-16 00:57  ijr

	* ui/freeamp/src/Control.cpp:

	- tiny fix so the mono/stereo indicators don't light up on mouse over.
	
	Stuff left todo, in no particular order:
	- the titlebar along the top.
	- pixmap based number display.
	- l/r output balance
	- sleep
	
2000-03-16 00:28  ijr

	* ftc/winamp/winamp_theme.xml, ui/freeamp/src/FreeAmpTheme.cpp:

	- other status indicators -- mono/stereo lights, play/pause/stop light
	
2000-03-16 00:00  ijr

	* ftc/winamp/winamp_theme.xml, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/PixFontControl.cpp,
	ui/freeamp/unix/src/GTKCanvas.cpp:

	- bitrate and samplerate displays for winamp support..
	
2000-03-15 23:38  tdilliga

	* base/unix/src/debug.cpp:

	file debug.cpp was initially added on branch solaris-port-branch.
	
2000-03-15 23:38  tdilliga

	* base/unix/src/pthreadthread.cpp:

	file pthreadthread.cpp was initially added on branch solaris-port-branch.
	
2000-03-15 23:38  tdilliga

	* base/unix/src/mutex.cpp:

	file mutex.cpp was initially added on branch solaris-port-branch.
	
2000-03-15 23:38  tdilliga

	* base/unix/src/semaphore.cpp:

	file semaphore.cpp was initially added on branch solaris-port-branch.
	
2000-03-15 23:38  tdilliga

	* base/unix/src/utility.cpp:

	file utility.cpp was initially added on branch solaris-port-branch.
	
2000-03-15 23:37  tdilliga

	* base/unix/include/mutex.h:

	file mutex.h was initially added on branch solaris-port-branch.
	
2000-03-15 23:37  tdilliga

	* base/unix/include/semaphore.h:

	file semaphore.h was initially added on branch solaris-port-branch.
	
2000-03-15 23:37  tdilliga

	* base/unix/include/utility.h:

	file utility.h was initially added on branch solaris-port-branch.
	
2000-03-15 23:37  tdilliga

	* base/unix/include/pthreadthread.h:

	file pthreadthread.h was initially added on branch solaris-port-branch.
	
2000-03-15 23:37  ijr

	* ftc/winamp/winamp_theme.xml, ui/freeamp/src/PixFontControl.cpp:

	- pixtext isn't flasy anymore.
	
2000-03-15 23:24  ijr

	* Makefile-plugins.in, configure, configure.in,
	ftc/winamp/winamp_theme.xml, ui/freeamp/include/Control.h,
	ui/freeamp/include/PixFontControl.h, ui/freeamp/include/Theme.h,
	ui/freeamp/include/ThemeZip.h, ui/freeamp/src/PixFontControl.cpp,
	ui/freeamp/src/TextControl.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/src/ThemeZip.cpp:

	pixmap fonts.
	
2000-03-15 19:47  ijr

	* ui/freeamp/: src/ThemeZip.cpp, unix/src/ThemeManager.cpp:

	- better discrimination of .zip files and .tar.gz in the ThemeZip stuff.
	  Now .fat files can be either zips or tarballs.  Nifty.
	- Winamp skins show up in the theme manager, too.
	
2000-03-15 15:00  ijr

	* AUTHORS, Makefile-plugins.in, Makefile.header.in, Makefile.in,
	base/src/player.cpp, base/unix/src/bootstrap.cpp,
	ftc/winamp/winamp.cpp, ftc/winamp/winamp.h,
	ftc/winamp/winamp_theme.xml, lib/unzip/include/zip_header.h,
	lib/unzip/include/zip_inflate.h, lib/unzip/include/zip_testcrc.h,
	lib/unzip/include/zip_utils.h, lib/unzip/include/zip_wrapper.h,
	lib/unzip/src/zip_header.cpp, lib/unzip/src/zip_inflate.cpp,
	lib/unzip/src/zip_testcrc.cpp, lib/unzip/src/zip_utils.cpp,
	lib/unzip/src/zip_wrapper.cpp, ui/freeamp/include/ForeignTheme.h,
	ui/freeamp/include/Theme.h, ui/freeamp/include/ThemeZip.h,
	ui/freeamp/include/themeformat.h, ui/freeamp/src/Control.cpp,
	ui/freeamp/src/ForeignTheme.cpp, ui/freeamp/src/SliderControl.cpp,
	ui/freeamp/src/Theme.cpp, ui/freeamp/src/ThemeZip.cpp,
	ui/freeamp/tools/src/MakeTheme.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	bunch of work on the winamp skin support..
	- grabbed some GPL'd code that uncompresses .zip files, converted it from using
	  gnome junk to stl, stuck it in /lib/unzip
	- added some support in ThemeZip.cpp so it calls the new unzip code for .wsz
	  and .zip files.
	- Added the ForeignTheme class, which uses ThemeFormat plugins (.ftf) to try
	  to convert stuff we can't understand to our xml format.
	- wrote the winamp.ftf to copy the winamp_theme.xml file to the temp dir..
	
	Problems:
	- this doesn't clean up after itself very well -- lots of droppings
	  in /tmp for now after unzipping something.
	- the sliders don't seem to work right..
	- skins aren't supported fully yet.
	
2000-03-13 13:55  ijr

	* ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	oops, one file wasn't a clean merge
	
2000-03-13 13:25  ijr

	* Makefile-plugins.in, NEWS, README, configure, configure.in,
	base/include/downloadmanager.h, base/include/eventdata.h,
	base/include/utility.h, base/src/downloadmanager.cpp,
	base/src/errors.cpp, base/src/player.cpp, base/src/utility.cpp,
	base/unix/src/bootstrap.cpp, base/unix/src/unixprefs.cpp,
	base/win32/res/freeamp.rc, base/win32/src/main.cpp,
	config/config.h.in, config/config.win32, dlm/rmp/rmp.cpp,
	dlm/rmp/prj/rmp.mak, dlm/rmp/res/rmp.rc,
	help/unix/emusichelp.tar.gz, help/unix/freeamphelp.tar.gz,
	help/win32/freeamp.hlp, installer/unix/linux/emusic-rh6x.spec,
	installer/unix/linux/freeamp-rh6x.spec, installer/win32/File
	Groups/System DLLs.fgl, installer/win32/String Tables/default.shl,
	installer/win32/String Tables/0009-English/value.shl,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc,
	io/soundcard/win32/src/soundcardpmo.cpp, lib/portio/portio.rc,
	lmc/xingmp3/src/xinglmc.cpp, lmc/xingmp3/win32/res/xing.rc,
	plm/metadata/id3v1/res/id3v1.rc, plm/metadata/id3v2/res/id3v2.rc,
	plm/metadata/misc/res/misc.rc, plm/playlist/m3u/res/m3u.rc,
	plm/playlist/pls/res/pls.rc, plm/portable/pmp300/res/pmp300.rc,
	themes/Aquatica.fat, ui/download/unix/include/downloadui.h,
	ui/download/unix/src/downloadui.cpp,
	ui/download/unix/src/gtkdownloadui.cpp,
	ui/download/win32/include/downloadui.h,
	ui/download/win32/res/download.rc,
	ui/download/win32/src/downloadui.cpp,
	ui/freeamp/howto/ThemeHowTo.txt, ui/freeamp/include/FreeAmpTheme.h,
	ui/freeamp/include/Headlines.h, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/Headlines.cpp, ui/freeamp/src/SliderControl.cpp,
	ui/freeamp/src/TextControl.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/src/VSliderControl.cpp,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/unix/src/GTKBitmap.cpp, ui/freeamp/unix/src/GTKFont.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	merge 2.0.4->2.0.5 -->> head
	
	Shouldn't be any problems, it seemed to be a clean merge.
	
2000-03-13 01:25  hiro

	* util/beos/buildresources.pl:

	Strips the binary before touching the resource fork.
	Updates the file attributes (mimeset -F) as the last step.
	
2000-03-13 01:23  hiro

	* README.beos:

	added some build requirements.
	
2000-03-13 01:22  hiro

	* base/beos/src/: freeampapp.cpp, win32impl.cpp:

	various bug fixes and got rid of some compiler warnings.
	
2000-03-13 01:01  elrod

	* themes/Tommy.fat:

	* one more nit (or is it knit)
	
2000-03-13 00:47  elrod

	* themes/Tommy.fat:

	* small tweaks
	
2000-03-12 01:59  elrod

	* themes/Tommy.fat:

	* tommy theme
	
2000-03-11 22:48  hiro

	* util/beos/buildresources.pl:

	fixed bugs when building resource data from multiple sources (.r, .rsrc).
	
2000-03-11 22:09  hiro

	* Makefile.in, util/beos/buildresources.pl:

	Rules and util to add BeOS resources to binary.
	
2000-03-11 22:05  hiro

	* base/beos/res/freeamp_app.rsrc:

	The resource file (APP_FLAGS, icons, etc.) previous commit failed, another try.
	
2000-03-11 22:00  hiro

	* base/beos/: include/freeampapp.h, src/bootstrap.cpp,
	src/freeampapp.cpp:

	added a few icons and drag-and-drop playing.
	
2000-03-08 23:26  elrod

	* CHANGES:

	[no log message]
	
2000-03-08 15:11  hklein

	* AUTHORS, README.lcdui:

	[no log message]
	
2000-03-08 15:07  hklein

	* ui/lcd/src/lcdui.cpp:

	added v0.2 protocol changes
	added mediainfo support
	
2000-03-07 14:16  hiro

	* README.beos:

	Instruction for building FreeAmp on BeOS.
	
2000-03-06 22:42  hiro

	* configure, configure.in:

	fixed include path for mpg123 compilation on beos.
	
2000-03-04 13:13  hiro

	* base/beos/src/win32impl.cpp:

	ported small bugfixes from unix win32impl.cpp. for some reason this
	has been sitting in my working dir for years.
	
2000-03-03 20:59  ijr

	* base/src/musiccatalog.cpp, base/src/player.cpp,
	plm/metadata/cddb/cddb.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- yay, no more hard locking the box...  what kind of POS OS can't handle a
	  process with 700 threads attempting to access the cdrom? =)
	
2000-03-02 14:09  elrod

	* ui/download/win32/src/downloadui.cpp:

	* check for total==0
	
2000-03-01 12:08  hiro

	* ui/freeamp/beos/src/ThemeManager.cpp:

	incorporated changes in the unix ThemeManager
	
2000-02-29 22:10  elrod

	* ui/musicbrowser/win32/src/MusicTree.cpp:

	* Enable streams section. All you can listen to right now is Wired Planet
	  streams, still pretty cool!
	
2000-02-29 21:21  ijr

	* ui/musicbrowser/unix/: res/cd_pix.xpm, src/gtkmusicbrowser.cpp:

	- placeholder image for the CD section of MyMusic
	
2000-02-29 20:41  hiro

	* ui/freeamp/beos/: include/BeOSWindow.h,
	src/BeOSPreferenceWindow.cpp, src/BeOSWindow.cpp:

	fixed minor compile warning and possible VulcanMindMeld race cond.
	
2000-02-29 19:49  elrod

	* base/include/registry.h, base/include/utility.h,
	base/src/registrar.cpp, base/win32/prj/fabaselib.dsp,
	base/win32/prj/fabaselib.mak, base/win32/prj/freeamp.dsp,
	base/win32/prj/freeamp.dsw, base/win32/prj/freeamp.mak,
	base/win32/src/main.cpp, dlm/rmp/prj/rmp.dsp, dlm/rmp/prj/rmp.mak,
	io/dsound/win32/prj/dsoundcard.dsp,
	io/dsound/win32/prj/dsoundcard.mak,
	io/http/win32/prj/httpinput.dsp, io/http/win32/prj/httpinput.mak,
	io/local/win32/prj/fileinput.dsp, io/local/win32/prj/fileinput.mak,
	io/obs/win32/prj/obsinput.dsp, io/obs/win32/prj/obsinput.mak,
	io/soundcard/win32/prj/soundcard.dsp,
	io/soundcard/win32/prj/soundcard.mak, lib/gdbm/prj/gdbm.dsp,
	lib/gdbm/prj/gdbm.mak, lib/zlib/prj/zlib.dsp,
	lib/zlib/prj/zlib.mak, lmc/xingmp3/src/hwin.c,
	lmc/xingmp3/win32/prj/xing.dsp, lmc/xingmp3/win32/prj/xing.mak,
	plm/metadata/id3v1/prj/id3v1.dsp, plm/metadata/id3v1/prj/id3v1.mak,
	plm/metadata/id3v2/prj/id3v2.dsp, plm/metadata/id3v2/prj/id3v2.mak,
	plm/metadata/misc/prj/misc.dsp, plm/metadata/misc/prj/misc.mak,
	plm/playlist/m3u/prj/m3u.dsp, plm/playlist/m3u/prj/m3u.mak,
	plm/playlist/pls/prj/pls.dsp, plm/playlist/pls/prj/pls.mak,
	plm/portable/pmp300/prj/pmp300.dsp,
	plm/portable/pmp300/prj/pmp300.mak,
	plm/portable/pmp300/sba/prj/riolib.dsp,
	plm/portable/pmp300/sba/prj/riolib.mak,
	ui/download/win32/prj/download.dsp,
	ui/download/win32/src/downloadui.cpp,
	ui/download/win32/src/main.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/tools/win32/MakeTheme.dsp,
	ui/freeamp/tools/win32/MakeTheme.mak,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/prj/freeampui.mak,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/freeamp/win32/src/freeampui.cpp,
	ui/musicbrowser/win32/include/EditTrackInfoDialog.h,
	ui/musicbrowser/win32/include/FooCast.h,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/src/DataIndex.cpp,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/DropObject.cpp,
	ui/musicbrowser/win32/src/DropSource.cpp,
	ui/musicbrowser/win32/src/DropTarget.cpp,
	ui/musicbrowser/win32/src/EditTrackInfoDialog.cpp,
	ui/musicbrowser/win32/src/EnumFormatEtc.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/FooCast.cpp,
	ui/musicbrowser/win32/src/IntroductionWizard.cpp,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/MusicSearchDialog.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/OpenSavePlaylists.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/musicbrowser/win32/src/RemoveTracksDialog.cpp,
	ui/musicbrowser/win32/src/SavePlaylistDialog.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp,
	ui/simple/win32/include/prefdialog.h,
	ui/simple/win32/prj/simple.dsp, ui/simple/win32/prj/simple.mak,
	ui/simple/win32/src/about.cpp, ui/simple/win32/src/main.cpp,
	ui/simple/win32/src/prefdialog.cpp,
	ui/simple/win32/src/simpleui.cpp, ui/toolbar/win32/Toolbar.cpp,
	ui/toolbar/win32/Toolbar.h, ui/toolbar/win32/include/Toolbar.h,
	ui/toolbar/win32/prj/toolbar.dsp, ui/toolbar/win32/prj/toolbar.mak,
	ui/toolbar/win32/src/Toolbar.cpp, update/win32/main.cpp,
	update/win32/prj/update.dsp, update/win32/prj/update.mak:

	* Updated project files to VC++ 6.0.
	* Cleaned up compile errors.
	
2000-02-29 18:34  ijr

	* io/include/pmo.h:

	- revert that, else it crashes if the soundcard driver's not loaded
	
2000-02-29 13:26  ijr

	* Makefile-plugins.in, configure, configure.in,
	ui/freeamp/include/Control.h, ui/freeamp/src/Control.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/SliderControl.cpp,
	ui/freeamp/src/VSliderControl.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- Fix the 2.0.4 merge.
	- Fix bugs #586 (starting stream does not update closed playlist) and #587
	  (sort randomly does not work)
	
2000-02-29 02:34  elrod

	* themes/EMusic.fat:

	* emusic logo now becomes more saturated when you place your mouse over it.
	
2000-02-29 02:01  elrod

	* AUTHORS, CHANGES, Makefile-plugins.in, README, configure,
	configure.in, freeamp.cpp, base/include/downloadmanager.h,
	base/include/metadata.h, base/include/musiccatalog.h,
	base/include/player.h, base/include/playlist.h,
	base/include/preferences.h, base/include/utility.h,
	base/src/musiccatalog.cpp, base/src/player.cpp,
	base/src/playlist.cpp, base/src/preferences.cpp,
	base/src/utility.cpp, base/unix/src/bootstrap.cpp,
	base/win32/prj/fabaselib.mak, base/win32/prj/freeamp.mak,
	base/win32/res/freeamp.rc, base/win32/src/main.cpp,
	base/win32/src/win32updatemanager.cpp, config/config.h.in,
	config/config.win32, dlm/rmp/prj/rmp.dsp, dlm/rmp/prj/rmp.mak,
	dlm/rmp/res/rmp.rc, installer/unix/linux/emusic-redhat-dist.spec,
	installer/unix/linux/emusic-rh6x.spec,
	installer/unix/linux/freeamp-rh6x.spec, installer/win32/String
	Tables/default.shl, installer/win32/String
	Tables/0009-English/value.shl, io/dsound/win32/prj/dsoundcard.dsp,
	io/dsound/win32/prj/dsoundcard.mak, io/dsound/win32/res/dsound.rc,
	io/http/win32/prj/httpinput.dsp, io/http/win32/prj/httpinput.mak,
	io/http/win32/res/http.rc, io/local/win32/prj/fileinput.dsp,
	io/local/win32/prj/fileinput.mak, io/local/win32/res/local.rc,
	io/obs/win32/prj/obsinput.dsp, io/obs/win32/prj/obsinput.mak,
	io/obs/win32/res/obs.rc, io/soundcard/win32/prj/soundcard.dsp,
	io/soundcard/win32/prj/soundcard.mak,
	io/soundcard/win32/res/soundcard.rc,
	io/soundcard/win32/src/soundcardpmo.cpp, lib/gdbm/prj/gdbm.mak,
	lib/portio/portio.rc, lib/zlib/prj/zlib.mak,
	lmc/xingmp3/win32/prj/xing.dsp, lmc/xingmp3/win32/prj/xing.mak,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/prj/id3v1.dsp,
	plm/metadata/id3v1/prj/id3v1.mak, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/prj/id3v2.dsp, plm/metadata/id3v2/prj/id3v2.mak,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/misc.cpp,
	plm/metadata/misc/prj/misc.dsp, plm/metadata/misc/prj/misc.mak,
	plm/metadata/misc/res/misc.rc, plm/playlist/m3u/prj/m3u.dsp,
	plm/playlist/m3u/prj/m3u.mak, plm/playlist/m3u/res/m3u.rc,
	plm/playlist/pls/prj/pls.dsp, plm/playlist/pls/prj/pls.mak,
	plm/playlist/pls/res/pls.rc, plm/portable/pmp300/prj/pmp300.dsp,
	plm/portable/pmp300/prj/pmp300.mak,
	plm/portable/pmp300/res/pmp300.rc,
	plm/portable/pmp300/sba/prj/riolib.mak,
	ui/download/win32/include/downloadui.h,
	ui/download/win32/prj/download.dsp,
	ui/download/win32/res/download.rc,
	ui/download/win32/src/downloadui.cpp, ui/freeamp/include/Control.h,
	ui/freeamp/include/TextControl.h,
	ui/freeamp/include/ThemeManager.h, ui/freeamp/include/Types.h,
	ui/freeamp/src/Control.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/SliderControl.cpp, ui/freeamp/src/TextControl.cpp,
	ui/freeamp/src/Theme.cpp, ui/freeamp/src/VSliderControl.cpp,
	ui/freeamp/src/Window.cpp, ui/freeamp/tools/win32/MakeTheme.mak,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/unix/src/GTKFont.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/ThemeManager.cpp,
	ui/freeamp/win32/include/Win32PreferenceWindow.h,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/prj/freeampui.mak,
	ui/freeamp/win32/res/freeampui.rc,
	ui/freeamp/win32/src/ThemeManager.cpp,
	ui/freeamp/win32/src/Win32Canvas.cpp,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/freeamp/win32/src/Win32Window.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/src/DataIndex.cpp,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/OpenSavePlaylists.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/simple/win32/prj/simple.dsp, ui/simple/win32/prj/simple.mak,
	ui/toolbar/win32/toolbar.rc, ui/toolbar/win32/prj/toolbar.dsp,
	ui/toolbar/win32/prj/toolbar.mak, update/win32/main.cpp,
	update/win32/prj/update.dsp, update/win32/prj/update.mak,
	update/win32/res/update.rc:

	* Joined release-2-0-4-stable branch with the head rev.
	
2000-02-26 15:07  robert

	* installer/unix/linux/emusic-rh6x.spec:

	file emusic-rh6x.spec was initially added on branch release-2-0-4-stable.
	
2000-02-23 21:32  ijr

	* plm/metadata/cddb/cddb_proto.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	Fix some things dealing with cd's that haven't got meta info.
	
2000-02-19 21:36  ijr

	* ui/freeamp/: include/Control.h, include/MultiStateControl.h,
	include/SliderControl.h, include/Theme.h, include/Types.h,
	include/VSliderControl.h, src/ButtonControl.cpp, src/Control.cpp,
	src/MultiStateControl.cpp, src/SliderControl.cpp, src/Theme.cpp,
	src/VSliderControl.cpp, src/Window.cpp:

	- current winamp skin support.  yay, no more hacking on multiple trees.
	
	no theme yet, since i'm not sure we can distribute the default winamp graphics
	i'll find a freely distributable one and stick it in soon...
	
	TODO: song title (pixmap fonts), numbers (pixmap numbers), the titlebar,
	      status indicators (play/pause/stereo/mono/etc), unzip code, yadda yadda
	
2000-02-19 20:16  ijr

	* AUTHORS, Makefile-plugins.in, base/include/preferences.h,
	base/src/database.cpp, base/src/preferences.cpp,
	io/cd/unix/include/cdpmo.h, io/cd/unix/src/cdpmo.cpp,
	io/cd/unix/src/discids.cpp, io/include/pmo.h,
	plm/metadata/cddb/cddb.cpp, plm/metadata/cddb/cddb.h,
	plm/metadata/cddb/cddb_proto.cpp, plm/metadata/cddb/cddb_proto.h,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- Got tired of 'CD Track #' so I stole more code and wrote a cddb plugin.
	  This defaults to using freedb.org
	- Random other cd audio fixes..  Need to port the pmo to windoze next.
	- only thing left todo on the unix side is deal with multiple cdrom drives
	  (autodetect drives? possible on linux, dunno bout other unices...) and
	  handle disc changes better.
	
2000-02-19 12:22  robert

	* base/win32/src/main.cpp:

	Its good to remove all the debugging info...
	
2000-02-19 12:18  robert

	* base/win32/src/main.cpp:

	Removed the SetProcessorAffinityMask call, since its preventing FreeAmp
	from running on Windows boxes.
	
2000-02-18 22:04  ijr

	* Makefile-plugins.in, README, configure, configure.in,
	base/include/errors.h, base/include/event.h,
	base/include/eventdata.h, base/include/preferences.h,
	base/src/errors.cpp, base/src/player.cpp, base/src/preferences.cpp,
	config/config.h.in, io/cd/unix/include/cdaudio.h,
	io/cd/unix/include/cdpmo.h, io/cd/unix/include/compat.h,
	io/cd/unix/src/cdaudio.cpp, io/cd/unix/src/cdpmo.cpp,
	io/cd/unix/src/discids.cpp, lmc/cd/include/cdlmc.h,
	lmc/cd/src/cdlmc.cpp, plm/metadata/misc/misc.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/mpg123/Mpg123UI.cpp,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/include/musicbrowserui.h,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	Merging up the unix-cdaudio branch.  Anyone have an icon to use for the CD
	tree in the music browser?
	
2000-02-18 13:19  elrod

	* installer/win32/: FreeAmp.ipr, FreeAmp.pfw, String
	Tables/default.shl, String Tables/0009-English/value.shl:

	* installer for 2.0.3
	
2000-02-18 13:06  elrod

	* config/config.win32:

	* updated for 2.0.3 version
	
2000-02-18 13:05  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, lib/portio/portio.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* updated version info
	
2000-02-18 12:57  ijr

	* configure, configure.in:

	- fix description of --enable-rio cmdline option
	
2000-02-18 12:56  ijr

	* CHANGES, configure, configure.in, base/src/playlist.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- Update unix version info to 2.0.3
	- Fix a bug in the gtkmusicbrowser file selection/import code. Blah.
	- Write a CHANGES entry
	
2000-02-18 12:38  robert

	* ui/freeamp/: include/Window.h, src/FreeAmpTheme.cpp:

	Fixed the showstopper bug in 2.0.2
	
2000-02-18 09:24  robert

	* ui/freeamp/src/FreeAmpTheme.cpp:

	Fixed a the help file launching problem
	
2000-02-18 03:11  elrod

	* base/win32/prj/: freeamp.dsp, freeamp.mak:

	* vain tweak to prj file.
	
2000-02-18 03:10  elrod

	* installer/win32/: FreeAmp.ipr, FreeAmp.pfw,
	Media/32bit/default.mda, String Tables/default.shl, String
	Tables/0009-English/value.shl:

	* Last minute tweaks to installer.
	
2000-02-18 02:38  elrod

	* installer/win32/: FreeAmp.ipr, File Groups/System DLLs.fgl,
	Script Files/setup.ins:

	* apparently we still need msvcrt.dll
	
2000-02-18 02:30  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, lib/portio/portio.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc, ui/toolbar/win32/toolbar.rc,
	update/win32/res/update.rc:

	* updated version information.
	
2000-02-18 02:29  elrod

	* ui/musicbrowser/win32/res/musicbrowser.rc:

	* updated version info.
	
2000-02-18 02:19  elrod

	* installer/win32/File Groups/: Default.fdf, Program Executable
	Files.fgl:

	* Removed Portio.sys from installer since it is not being used by anything.
	
2000-02-18 02:14  elrod

	* base/win32/prj/freeamp.dsp, base/win32/prj/freeamp.mak,
	base/win32/src/main.cpp, installer/win32/Registry
	Entries/default.rge, installer/win32/Text Substitutions/Build.tsb,
	installer/win32/Text Substitutions/Setup.tsb:

	* Changed icon association to new FAT file icon in installer and code.
	
2000-02-18 02:12  elrod

	* base/win32/res/: freeamp.rc, music19.ico, resource.h:

	* Added icon for FAT files.
	
2000-02-18 02:01  elrod

	* CHANGES:

	* updated CHANGES file.
	
2000-02-18 01:37  elrod

	* config/config.win32:

	* Change update server URL to update.freeamp.org
	
2000-02-18 01:36  elrod

	* help/win32/freeamp.hlp:

	* New help files from Julie.
	
2000-02-17 17:29  ijr

	* configure, configure.in, config/config.h.in:

	Got all the source stuff built, then realized it still said 2.0.1.  Doh.
	
2000-02-16 17:03  ijr

	* configure, configure.in, base/unix/src/bootstrap.cpp:

	- better mutex debugging stuff
	
2000-02-16 16:28  elrod

	* ui/musicbrowser/win32/src/: Event.cpp, PlaylistView.cpp:

	* Fix for button refresh when deleting items (bug 515)
	
2000-02-16 14:49  elrod

	* base/include/eventdata.h, base/src/playlist.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Changed PLaylistItemRemoved message to allow for mass deletions. This
	  should speed things up considerabley.
	
2000-02-16 13:34  elrod

	* ui/musicbrowser/win32/: include/Win32MusicBrowser.h,
	src/Dialog.cpp, src/Event.cpp, src/MultiSelectTreeView.cpp,
	src/MusicTree.cpp, src/OpenSavePlaylists.cpp, src/PlaylistView.cpp,
	src/Win32MusicBrowser.cpp:

	* Updated variable name.
	* Fixed potential race condition when deleting files (fixes bug# 538)
	
2000-02-16 11:19  robert

	* ui/musicbrowser/win32/src/MusicSearchDialog.cpp:

	Removed the other 'X:' const reference
	
2000-02-16 10:19  robert

	* io/http/httpinput.cpp:

	Added some debugging output to try and track down the proxy bug.
	
2000-02-15 22:18  ijr

	* base/src/musiccatalog.cpp:

	hack hack hack
	
2000-02-15 20:39  ijr

	* Makefile-plugins.in, Makefile.in,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/unix/src/GTKWindow.cpp:

	Fix some small minor things.
	
2000-02-15 18:20  ijr

	* configure, configure.in, base/include/queue.h,
	base/src/database.cpp, base/src/player.cpp, config/config.h.in,
	ui/freeamp/include/Control.h, ui/freeamp/include/Window.h,
	ui/freeamp/unix/include/ttfont.h,
	ui/freeamp/unix/src/GTKUtility.cpp, ui/freeamp/unix/src/ttfont.cpp,
	ui/lcd/src/lcdui.cpp:

	Holy Mutex Debugging, Batman! That's verbose as hell!
	
	enable with ./configure --enable-mutex-debug, run with freeamp 2> mutex.log
	and send me the massively huge output, if you please =)
	
2000-02-15 16:55  robert

	* io/http/httpinput.cpp:

	Attempt to fix bug 469. I don't think this will fix it...
	
2000-02-15 16:44  robert

	* base/src/player.cpp:

	Re-added the autoplay stuff...
	
2000-02-15 16:21  robert

	* ui/freeamp/win32/src/Win32Canvas.cpp:

	And catching the other instance of the windows bug...
	
2000-02-15 16:11  robert

	* ui/freeamp/win32/src/Win32Canvas.cpp:

	Fixed antialiasing problem. (bug 548) Guess what, that was a bug in Windoze...
	
2000-02-15 13:53  elrod

	* ui/musicbrowser/win32/src/Event.cpp:

	* Wow, what a silly bug. Fixed issue with multiple albums/artists/genres
	  when displaying track info.
	
2000-02-15 13:37  elrod

	* ui/musicbrowser/win32/: include/EditTrackInfoDialog.h,
	res/musicbrowser.rc, res/resource.h, src/Dialog.cpp,
	src/EditTrackInfoDialog.cpp, src/Event.cpp:

	* Add file location to the track info dialog.
	* Cleaned up the statusbar stuff a little.
	
2000-02-15 13:33  robert

	* ui/freeamp/: src/FreeAmpTheme.cpp,
	win32/include/Win32PreferenceWindow.h, win32/src/ThemeManager.cpp,
	win32/src/Win32PreferenceWindow.cpp:

	Some cleanup
	
2000-02-15 11:25  robert

	* ui/freeamp/: src/FreeAmpTheme.cpp, src/Window.cpp,
	win32/src/Win32Window.cpp:

	Yiiiippppeeeee! Finally fixed the theme reload bug! (bug 427)
	
2000-02-15 10:42  robert

	* ui/freeamp/: include/Window.h, src/FreeAmpTheme.cpp,
	src/Theme.cpp, src/Window.cpp:

	Still trying to nail down the theme reload bugs
	
2000-02-15 03:36  hiro

	* ui/freeamp/beos/: include/BeOSPreferenceWindow.h,
	include/PrefView.h, include/PrefWindow.h, src/BeOSCanvas.cpp,
	src/BeOSPreferenceWindow.cpp, src/PrefView.cpp, src/PrefWindow.cpp,
	src/ThemeManager.cpp:

	beos preference panel. there're lots of rough edges yet.
	
2000-02-14 14:39  robert

	* ui/freeamp/: include/Window.h, src/Window.cpp,
	win32/include/Win32Window.h, win32/src/Win32Window.cpp:

	Added support for processing messages while waiting for the VMM lock to
	become available to avoid deadlocks.
	
2000-02-14 14:03  robert

	* io/soundcard/win32/src/soundcardpmo.cpp,
	ui/freeamp/include/Window.h, ui/freeamp/src/Control.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/src/Window.cpp,
	ui/freeamp/win32/include/Win32PreferenceWindow.h,
	ui/freeamp/win32/src/ThemeManager.cpp,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp:

	This fixes bug 542 and attempts to fix the theme reload problems.
	
2000-02-14 13:31  elrod

	* README, base/win32/src/main.cpp, installer/win32/Registry
	Entries/default.rge, installer/win32/Script Files/setup.rul,
	installer/win32/Text Substitutions/Build.tsb, installer/win32/Text
	Substitutions/Setup.tsb,
	ui/musicbrowser/win32/src/PlaylistView.cpp:

	* Added FreeAmp Theme mimetype to README.
	* Added FreeAmp Theme mimetype to win32 installer.
	* Filetypes registry keys are now created if they don't exist.
	* Attempts to get toolbar buttons to regresh correctly are failing... grrr.
	
2000-02-12 19:26  ijr

	* base/unix/src/unixprefs.cpp,
	ui/download/unix/include/downloadui.h:

	This better fix the 'not saving theme' bug.
	
2000-02-10 20:31  robert

	* io/include/pullbuffer.h,
	io/soundcard/win32/include/soundcardpmo.h,
	io/soundcard/win32/src/soundcardpmo.cpp,
	lmc/xingmp3/src/xinglmc.cpp, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/win32/src/Win32Window.cpp:

	Trying to make the soundcardpmo more robust to skips.
	
2000-02-10 13:32  robert

	* ui/freeamp/: include/FreeAmpTheme.h, src/FreeAmpTheme.cpp:

	Added another debug feature...
	
2000-02-10 11:34  robert

	* base/win32/src/main.cpp:

	For Windows NT, FreeAmp is now bound to processor 0, since I've heard
	reports of the sound related stuff needing to run on Processor 0.
	
2000-02-09 21:10  hiro

	* base/beos/src/: bootstrap.cpp, win32impl.cpp:

	now it runs from any directory, i.e. double-click launch works.
	
2000-02-09 17:45  robert

	* ui/freeamp/howto/ThemeHowTo.txt, README.win32,
	ui/freeamp/include/Theme.h, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/Theme.cpp:

	Added support for the Misc attribute in the ThemeInfo tag and I added
	support for the keystroke '@'. Its cute ;-). I also updated the Theme
	howto to reflect the headlines stuff and added the README.win32
	
2000-02-09 13:21  elrod

	* base/include/event.h, base/include/musiccatalog.h,
	base/include/player.h, base/src/musiccatalog.cpp,
	base/src/player.cpp, base/win32/src/main.cpp,
	ui/cmdline/cmdlineUI.cpp, ui/cmdline/cmdlineUI.h,
	ui/download/unix/src/downloadui.cpp,
	ui/download/win32/include/downloadui.h,
	ui/download/win32/src/downloadui.cpp,
	ui/freeamp/include/FreeAmpTheme.h, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/win32/src/freeampui.cpp, ui/include/ui.h,
	ui/irman/include/irmanui.h, ui/irman/src/irmanui.cpp,
	ui/lcd/include/lcdui.h, ui/lcd/src/lcdui.cpp,
	ui/mpg123/Mpg123UI.cpp, ui/mpg123/Mpg123UI.h,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/include/introwizard.h,
	ui/musicbrowser/unix/include/musicbrowserui.h,
	ui/musicbrowser/unix/include/musicsearchui.h,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/introwizard.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp,
	ui/musicbrowser/unix/src/musicsearch.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp,
	ui/ncurses/ncursesUI.cpp, ui/ncurses/ncursesUI.h,
	ui/simple/win32/include/simpleui.h,
	ui/simple/win32/src/simpleui.cpp, ui/toolbar/win32/Toolbar.cpp,
	ui/toolbar/win32/Toolbar.h, ui/toolbar/win32/include/Toolbar.h,
	ui/toolbar/win32/src/Toolbar.cpp:

	* cleaned up return types.
	
2000-02-09 08:58  hiro

	* ui/freeamp/beos/: include/MainWindow.h, src/BeOSCanvas.cpp,
	src/BeOSWindow.cpp, src/MainWindow.cpp:

	RenderOffsetText implemented.
	
2000-02-09 08:00  robert

	* ui/freeamp/: include/Window.h, src/FreeAmpTheme.cpp,
	src/Theme.cpp, src/Window.cpp, tools/win32/MakeTheme.mak,
	win32/prj/freeampui.mak, win32/src/Win32Window.cpp:

	Attempting to fix the theme reload bugs
	
2000-02-09 03:18  hiro

	* lmc/xingmp3/src/xinglmc.cpp:

	making gcc happy on beos.
	
2000-02-09 01:48  hiro

	* io/src/tstream.cpp:

	fd != socket #ifdef fix for BeOS.
	
2000-02-08 13:27  ijr

	* AUTHORS, ui/lcd/src/lcdui.cpp:

	Commit the changes to the lcdui that I've had sitting around forever.
	
2000-02-08 12:03  robert

	* ui/freeamp/: include/Control.h, include/SliderControl.h,
	include/VSliderControl.h, src/ButtonControl.cpp, src/Control.cpp,
	src/DialControl.cpp, src/FreeAmpTheme.cpp, src/Headlines.cpp,
	src/MultiStateControl.cpp, src/SliderControl.cpp,
	src/TextControl.cpp, src/VSliderControl.cpp:

	This should fix the remaining seek slider problems.
	
2000-02-08 10:47  elrod

	* ui/musicbrowser/win32/: res/musicbrowser.rc, src/Dialog.cpp,
	src/OpenSavePlaylists.cpp:

	* Tweaking the button enabling logic
	
2000-02-07 16:37  elrod

	* ui/freeamp/win32/prj/: freeampui.dsp, freeampui.mak:

	* moved a header file
	
2000-02-07 16:36  elrod

	* installer/win32/: FreeAmp.ipr, FreeAmp.pfw,
	Media/32bit/default.mda, String Tables/default.shl, String
	Tables/0009-English/value.shl:

	* updated strings for 2.0.2 release
	
2000-02-07 14:49  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, lib/portio/portio.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* missed a version string
	
2000-02-07 14:44  elrod

	* config/config.win32, ui/freeamp/src/FreeAmpTheme.cpp:

	* revert changes that I tried to make to help vc++ 6 users have a cleaner
	  compile... they just screwed things up.
	
2000-02-07 14:13  robert

	* lmc/xingmp3/src/xinglmc.cpp:

	Fixed on assert
	
2000-02-07 12:49  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, lib/portio/portio.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* update version strings
	
2000-02-07 12:02  elrod

	* help/win32/freeamp.cnt, help/win32/freeamp.hlp,
	ui/musicbrowser/win32/src/OpenSavePlaylists.cpp:

	* Updated help files
	* Fixed File Import bug (523)
	
2000-02-07 09:42  robert

	* ui/musicbrowser/win32/src/MusicSearchDialog.cpp:

	Fixed drive letter problem.
	
2000-02-07 01:07  hiro

	* ui/freeamp/beos/: include/BeOSFont.h,
	include/BeOSPreferenceWindow.h, include/BeOSWindow.h,
	include/MainWindow.h, src/BeOSBitmap.cpp, src/BeOSCanvas.cpp,
	src/BeOSFont.cpp, src/BeOSPreferenceWindow.cpp, src/BeOSWindow.cpp,
	src/MainWindow.cpp, src/ThemeManager.cpp:

	intermideate check-in.
	
2000-02-06 20:44  elrod

	* AUTHORS, config/config.win32, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/OpenSavePlaylists.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* applied patch from Daniel Pustka
	
2000-02-06 14:02  robert

	* ui/freeamp/: include/FreeAmpTheme.h, src/FreeAmpTheme.cpp:

	Hopefully fixed the seek bar jumping back and forth problem by
	ignoring the first TimeInfo message after a seek.
	
2000-02-06 00:59  hiro

	* base/beos/src/beosprefs.cpp, base/beos/src/bootstrap.cpp,
	base/src/utility.cpp, config/config.h.in:

	syncing with the other platforms.
	
2000-02-05 22:45  hiro

	* Makefile-plugins.in, Makefile.in, configure, configure.in:

	added beos freeampui rule.
	
2000-02-05 17:52  robert

	* io/soundcard/unix/linux/src/soundcardpmo.cpp,
	io/soundcard/win32/src/soundcardpmo.cpp,
	lmc/xingmp3/src/xinglmc.cpp:

	Doing some more touch ups to the unix side of things for fixing the
	seek problems.
	
2000-02-05 17:19  robert

	* io/esound/src/esoundpmo.cpp:

	Reverted the changes since Esound doesn't have a WaitForDrain() func.
	
2000-02-05 17:04  robert

	* lmc/xingmp3/src/xinglmc.cpp:

	This also fixed bug 531
	
2000-02-05 17:03  robert

	* io/: alsa/unix/linux/src/alsapmo.cpp, esound/src/esoundpmo.cpp,
	include/eventbuffer.h, soundcard/win32/src/soundcardpmo.cpp,
	src/eventbuffer.cpp:

	This should fix bug 531 (Music is stopped when seek bar moved from end)
	
2000-02-05 15:59  robert

	* io/: local/localfileinput.cpp,
	soundcard/win32/src/soundcardpmo.cpp, src/pmo.cpp:

	Fixed a problem where the soundcard was not getting cleared properly
	
2000-02-05 15:57  robert

	* lmc/xingmp3/: include/xinglmc.h, src/xinglmc.cpp:

	Fixed on minor bug where the last few frames were not getting decoded.
	
2000-02-05 11:42  robert

	* ui/freeamp/src/FreeAmpTheme.cpp:

	Working on the time remaining with 0:-1 problem
	
2000-02-05 11:32  robert

	* ui/freeamp/src/Headlines.cpp:

	changed a call from Sleep to usleep
	
2000-02-04 14:31  robert

	* Makefile-plugins.in:

	Changed the makefile for the updated headlines stuff
	
2000-02-04 14:24  robert

	* ui/freeamp/: include/FreeAmpTheme.h, include/Headlines.h,
	include/Slashdot.h, include/Theme.h, src/FreeAmpTheme.cpp,
	src/Headlines.cpp, src/Slashdot.cpp, src/SliderControl.cpp,
	src/Theme.cpp, win32/prj/freeampui.dsp, win32/prj/freeampui.mak:

	After a recto-cranial-inversion I made the headline retrieval generic.
	A theme designer can now have freeamp download the headlines from any
	XML server. Like Freeamp.org or Emusic.com. Heh.
	
2000-02-04 08:42  robert

	* ui/freeamp/src/Slashdot.cpp:

	Fixed a minor update bug
	
2000-02-04 08:26  ijr

	* help/unix/: emusichelp.tar.gz, freeamphelp.tar.gz:

	- trying to commit the help files again
	
2000-02-04 08:13  ijr

	* Makefile-plugins.in, configure, configure.in,
	base/src/musiccatalog.cpp, base/unix/src/unixprefs.cpp,
	ui/freeamp/unix/src/GTKBitmap.cpp, ui/freeamp/unix/src/ttfont.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp:

	- clean up some code and stop up a few small memory leaks
	
2000-02-04 00:13  robert

	* Makefile-plugins.in, base/include/event.h,
	base/include/eventdata.h, base/src/player.cpp,
	lib/xml/src/Parse.cpp, ui/freeamp/include/FreeAmpTheme.h,
	ui/freeamp/include/Slashdot.h, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/Slashdot.cpp:

	Added support for automatically pulling down slashdot headlines
	and displaying them in the HeadlineInfo field, if that field is present.
	This coupled with the new Slashdot theme should be good!
	
2000-02-04 00:10  hiro

	* configure, configure.in, config/config.guess, config/config.sub:

	config.guess/sub updated to the latest version from automake 1.4,
	so that the configure script can deduce the correct canonical host type
	on BeOS.
	
2000-02-02 15:55  ijr

	* base/src/musiccatalog.cpp:

	- this better fix the music search not going into subdirs problem.
	
2000-02-02 15:13  ijr

	* ui/: cmdline/cmdlineUI.cpp,
	musicbrowser/unix/include/gtkmusicbrowser.h,
	musicbrowser/unix/src/gtkmusicbrowser.cpp,
	musicbrowser/unix/src/infoeditor.cpp,
	musicbrowser/unix/src/musicbrowser.cpp:

	- fix the 'f goes backwards in cmdlineui
	- rework how the musicbrowser handles the delete event from the WM
	
2000-02-02 14:20  ijr

	* ui/mpg123/Mpg123UI.cpp:

	- fix bug #529 - weirdness in mpg123.ui
	
2000-02-02 14:01  ijr

	* configure, configure.in,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- fix the crwinasm.o thingie
	- fix bug #514 (dragging and dropping into empty playlist)
	
2000-02-02 12:59  robert

	* base/win32/src/win32thread.cpp:

	Minor tweaks
	
2000-02-02 12:59  robert

	* io/soundcard/win32/src/soundcardpmo.cpp:

	Fixed problem of FreeAmp hanging under Win2000.
	
2000-02-02 11:13  robert

	* ui/freeamp/: include/FreeAmpTheme.h, src/FreeAmpTheme.cpp:

	THis should fix the volume change feedback problem...
	
2000-02-01 17:22  robert

	* installer/unix/linux/emusic-redhat-dist.spec:

	Added the rpm spec for building an rpms and srpms from the emusic player.
	This spec is not for normal distribution, but rather its intended for
	the RedHat distribution.
	
2000-02-01 15:32  robert

	* AUTHORS, io/soundcard/win32/include/soundcardpmo.h,
	io/soundcard/win32/src/soundcardpmo.cpp,
	ui/freeamp/include/FreeAmpTheme.h, ui/freeamp/include/Theme.h,
	ui/freeamp/include/Window.h, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/Window.cpp, ui/freeamp/win32/include/Win32Window.h,
	ui/freeamp/win32/src/Win32Window.cpp:

	Hopefully this will *finally* fix the volume bug for win32.
	
2000-01-29 12:38  ijr

	* lmc/xingmp3/src/xinglmc.cpp:

	- fix a typecast, should fix a debian bug
	
2000-01-27 10:28  robert

	* io/soundcard/unix/linux/src/soundcardpmo.cpp:

	Re-applied a patch that I thought I'd gotten committed.
	
2000-01-24 11:51  robert

	* io/src/eventbuffer.cpp:

	Fixes bug 502 (HTTP streams not advancing) and also mysterious continous
	buffer up problem under win32/soundcard.
	
2000-01-23 17:04  ijr

	* configure, configure.in, config/config.h.in,
	lmc/xingmp3/include/L3.h:

	- get rid of bashism's in configure (#510)
	- add another check for endianess, wasn't catching solaris x86 (#510)
	
2000-01-22 21:57  ijr

	* ui/freeamp/unix/src/GTKPreferenceWindow.cpp:

	Text lines up much nicer now.. stupid gtk.
	
2000-01-22 21:16  ijr

	* ui/musicbrowser/unix/: include/introwizard.h,
	include/musicbrowserui.h, include/musicsearchui.h,
	src/introwizard.cpp, src/musicbrowser.cpp, src/musicsearch.cpp:

	- redo how the introwizard and musicsearch dialog interact with their parent
	- line up the text better in the wizard doo-hickey
	
2000-01-22 16:49  ijr

	* Makefile-plugins.in,
	ui/musicbrowser/unix/include/gtkmusicbrowser.h,
	ui/musicbrowser/unix/include/introwizard.h,
	ui/musicbrowser/unix/include/musicbrowserui.h,
	ui/musicbrowser/unix/res/wizard.xpm,
	ui/musicbrowser/unix/res/wizard_small.xpm,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/unix/src/introwizard.cpp,
	ui/musicbrowser/unix/src/musicbrowser.cpp,
	ui/musicbrowser/unix/src/musicsearch.cpp, ui/ncurses/ncursesUI.cpp:

	Here's to all the really dumb linux users out there...
	
2000-01-21 14:27  elrod

	* update/win32/main.cpp:

	* Fix weird move files bug under win98... for some reason the MoveFileEx
	  function is not supported although docs say it is.
	
2000-01-21 02:59  elrod

	* CHANGES, installer/win32/FreeAmp.pfw, installer/win32/Registry
	Entries/default.rge, installer/win32/Text Substitutions/Build.tsb,
	installer/win32/Text Substitutions/Setup.tsb:

	* Updated CHANGES file.
	* Updated icon associations.
	
2000-01-21 02:01  elrod

	* ui/: download/win32/src/downloadui.cpp,
	musicbrowser/win32/src/Dialog.cpp,
	musicbrowser/win32/src/EditTrackInfoDialog.cpp:

	* Found some hard coded help file names during testing of installer.
	
2000-01-21 01:51  elrod

	* base/win32/include/help.h, config/config.win32,
	installer/win32/FreeAmp.ipr, installer/win32/File Groups/Default
	Theme.fgl, installer/win32/Media/32bit/default.mda,
	installer/win32/Registry Entries/default.rge,
	installer/win32/String Tables/0009-English/value.shl:

	* Help file is now set in config.h
	* Reset all the install stuff back to FreeAmp
	
2000-01-21 01:16  elrod

	* lib/portio/i386/free/portio.sys:

	* Updated version to 2.0.1
	
2000-01-21 00:42  elrod

	* ui/freeamp/tools/win32/: MakeTheme.dsp, MakeTheme.mak:

	* Added directive to create config.h
	
2000-01-21 00:37  elrod

	* help/win32/: freeamp.cnt, freeamp.hlp:

	* latest help files from julie.
	
2000-01-20 19:54  elrod

	* themes/EMusic.fat:

	* Replacing EMusic.fat file since it was corrupt.
	
2000-01-20 18:43  robert

	* io/: soundcard/win32/include/soundcardpmo.h,
	soundcard/win32/src/soundcardpmo.cpp, src/pullbuffer.cpp:

	This should fix the 'freeamp stop playing after a couple of hours bug'
	
2000-01-20 17:55  elrod

	* base/win32/src/main.cpp:

	* Delete file if we abort download and RJ is not around.
	
2000-01-20 17:54  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, lib/portio/portio.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* More version string checkins.
	
2000-01-20 17:40  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, lib/portio/portio.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* More updating of resources.
	
2000-01-20 17:37  elrod

	* base/win32/res/freeamp.rc, dlm/rmp/res/rmp.rc,
	io/dsound/win32/res/dsound.rc, io/http/win32/res/http.rc,
	io/local/win32/res/local.rc, io/obs/win32/res/obs.rc,
	io/soundcard/win32/res/soundcard.rc, lib/portio/portio.rc,
	lmc/xingmp3/win32/res/xing.rc, plm/metadata/id3v1/res/id3v1.rc,
	plm/metadata/id3v2/res/id3v2.rc, plm/metadata/misc/res/misc.rc,
	plm/playlist/m3u/res/m3u.rc, plm/playlist/pls/res/pls.rc,
	plm/portable/pmp300/res/pmp300.rc,
	ui/download/win32/res/download.rc,
	ui/freeamp/tools/win32/MakeTheme.rc,
	ui/freeamp/win32/res/freeampui.rc,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/toolbar/win32/toolbar.rc, update/win32/res/update.rc:

	* Updating resource info to reflect 2.0.1 version info.
	
2000-01-20 17:32  jbobier

	* themes/: EMusic.fat, FreeAmpClassic.fat:

	Got themes working.
Updated for Codewarrior Pro 5.3.
	
2000-01-20 17:29  elrod

	* base/win32/src/main.cpp:

	* Fixed a typo which kept RJ from being launched.
	
2000-01-20 17:03  elrod

	* base/include/metadata.h, base/win32/src/main.cpp,
	base/win32/src/win32prefs.cpp, config/config.win32,
	dlm/rmp/rmp.cpp:

	* Fixed wrong versiojn being used in registry prefs
	* Added code to hand RMPs off to RJ if it is around and we do not
	  understand any formats it contains.
	
2000-01-20 16:00  ijr

	* installer/unix/linux/freeamp-rh6x.spec:

	We don't call plugins blah-platform.ext anymore.
	
2000-01-20 14:58  robert

	* installer/unix/linux/freeamp-rh6x.spec:

	Updated the rpm spec for 2.0.1
	
2000-01-19 21:28  ijr

	* README.linux:

	One final test..
	
2000-01-19 21:22  ijr

	* README.linux:

	testing again..
	
2000-01-19 21:14  ijr

	* README.linux:

	testing testing, 1, 2, 3...
	
2000-01-19 18:30  robert

	* io/soundcard/win32/src/soundcardpmo.cpp:

	Fixed a bug where the player would stop at the end of a track in Win98.
	This may also fix other related problem. I hope.
	
2000-01-19 17:47  ijr

	* help/unix/: emusichelp.tar.gz, freeamphelp.tar.gz:

	Update help.
	
2000-01-19 16:48  robert

	* README, base/include/event.h, base/src/player.cpp,
	io/http/httpinput.cpp, io/soundcard/win32/include/soundcardpmo.h,
	io/soundcard/win32/src/soundcardpmo.cpp, io/src/pipeline.cpp,
	io/src/pullbuffer.cpp:

	Fixes bugs 475 (playing one corrupted file in repeat mode gives infinite
	message boxes) and some more problems in the soundcardpmo that were
	caused by the changes to use more headers.
	
2000-01-19 16:33  elrod

	* base/win32/prj/freeamp.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak:

	* Some tweaks to the project files.
	
2000-01-19 16:33  elrod

	* ui/: freeamp/win32/res/freeampui.rc,
	musicbrowser/win32/src/MusicTree.cpp:

	* Commented out code so streams stuff is not visible.
	
2000-01-19 14:20  ijr

	* Makefile.in, base/src/downloadmanager.cpp,
	base/src/musiccatalog.cpp, io/src/pipeline.cpp,
	lmc/xingmp3/src/cdct.c, ui/download/unix/include/downloadui.h,
	ui/download/unix/src/downloadui.cpp,
	ui/download/unix/src/gtkdownloadui.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Window.cpp:

	- All the downloadmanager changes from the win32 ver.
	- become Warning Free(tm) again -- mainly just casting args to sprintf()
	
2000-01-19 11:17  elrod

	* ui/musicbrowser/win32/res/streams.bmp:

	* Added for streams stuff.
	
2000-01-19 11:14  elrod

	* base/win32/prj/freeamp.dsp, base/win32/prj/freeamp.mak,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/res/icecast.bmp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/res/shoutcast.bmp,
	ui/musicbrowser/win32/res/wiredplanet.bmp,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/FooCast.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp:

	* Some fooling around that I did with streams stuff last weekend... I will
	  move this to another branch after I move to my new machine.
	
2000-01-18 12:40  ijr

	* CHANGES, README, configure.in, base/src/utility.cpp,
	config/config.h.in, config/config.win32,
	installer/unix/linux/freeamp-rh6x.spec,
	ui/freeamp/unix/src/GTKCanvas.cpp, ui/freeamp/unix/src/GTKFont.cpp,
	ui/freeamp/unix/src/GTKMessageDialog.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp,
	ui/freeamp/unix/src/ThemeManager.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	Got bored in AI class, decided to fix a few bugs.
	- Change version to 2.0.1 in all the unix stuff..
	- Fix hang/crash if netscape isn't installed and you try to use the help
	- Update some modified files' copyright dates to include 2000
	- Fix the 'View as Playlist' menu item wording if starting in the playlist view
	  and not the Music Browser.
	
2000-01-17 03:47  elrod

	* base/win32/res/: freeamp.rc, music1.ico, music10.ico,
	music11.ico, music12.ico, music13.ico, music14.ico, music15.ico,
	music16.ico, music17.ico, music18.ico, music2.ico, music3.ico,
	music4.ico, music5.ico, music6.ico, music7.ico, music8.ico,
	music9.ico, resource.h:

	* Updated Icons with 48x48 versions.
	
2000-01-16 20:27  ijr

	* ui/: freeamp/src/FreeAmpTheme.cpp,
	musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- Fix some tabs->spaces in freeamptheme.cpp
	- Fix the d'n'd clicked vs. highlighted issues
	- don't expand the trees on search, stupid typo..
	
2000-01-16 12:07  ijr

	* base/src/player.cpp, base/src/playlist.cpp, io/src/tstream.lo,
	ui/freeamp/unix/include/GTKPreferenceWindow.h,
	ui/freeamp/unix/src/GTKMessageDialog.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp, ui/lcd/src/lcdui.cpp,
	ui/musicbrowser/unix/src/gtkmessagedialog.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	Try this commit again...
	- Make cvs compile again..
	- add the play immediately pref.
	- fix freeze if you kill certain message dialogs.
	- don't blow away the old saved playlist when you play a new one in the Add
	  Files stuff
	- fix segfault if nothing's selected in the Add Files box and OK's clicked.
	- Center the random dialog boxes, instead of having them pop-up where the mouse
	  is.
	
2000-01-15 18:48  robert

	* base/include/downloadmanager.h, base/src/downloadmanager.cpp,
	dlm/rmp/rmp.cpp:

	Some further download manager improvements and refinements.
	
2000-01-15 16:40  elrod

	* base/win32/res/: freeamp.rc, resource.h:

	* Removed duplicate icon.
	
2000-01-15 16:39  robert

	* io/soundcard/win32/src/soundcardpmo.cpp:

	Hopefully fixes the skipping problem.
	
2000-01-15 14:42  elrod

	* ui/musicbrowser/win32/src/MusicTree.cpp:

	* Updated All Tracks and Uncatagorized text per Jeff's request.
	
2000-01-15 14:25  elrod

	* base/win32/res/: freeamp.rc, music10.ico, music11.ico,
	music13.ico, music14.ico, music15.ico, music16.ico, music17.ico,
	resource.h:

	* Tweaking icons to make them all uniform
	
2000-01-14 17:54  robert

	* base/include/downloadmanager.h, base/include/errors.h,
	base/src/downloadmanager.cpp, base/src/errors.cpp,
	base/src/musiccatalog.cpp, base/src/player.cpp,
	base/src/playlist.cpp, ui/download/win32/src/downloadui.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp, ui/freeamp/src/Theme.cpp,
	ui/freeamp/src/Window.cpp, ui/freeamp/win32/src/Win32Window.cpp:

	Various memory leaks cleaned up. Please remember that simply deleting
	a vector of pointers does not actually delete the objects that
	the pointers in the vector point to. That was a big one...
	
2000-01-14 14:19  elrod

	* installer/win32/: FreeAmp.ipr, Component Definitions/Default.cdf,
	File Groups/Default Theme.fgl:

	* Modified so that same version number will overwrite local files.
	
2000-01-14 12:45  elrod

	* ui/musicbrowser/win32/res/musicbrowser.rc:

	* move text field down a pixel... ahh that's better...
	
2000-01-14 12:44  elrod

	* base/include/preferences.h, base/src/preferences.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/OpenSavePlaylists.cpp:

	* OK, I couldn't resist a last minute feature... the file open dialog now
	  has a dropdown for the URL selector which remembers your last 10 (by
	  default) URLs... there is a new pref for this number but I am not gonna
	  put a UI in the pref dialog for it till we have a chance to revamp it.
	  maybe for 3.0.
	
2000-01-14 11:29  elrod

	* plm/playlist/: m3u/m3u.cpp, pls/pls.cpp:

	* Added check for invalid file URL to stop asertion.
	
2000-01-14 11:16  robert

	* base/include/downloadmanager.h, base/src/downloadmanager.cpp,
	ui/download/win32/src/downloadui.cpp:

	Latest download manager changes. Also fixes bug 477.
	
2000-01-14 04:16  elrod

	* README:

	* Updated mimetype again to reflect more acceptable formatting after more
	  research.
	
2000-01-14 01:16  elrod

	* base/include/event.h, base/include/eventdata.h,
	base/src/player.cpp, base/src/playlist.cpp,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Added PlaylistItemsAdded msg... Let's you know if a bunch of items are
	  added at one time rather than calling the item added event a bunch of
	  times. This speeds up adding large playlists a lot. Might require
	  ijr to change code on unix side.
	
2000-01-13 22:39  elrod

	* installer/win32/Registry Entries/default.rge:

	* Added new pref to installer.
	
2000-01-13 22:16  elrod

	* base/win32/src/main.cpp, ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp:

	* Finished implementing the Play Immediately feature. I think this works
	  really well now... makes sense once you play with it a few minutes.
	
2000-01-13 21:26  elrod

	* ui/: freeamp/win32/include/Win32PreferenceWindow.h,
	freeamp/win32/res/freeampui.rc,
	freeamp/win32/src/Win32PreferenceWindow.cpp,
	musicbrowser/win32/src/MultiSelectTreeView.cpp:

	* Play Immediately pref value is now set by UI.
	* Fixed double click causing edit bug in browser.
	
2000-01-13 19:15  elrod

	* ui/musicbrowser/win32/src/: Dialog.cpp, PlaylistView.cpp:

	* No longer auto resizing columns in music browser.
	
2000-01-13 18:44  elrod

	* README, base/include/preferences.h, base/src/preferences.cpp,
	ui/freeamp/win32/res/freeampui.rc, ui/freeamp/win32/res/resource.h:

	* Added prefs for play immediately feature
	* Added UI in pref dialog
	* Added mimetype for downloading
	
2000-01-13 14:23  robert

	* base/src/downloadmanager.cpp, dlm/rmp/rmp.cpp, dlm/rmp/rmp.h,
	ui/download/win32/res/download.rc,
	ui/download/win32/res/resource.h,
	ui/download/win32/src/downloadui.cpp, ui/freeamp/include/Window.h,
	ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/MultiStateControl.cpp, ui/freeamp/src/Window.cpp,
	ui/freeamp/win32/include/Win32Window.h,
	ui/freeamp/win32/src/Win32Window.cpp:

	RMP Changes and attempts to fix theme reload bugs
	
2000-01-12 17:04  elrod

	* ui/: freeamp/win32/res/freeampui.rc,
	musicbrowser/win32/include/DataIndex.h,
	musicbrowser/win32/include/Win32MusicBrowser.h,
	musicbrowser/win32/src/DataIndex.cpp,
	musicbrowser/win32/src/Dialog.cpp,
	musicbrowser/win32/src/Event.cpp,
	musicbrowser/win32/src/FooCast.cpp,
	musicbrowser/win32/src/MultiSelectTreeView.cpp,
	musicbrowser/win32/src/MusicTree.cpp,
	musicbrowser/win32/src/Win32MusicBrowser.cpp:

	* Fixed bug 451, Duplicate items after Music Search
	* Reworded a pref in pref dialog per Gene's request... removed word
	  "stolen" from reclaim filetypes pref.
	
2000-01-10 18:03  elrod

	* config/config.h.in, config/config.win32,
	ui/download/win32/res/download.rc,
	ui/freeamp/win32/res/freeampui.rc, ui/freeamp/win32/res/resource.h,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/win32/src/IntroductionWizard.cpp:

	* About box in now done in code, not in resources so that it can be
	  branded easier.
	
2000-01-10 14:31  robert

	* io/soundcard/win32/src/soundcardpmo.cpp:

	Attempt to fix problem 454 (Volume resets after tracks)
	
2000-01-10 14:28  robert

	* ui/freeamp/howto/ThemeHowTo.txt:

	Some minor fixes.
	
2000-01-10 14:06  elrod

	* installer/win32/: FreeAmp.ipr, Media/32bit/default.mda, Registry
	Entries/default.rge, Script Files/setup.ins, Script
	Files/setup.rul, Shell Objects/Default.shl, String
	Tables/default.shl, String Tables/0009-English/value.shl:

	* Redid how the start menu stuff is set
	
2000-01-10 13:09  elrod

	* installer/win32/Script Files/: setup.ins, setup.rul:

	* More setup stuff
	
2000-01-10 12:57  elrod

	* installer/win32/: String Tables/default.shl, String
	Tables/0009-English/value.shl, Script Files/setup.ins, Script
	Files/setup.rul:

	* Trying to get installer to be branding happy
	
2000-01-10 12:19  elrod

	* base/win32/src/win32prefs.cpp, config/config.win32:

	* Added BRANDING_COMPANY for prefs
	
2000-01-10 12:12  elrod

	* base/win32/src/win32prefs.cpp:

	* Prefs need to recognize branding
	
2000-01-10 11:38  elrod

	* base/src/player.cpp, base/src/playlist.cpp,
	base/unix/src/win32impl.cpp, base/win32/src/main.cpp,
	base/win32/src/win32updatemanager.cpp, config/config.win32,
	io/soundcard/beos/src/soundcardpmo.cpp,
	lmc/xingmp3/src/xinglmc.cpp,
	ui/download/unix/src/gtkdownloadui.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/unix/src/GTKPreferenceWindow.cpp, ui/lcd/src/lcdui.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/src/IntroductionWizard.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/simple/win32/src/simpleui.cpp, update/win32/main.cpp:

	* Hopefully fixed all the branding issues. There are now separate defines:
		BRANDING - EMusic Player (used for titles)
		The_BRANDING - The EMusic Player (used for sentences)
		the_BRANDING - the EMusic Player (used for sentences)
	* Fixed shuffle bug (462).
	
2000-01-05 12:12  ijr

	* ui/: freeamp/unix/include/GTKPreferenceWindow.h,
	freeamp/unix/src/GTKPreferenceWindow.cpp,
	musicbrowser/unix/src/gtkmusicbrowser.cpp:

	the save on exit stuff.
	
2000-01-05 11:39  ijr

	* ui/freeamp/unix/src/: GTKCanvas.cpp, GTKFont.cpp:

	This seems to stop the 1 pixel clipping of fonts...
	
2000-01-04 16:23  robert

	* ui/freeamp/: include/Window.h, src/Window.cpp,
	win32/src/Win32Window.cpp:

	Fixed bugs 432 (red artifacts) 455 (multiple text control instances)
	
2000-01-04 11:07  robert

	* AUTHORS, lib/xml/src/Parse.cpp, ui/freeamp/howto/ThemeHowTo.txt,
	ui/freeamp/include/Theme.h, ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/src/Theme.cpp, ui/freeamp/win32/include/Median.h,
	ui/freeamp/win32/include/Win32Bitmap.h,
	ui/freeamp/win32/include/Win32Canvas.h,
	ui/freeamp/win32/include/Win32Window.h,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/src/Median.cpp,
	ui/freeamp/win32/src/Win32Bitmap.cpp,
	ui/freeamp/win32/src/Win32Canvas.cpp,
	ui/freeamp/win32/src/Win32Window.cpp,
	ui/musicbrowser/win32/include/DataIndex.h,
	ui/musicbrowser/win32/src/EditTrackInfoDialog.cpp:

	Finally adding the 256 color bugfix stuff. Fixes bug 221
	
2000-01-04 10:03  ijr

	* ui/freeamp/unix/src/ThemeManager.cpp:

	blah
	
2000-01-03 18:19  ijr

	* ui/freeamp/unix/src/ThemeManager.cpp:

	- fix the same segfault on the main branch..
	
2000-01-01 17:16  ijr

	* io/cd/unix/src/discids.cpp:

	humm..
	
2000-01-01 17:13  ijr

	* Makefile-plugins.in, io/cd/unix/include/cdaudio.h,
	io/cd/unix/include/cdpmo.h, io/cd/unix/include/compat.h,
	io/cd/unix/src/cdaudio.cpp, io/cd/unix/src/cdpmo.cpp,
	lmc/cd/include/cdlmc.h, lmc/cd/src/cdlmc.cpp:

	Cleaning up the head branch of the non-harmless cd stuff..
	
2000-01-01 16:59  ijr

	* io/cd/unix/src/discids.cpp:

	Really hoping this goes into the 'unix-cdaudio' branch..  Don't want this in
	2.0.1
	
	- Buncha stuff to get cds playing better.
	
1999-12-30 18:09  elrod

	* ui/musicbrowser/win32/res/: busy.bmp, icecast.bmp, shoutcast.bmp,
	wiredplanet.bmp:

	* used for streams stuff
	
1999-12-30 18:06  elrod

	* ui/musicbrowser/win32/include/EditTrackInfoDialog.h:

	* Pulled this out into its own class...
	
1999-12-30 18:01  elrod

	* ui/musicbrowser/win32/: include/FooCast.h, src/FooCast.cpp:

	* Class to help deal with shout and icecast servers
	
1999-12-29 08:00  elrod

	* installer/win32/FreeAmp.ipr, installer/win32/Component
	Definitions/Default.cdf, installer/win32/Media/32bit/default.mda,
	installer/win32/Registry Entries/default.rge,
	installer/win32/Script Files/setup.ins, installer/win32/Script
	Files/setup.rul, installer/win32/Shell Objects/Default.shl,
	installer/win32/String Tables/default.shl, installer/win32/String
	Tables/0009-English/value.shl, installer/win32/Text
	Substitutions/Build.tsb, installer/win32/Text
	Substitutions/Setup.tsb,
	ui/musicbrowser/win32/prj/musicbrowser.mak,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp:

	* More improvements in the installer for doing EMusic and FreeAmp builds.
	  At this point there are only a couple of places you have to change the
	  strings.
	* Lame attempt to reduce column flicker when resizing. can't test it till
	  I get home since my lcd on my portable looks fine with and without it...
	
1999-12-29 05:07  ijr

	* base/src/player.cpp, base/src/playlist.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp:

	- Hack the player to use the cd.pmo when the URL ends in .cda.
	
1999-12-28 17:22  ijr

	* lmc/cd/: include/cdlmc.h, src/cdlmc.cpp:

	Whoops.  Forgot the dummy lmc.
	
1999-12-28 17:21  ijr

	* io/src/.cvsignore:

	forgot an ignore..
	
1999-12-28 17:19  ijr

	* .cvsignore, configure, configure.in, config/.cvsignore,
	io/src/tstream.lo, lib/gdbm/.cvsignore, lib/xml/.cvsignore,
	lib/xml/src/.cvsignore, lib/zlib/.cvsignore,
	lib/zlib/src/.cvsignore, ui/freeamp/src/.cvsignore:

	Quiet cvs.
	
1999-12-28 17:11  ijr

	* Makefile-plugins.in, Makefile.header.in, Makefile.in, configure,
	configure.in, base/include/errors.h, base/src/errors.cpp,
	config/config.h.in, io/cd/unix/include/cdaudio.h,
	io/cd/unix/include/cdpmo.h, io/cd/unix/include/compat.h,
	io/cd/unix/src/cdaudio.cpp, io/cd/unix/src/cdpmo.cpp,
	io/src/pmo.cpp, ui/freeamp/unix/src/GTKFont.cpp:

	- First go at a cd player.  Everything works, if you select the cd pmo and
	  enter in files like 1.cda 4.cda and stuff.  Still has some funkyness when
	  switching tracks.  TODO: select the pmo automagically, windows support, etc..
	
1999-12-27 18:53  elrod

	* base/include/playlist.h, base/src/playlist.cpp,
	installer/win32/FreeAmp.ipr,
	installer/win32/Media/32bit/default.mda, installer/win32/Registry
	Entries/default.rge, installer/win32/Script Files/setup.ins,
	installer/win32/Script Files/setup.rul, installer/win32/Shell
	Objects/Default.shl, installer/win32/String Tables/default.shl,
	installer/win32/String Tables/0009-English/value.shl,
	installer/win32/Text Substitutions/Build.tsb, installer/win32/Text
	Substitutions/Setup.tsb, ui/download/win32/include/downloadui.h,
	ui/download/win32/src/downloadui.cpp,
	ui/freeamp/src/FreeAmpTheme.cpp,
	ui/freeamp/win32/prj/freeampui.dsp,
	ui/freeamp/win32/prj/freeampui.mak,
	ui/freeamp/win32/src/Win32PreferenceWindow.cpp,
	ui/musicbrowser/unix/src/gtkmusicbrowser.cpp,
	ui/musicbrowser/win32/include/DataIndex.h,
	ui/musicbrowser/win32/include/Win32MusicBrowser.h,
	ui/musicbrowser/win32/prj/musicbrowser.dsp,
	ui/musicbrowser/win32/res/musicbrowser.rc,
	ui/musicbrowser/win32/res/resource.h,
	ui/musicbrowser/win32/src/DataIndex.cpp,
	ui/musicbrowser/win32/src/Dialog.cpp,
	ui/musicbrowser/win32/src/EditTrackInfoDialog.cpp,
	ui/musicbrowser/win32/src/Event.cpp,
	ui/musicbrowser/win32/src/MultiSelectTreeView.cpp,
	ui/musicbrowser/win32/src/MusicTree.cpp,
	ui/musicbrowser/win32/src/PlaylistView.cpp,
	ui/musicbrowser/win32/src/Win32MusicBrowser.cpp:

